Introduction

Thank you for trying Sound Forge.

If you are an avid Sound Forge user, you will find this version to be a great leap forward. The following features have been added for version 5.0:

Support for bit-depths up to 64 bit.

New bit-depth conversion function.

Support for all integral sample rates between 2 kHz and 192 kHz.

Built-in ExpressFX plug-ins Sound Forge XP only.

Built-in XFX and WaveHammer plug-ins Sound Forge only.

Free MP3 plug-in.

If you are new to Sound Forge, we are sure that you will find out what thousands of Sound Forge users already know: Sound Forge is the only solution for all of your audio-editing needs.

What do you want to learn more about?

Using help

Technical support

Optimizing Sound Forge


Using Help

In developing Sound Forge, one of our primary goals was to make the interface as easy to use as possible. However, some features may not be immediately apparent, so we hope you take some time to browse through the online help so you won’t miss any of Sound Forge's creative potential.

Graphical conventions

The following icons are used throughout this Help file:

Symbol | Meaning
 | Sound Forge: represents information or features unique to the full version of Sound Forge.
 | Sound Forge XP: represents information or features unique to Sound Forge XP.
 | Drop-down text: click to display more information.
 | Note: provides additional related information about a topic.
 | Tip: provides a shortcut or an alternate means of performing a task in Sound Forge.
 | Warning: important information that you need to know before performing a task.
Underlined Text | Link: Click the blue underlined word to jump to the topic. Click on the Back button to return to the previous topic.
Underlined Text | Popup: Click the green underlined word to view a popup definition or graphic. Click inside the popup window to close it.

The Help window

Simply press F1 or choose Contents and Index from the Help menu to display Sound Forge's online help (but then, you're reading this, so you've figured that out already).

The Contents tab

The Contents tab provides a categorized listing of available help topics. Click a book [image] to open it, and click the topic page [image] you want to view. The topic is displayed in the right-hand pane.

The Index tab

The Index tab provides a complete listing of the help topics available. Use the scroll bar to scroll through the list of available topics or type a word in the text box to quickly locate topics related to the word. Select a topic and click the Display button.

The Search tab

The Search tab allows you to enter a keyword and display all of the topics in the online help that contain the keyword you have entered. Type a keyword in the text box and click the List Topics button. Select a topic from the list and click the Display button.

The Favorites tab

The Favorites tab allows you to easily return to topics that you use often. To view a topic from the Favorites tab, select the topic in the Topics list and click the display button. To add a topic to the Favorites tab, simply click the Add button. To remove a topic, select the topic in the Topics list and click the Remove button.

Contents

This help file is separated into four major sections:

Introduction

This section contains information about registering, getting started, and contacting technical support.

Using Sound Forge

This section will guide you through the process of editing sound with Sound Forge.

The Sound Forge Window

This section explains each element of the Sound Forge window so you can learn the program quickly and efficiently.

Shortcuts

This section is full of shortcuts to make Sound Forge more accessible and to help you perform tasks more quickly.


Technical Support

If you experience problems or have questions while using Sound Forge, our technical support department is always ready to help you. Additional support and information about Sound Forge and other Sonic Foundry products can be found on the Sonic Foundry Web site.

Contacting Technical Support

  • For a detailed list of Technical Support options, please visit the Support page on our Web site.

  • To listen to your support options, please call 608-256-5555.

  • Sound Forge only For your 60 days of complimentary phone support, please call 608-204-7704. Your complimentary support begins the day you register your product. Registration is required to obtain the complimentary support.


Optimizing Sound Forge

This topic contains information about configuring your system to maximize Sound Forge performance

What do you want to learn more about?

Hard drive use

Sound Forge is a disk-based sound editor, which means that all editing operations are performed on your hard drive rather than in your computer’s memory.

The drive you specify in the Temporary storage folder on the Perform tab of the Preferences dialog must have enough free space to store data for each opened sound file, as well as undo, redo, and clipboard information.

The faster your disk access, the faster Sound Forge will be. The easiest way to improve your performance without buying new hardware is to defragment your hard drive. For more information, refer to your Windows User's Guide.

Optimizing Windows 98 and Me

Ensure that you are using the default Windows system configuration settings to optimize Windows and Sound Forge performance.

  1. Click the Start button.

  2. Choose Settings from the Start menu, and choose Control Panel from the submenu.

  3. Double-click the System icon and choose the Performance tab on the System Properties dialog.

  4. Restore file system settings:

a. Click the File System button.

b. Choose the Hard Disk tab and set the Read-ahead optimization slider to Full.

c. Choose the Troubleshooting tab and clear all check boxes.

d. Click the OK button.

  5. Restore graphics settings:

a. Click the Graphics button.

b. Set the Hardware acceleration slider to Full.

c. Click the OK button.

  6. Restore virtual memory settings:

a. Click the Virtual Memory button.

b. Select the Let Windows manage my virtual memory settings radio button.

c. Click the OK button.

Editing in Direct mode

When you open a file in Sound Forge, a backup copy is created so that the original file is not affected until you save your work. However, when you open a file as read-only or in Direct mode, Sound Forge will not create a backup copy of the file, which opens files faster and uses less disk space.

The first time you open a file in Direct mode, Sound Forge will scan the file to create a peak (.sfk) file. This peak file is stored in the same location as the wave file with the same base name as the wave file. After a peak file is created, Sound Forge automatically updates it when you edit the file. The peak file may need to be regenerated if you modify the file with an application other than Sound Forge.

Direct mode can only be used on uncompressed AIFF or Wave files.

When you edit a file in Direct mode, you no longer have the security of a backup file. In most cases this is not a problem, since all changes can be undone (with ample disk space). However, if Sound Forge terminates improperly, the file will remain in its edited state.

Fast file saving

When creating a new file, Sound Forge creates a temporary file that contains all of your new sound data. When you are ready to save the file, Sound Forge must copy this data into the file you specify in the Save As dialog. If you are saving the sound data as a Microsoft Wave file, Sound Forge can make this process almost instantaneous by quickly moving the file rather than copying the data to a new file if the temporary storage folder is on the same drive where you are saving the file.

From the Options menu, choose Preferences and select the Perform tab to specify a temporary storage folder.

Setting up wave devices

Sound Forge allows you to choose any installed Windows-compatible sound card for playback and recording. You may also use the Microsoft Sound Mapper for playback and recording. The Sound Mapper attempts to select the most appropriate sound card (map) on which to play a sound, or it will translate the sound into a format that can be played on your sound card.

If you experience skipping or gapping, this may be caused by the overhead introduced when the Microsoft Sound Mapper performs format conversions. To check this, make sure that your sound card supports the data format you are playing or recording. The easiest way to do this is to choose a playback and record device other than the Sound Mapper. If Sound Forge is able to play and record the sound using the sound card’s Wave driver, then the Sound Mapper is not causing the gapping.

However, if the Sound Mapper must be selected to play or record the format that you are having trouble with, you should convert your sound data to a format that is directly supported by your sound card. This will remove all overhead required to translate the sound data for your sound card.

When the sound data format is directly supported by your sound card, the Sound Mapper will simply pass the data to your sound card, which requires negligible overhead. For more information about the Sound Mapper, see Sound Forge and The Microsoft Audio Compression Manager.

Forced write-through during record

Sound Forge implements a forced write-through during recording to prevent drop-outs and gapping under Windows 98 and Me. However, this process increases hard drive activity and can produce noise.

To override forced write-through, clear the Enable forced write-through on Record check box on the General tab of the Preferences dialog. This is not recommend, however, as gapping during record may occur.

Playback cursor and record counter

If you are recording or playing at sample rates above 44,100 Hz and are experiencing gapping or skipping, clear the following check boxes on the Perform tab of the Preferences dialog:

  • Show the position of the playback cursor: when this check box is cleared, the numeric cursor-position display in the status bar is not updated during playback.

  • Show the record counter while recording: when this check box is cleared, the Time recorded value on the Record dialog is not updated during recording.

Meters Sound Forge only

If you experience gapping during playback and the Play Meters are displayed, turn them off by choosing Play Meters from the View menu.

If you experience gapping during recording and you have the Monitor check box selected in the Record dialog, clear the check box to turn off the Record Meters.

Passive updating for video and time displays

If you experience gapping during playback or your computer just seems to be bogging down during playback, try turning on Passive Update. This will force the video and time displays to update only if there is time to do so. In most cases you won’t be able to tell if it is missing some updates.

  • From the Options menu, choose Time Display, and choose Passive Update from the submenu.

  • From the Options menu, choose Video, and choose Passive Update from the submenu.

Disable scan for external monitor

Sound Forge has the ability to display its video preview on an external video monitor. By default, Sound Forge will scan for an external monitor when you open an AVI file. If you do not have an external monitor, you can turn off this feature to open AVI files more quickly.

Select the Disable scan for External Monitor support check box on the Video tab of the Preferences dialog.

Background processing

When Sound Forge is performing operations that take a long time, such as opening a file or performing audio processing, a progress meter is displayed on the status bar. You can cancel the operation at any time by clicking the Cancel button or pressing the Escape key.

All processing performed by Sound Forge is done in the background, so you do not have to wait for Sound Forge to finish its work before you can use other applications.

If you minimize Sound Forge while it is processing, the percentage processed is displayed in the taskbar. This allows you to monitor Sound Forge’s progress while using other applications.

You may have noticed that Sound Forge displays the amount of processing time an operation required in the status bar when it is completed. This processing time is not intended for accurate performance profiling. The accuracy of this processing time value is dependent on what other activity is being performed by your computer while Sound Forge is working. Using other applications while Sound Forge is working can cause the processing time to increase substantially.

Audio and video synchronization

If your video has been opened from a slow device, such as a CD-ROM or network drive, Sound Forge may have trouble accurately playing back the audio and video in sync. You should always copy your video files to a fast hard drive.

After you open an AVI file, you may be notified that your video has very few keyframes. This is generally representative of tutorial videos captured with a program that saves the video as a Run Length Encoded (RLE) stream with a single keyframe. Save your file with more keyframes and reopen it for better performance during digital editing.

Here are a few other tips that can help when trying to synchronize the audio and video:

  • After assembling or editing the audio you wish to use with your video, place markers during video playback to correspond to any major synchronization points. You can locate a particular frame by dragging the cursor along the audio if the Video Preview window is open or the Animate Video Strip option is enabled. After primary locations have been located, drag your audio to these markers to mix, paste, and crossfade audio.

  • Features such as Insert Silence, Delete/Clear, and Time Stretch are commonly used to correct synchronization. Another useful trick is to create a region representing the offset between a video frame and audio event. Then you can enable Lock Loop/Region Length and drag the offset region to a preceding silent section. Use the region as a template for adjusting the audio stream length—either copying and pasting to insert time or deleting to remove time.

  • When cropping beginning and end silence for your AVI file, drag your final selection to the Playlist. From the Special menu, choose Playlist/Cutlist, and choose Convert to New from the submenu to generate a new file using your selected region.


Working with Files

What do you want to do?

Create a new window

Open a file

Play a file

Close a file

Save a file

Save a file as a different name or type

Save all open files

Create a CD

View or edit a file's properties

E-mail a file

Recover files after a crash


Creating a New Window

Ctrl+N

File Menu

Sound Forge opens each sound file in a separate window. You can have multiple windows open at once; click anywhere in a data window to make it active.

  1. From the File menu, choose New to open a new window.

Shortcuts:

  • Click the New button [image] on the toolbar (or hold the Shift key while choosing New from the menu) to skip the New Window dialog and use the previously selected window settings.

  • Drop a selection on an empty area of the Sound Forge workspace to create a new window using the selected data.

  2. Use the New Window dialog to specify the parameters for the new window:

a. Choose a sample rate from the Sample rate drop-down list, or type a custom value in the edit box.

b. In the Bit-depth box, click a radio button to determine the window's bit-depth.

c. Click the Mono or Stereo radio button to determine the number of channels that will be used in the window.

Maximum editing time displays the maximum time currently available on the hard drive for editing a file of the specified type.


Opening a File

Ctrl+O
Ctrl+F12
Ctrl+Alt+F2

File Menu

Use the Open command to open a media file in a new Sound Forge window. You may quickly reopen one of the previously opened projects by selecting it from the bottom of the File menu.

What do you want to do?

Open a file

  1. From the File menu, choose Open. The Open dialog is displayed.

  2. Choose the folder where the file you want to open is stored:

  • Choose a drive and folder from the Look in drop-down list.

—or—

  • Choose a folder from the Recent drop-down list to quickly select a folder from which you have previously opened files.

  3. Select a file in the browse window or type a name in the File name box. Detailed information about the selected file appears at the bottom of the dialog box.

    If you know that the file format is unsupported, choose Raw File and click the Open button to display the Open raw data file dialog, where you can specify format parameters.

To limit the files displayed in the dialog, choose a file type from the Files of Type drop-down list or enter *. and an extension in the File name box. For example, enter *.wav to display all wave files in the current folder, or enter *guitar*.wav to display all wave files that have the word guitar in the file name.

  4. Click the Open button.

Open a file as read-only

On the Open dialog, select the Open as read-only check box if you want to open a sound file but do not want to alter the data in the file.

This feature is useful if you only need to play the file or copy sections from the file. You can still change the Regions List, Playlist, and Summary information for the file, but these changes must be saved to a new file.

Open a file in Direct mode

You can choose to open uncompressed .aif and .wav files in Direct mode to open a file without creating a temporary file. This speeds the opening process, but doesn’t give you the security of a backup file. In most cases this is not a problem since all changes can be undone (if you have enough disk space). However, if Sound Forge terminates improperly, the file will remain in its edited state.

On the Open dialog, select the Operate directly on the sound file check box to open a file in Direct mode.

Notes:

  • If the Operate directly on the sound file check box is unavailable for an uncompressed .aif or .wav file, the selected file may be saved as a read-only. Right click the file name, choose Properties from the shortcut menu, and clear the Read-only check box.

  • When you open a sound file, Sound Forge defaults to the edit mode you last selected. You can change modes in the Open dialog.

Preview files

On the Open dialog, select the Auto play check box if you want Sound Forge to automatically begin playback when a file is selected.

When the Auto play check box is not selected, you can click the Play button to audition the selected sound file without opening it in Sound Forge. During playback, the button changes to a Stop button; click again to stop playback.

If playing a file from a slow network or CD-ROM, some skipping might occur.

Merge two mono files into a single stereo file

In the Open dialog, select the Merge L/R to stereo check box and hold the Ctrl button while selecting two mono files in the browse window. The two mono files will be merged to the left and right channels of a new stereo file.

The first file you select will be placed in the left channel, and the second file will be placed in the right channel.

Display more information about the selected file

In the Open dialog, click the More button to display the General tab of the Properties dialog.

Open an AVI file containing multiple streams

If you open an AVI file that contains multiple streams, the Video Stream dialog is displayed after you click the Open button. Use the Video Stream dialog to view information about each stream and to specify which streams you want to open:

  • Drag the black diamond [image] to choose the streams you want to open.

  • Click on the Expand button [image] to display information about a stream.

  • Right-click a field name and choose Edit from the shortcut menu to modify a setting.

  • Click the Contract button [image] to hide stream information.


Playing a File

Window Menu

You can play back an entire sound file or a section of a file to hear the results of your editing. When you play a file, the cursor will move along the timeline to show the current position, and this position is displayed in the Selection Left box of the selection status bar.

What do you want to do?

Play all sound data in a file

Play a section of a file


Closing a File

File Menu

From the File menu, choose Close to close the current sound file. If the data has been modified, you will be prompted to save your changes:

  • Click No if you want to close the project without saving it.

  • Click Yes to save your changes.

  • Click Cancel to return to your current project.


Saving a File

Ctrl+S
Shift+F12
Alt+Shift+F2

File Menu

  1. Click anywhere in the data window to select it.

  2. From the File menu, choose Save to save the current sound data.

If the active window contains new data that was not retrieved from a previous file or was loaded from a format that is not supported for saving, you will be prompted with the Save As dialog.


Saving a File as a Different Name or Type

Save As

File Menu

Use the Save As command to save the current sound data in a different file and/or file format.

  1. Click anywhere in the data window to select it.

  2. From the File menu, choose Save As to display the Save As dialog.

  3. Select the folder where you want to save the file:

  • Choose a drive and folder from the Save in drop-down list.

—or—

  • Choose a folder from the Recent drop-down list to quickly select a folder where you have previously saved files.

  4. Type a name in the File name box, or select a file in the browse window to replace an existing file.

  5. Choose a file type from the Save as type drop-down list.

    If you know that the file format is unsupported, select Raw File and click the Save button to display the Save raw data file dialog, where you’ll be able to specify format parameters.

The Macintosh Resource (SND) format is not supported for saving. If you need to export sound files to a Macintosh, use the Macintosh AIFF format.

  6. Choose a sample format from the Format drop-down list.

    Sound files are most often saved in the PCM format. However, other formats are often used for compression purposes. If you have the Microsoft Audio Compression Manager (ACM) installed, you can save files in a variety of compressed formats including the Microsoft ADPCM format.

The Format drop-down list is unavailable for RealMedia, Windows Media Format, MP3, and Raw file types. You can specify a format for these types after clicking the Save button.

  7. If the selected file type supports it, you can choose an encoding template from the Template drop-down list, or click the Custom button to create a new template.

  8. Choose a setting from the Attributes drop-down list to specify the sample rate, bit-depth, and whether the file is stereo or mono.

When you convert from mono to stereo, the data will be stored in both channels. When converting from stereo to mono, the data from both channels will be mixed to a single channel.

  8. Choose an option from the drop-down list to specify how Region and Playlist information in your file will be saved:

    Option

    Description

    Do Not Save Regions or Playlist

    Saves your file and ignores any defined playlist or region information.

    Save Regions and Playlist in .wav/.avi files

    Embeds the data in the sound file.

    Save Regions and Playlist as .sfl file

    Saves the data in an external Sound Forge playlist file.

    Save Regions only as Session 8 .rpm files

    Saves the data in an external playlist file for Digidesign's Session 8.

    Save as Windows Media Script .txt files

    Saves the data in an external text file that conforms to the script table format for Windows Media Format files.

  9. Select the Save summary information in file check box if you want to preserve summary information (specified on the Summary tab of the Properties dialog) in the saved file.

This option is available only for .wav, .avi, .asf, .wma, or .rm file types.

  10. Select the Save sampler information in file check box if you want to save sampler information in the .wav file.

  11. Click the Save button.


Advanced File Settings

If the selected file type supports it, the Save As dialog allows you to create custom templates for saving files.

What do you want to do?

Create or edit a template

  1. Use the Save As dialog to specify a location and name for the file you want to save.

  2. Click the Custom button to open the Custom Settings dialog.

  3. Choose a template from the Template drop-down list, or enter a new name in the edit box.

Built-in presets cannot be edited.

  4. Use the Custom Settings dialog to set the template's properties.

For information about specific controls in each file type's Custom Settings dialog, click the What'sThis button [image] and click the item.

  5. Click the Save Template button [image].

  6. Click OK to return to the Save As dialog.

Delete a template

  1. Use the Save As dialog to specify a location and name for the file you want to save.

  2. Click the Custom button to open the Custom Settings dialog.

  3. Choose a template from the Template drop-down list.

  4. Click the Delete Template button [image].

Built-in presets cannot be deleted.

  5. Click OK to return to the Save As dialog.


Saving a Raw Data File

You can save your file as raw data to save a file format other than the standard sound file formats supported by Sound Forge.

What do you want to do?

Save a raw file using a preset format

  1. Click anywhere in the data window to select it.

  2. From the File menu, choose Save As or click the Save As button on the toolbar [image] to display the Save As dialog.

  3. Use the Save As dialog to specify a folder and file name.

  4. Choose Raw File from the Save as type drop-down list.

  5. Click the Save button to display the Save Raw File Type dialog.

  6. Choose a preset format from the drop-down list and click the OK button. To create your own format, set the parameters on the dialog and click the Save As button.

Specify raw file properties

The Save Raw File Type dialog is displayed when you choose Raw File from the Save as type drop-down list and click the Save button on the Save As dialog.

  1. Choose a sample rate from the Sample rate drop-down list or enter a number in the edit box. This setting specifies the sample rate that will be used by Sound Forge when playing the file.

  2. In the Sample Type box, click the radio button that corresponds to the format used to store each sample value:

Item | Description
8-bit PCM | An uncompressed, 8-bit linear format.
16-bit PCM | An uncompressed 16-bit linear format.
24-bit PCM | An uncompressed 24-bit linear format.
32-bit PCM | An uncompressed 32-bit linear format.
32-bit IEEE Float | An uncompressed 32-bit, floating-point format.
64-bit IEEE Float | An uncompressed 64-bit, floating-point format.
G.711 u-Law | A compressed format commonly used for telecommunications in the United States.
G.711 A-Law | A compressed format commonly used for telecommunications in Europe.

  3. Specify the binary format of each sample value. Sound files on the PC are most often saved using the Signed format.

  4. Click the Mono or Stereo radio button to select the number of channels stored in the file.

  5. Click the Little endian or Big endian radio button to specify the order in which the high and low bytes of a 16-bit sample are stored. Little Endian is used by Intel microprocessors, while Big Endian is used by Motorola microprocessors.

  6. Click the Save As button and specify a preset name if you want to save the current dialog box settings in a new preset.

  7. Click the OK button.


Saving an AVI File

Saving a Video for Windows (AVI) File

What do you want to do?

Save a file

  1. Click anywhere in the data window to select it.

  2. From the File menu, choose Save As or click the Save As button on the toolbar [image] to display the Save As dialog.

  3. Use the Save As dialog to specify a folder and file name.

  4. Choose Video for Windows (*.avi) from the Save as type drop-down list.

  5. Click the Save button. The Video Save Options dialog is displayed.

  6. Adjust the settings on the Video Save Options Dialog as desired and click the OK button.

Modify stream information

The Video Save Options dialog is displayed when you choose Video for Windows (*.avi) from the Save as type drop-down list and click the Save button on the Save As dialog.

Select a check box to save a stream, or clear a check box to exclude a stream from the file. The black diamond [image] next to each check box indicates currently open streams.

  • Click the Expand button [image] to display information about a stream.

  • Right-click a field name and choose Edit from the shortcut menu to modify a setting.

  • Click the Contract button [image] to hide stream information.

Save audio to a new stream

The Video Save Options dialog is displayed when you choose Video for Windows (*.avi) from the Save as type drop-down list and click the Save button on the Save As dialog.

Select the Save audio to new stream check box to add a new audio stream that contains the audio currently open in Sound Forge.

Resize video frames

The Video Save Options dialog is displayed when you choose Video for Windows (*.avi) from the Save as type drop-down list and click the Save button on the Save As dialog.

Choose a preset from the Resize video frames to drop-down list to adjust the size of the video, or choose Custom to specify a custom frame size in the New width and New height boxes.

Save an OpenDML (AVI version 2.0) compatible file

Select the Create an OpenDML (AVI version 2.0) compatible file check box if you want to save your file as an OpenDML file. OpenDML files allow you to create files that are limited in size only by the format of your hard disk: 2GB using FAT32 or 4GB using NTFS.

Adjust compression options

The Compression Options dialog is displayed when you click the OK button on the Video Save Options dialog.

To adjust compression for a stream, choose a stream from the Choose a stream drop-down list and click the Options button.

The Sound Selection dialog is displayed when you choose an audio stream, and the Video Compression dialog is displayed when you choose a video stream.

Compress an audio stream

  1. On the Compression Options dialog, choose an audio stream from the Choose a stream drop-down list and click the Options button. The Sound Selection dialog is displayed.

  2. Choose a preset from the Name drop-down list, or adjust the controls as needed:

a. Choose a sample format from the Format drop-down list.

b. Choose a setting from the Attributes drop-down list to specify the sample rate, bit-depth, and whether the file is stereo or mono.

When you convert from mono to stereo, the data will be stored in both channels. When converting from stereo to mono, the data from both channels will be mixed to a single channel.

  3. Click the Save As button if you want to save the current dialog settings in a new preset.

  4. Click the OK button.

Compress a video stream

  1. On the Compression Options dialog, choose a video stream from the Choose a stream drop-down list and click the Options button. The Video Compression dialog is displayed.

  2. Choose a compression format from the Compressor drop-down list. Compression formats are available from different vendors (not from Sonic Foundry), and are also included with Windows.

    If the file is already compressed, you should choose No Recompression . This will be faster and will also avoid the loss of quality inherent in most recompression.

The following settings are not available for all compressors

  3. Drag the Compression Quality slider to determine the final output quality. Higher quality settings (close to 100) produce less compression and fewer visual artifacts.

  4. Select the Keyframe Every check box and specify the interval you want to use for creating keyframes in your file.

    Some compression formats are based on keyframes (sometimes called temporal compression): keyframes contain all information required to display an image; frames between keyframes are called delta frames, and they contain only the information used to display change. Delta frames are considerably smaller than keyframes; however, the visual quality of delta frames is poor.

    A high number of key frames increases quality, but decreases compression. Also, if the number of key frames is very low, it will takes a long time to perform decompression when drawing the video strip or moving randomly through the file.

  5. Select the Data Rate check box and specify a bandwidth to determine the data rate that will be required to play the compressed stream in real time.

    Lower data rates are less demanding on computer systems than higher rates. If the data rate is too high for a certain computer (usually because of a bottleneck such as a slow CD-ROM, network, or hard drive), the quality begins to suffer and glitching can occur.

  6. Click the Configure button to set more detailed configuration parameters specific to the compression scheme being used. Not all compressors provide this option.

  7. Click the OK button.

Interleave Frames

On the Compression Options dialog, select the Interleave frames check box to interleave audio and video streams.

The Frames value indicates the interval between video and audio segments. The default is 1 for CD-ROM drives, but can be increased for faster media.


Save all Open Files

Saving all Open Files

File Menu

From the File menu, choose Save all to save all open files. You will be prompted for each unsaved file.

  • Click No if you want to close the file without saving changes.

  • Click Yes to save your changes.

  • Click Cancel to return to Sound Forge. All files remain open without saving changes.

If you hold the Shift key down when selecting this command, no prompts will be displayed.


Creating CDs

Tools Menu

Use the Create CD dialog to save your sound files to audio CDs that you can share with others.

To open the dialog, choose Create CD from the Tools menu and choose Add Track or Close CD from the submenu.

Before burning your project to a CD, verify you are using a 16-bit, 44,100 Hz file. Sample rates other than 44,100 Hz will cause CD track lengths to be miscalculated.

What do you want to do?

Add a track to a CD

  1. If you have not already done so, save your song.

  2. From the Tools menu, choose Create CD and choose Add Track from the submenu. The Create CD dialog displays the length of the current file and the amount of time remaining on the disc in your CD recorder.

If you do not have a disc in your CD recorder drive when you access this window, all options other than the Cancel button are unavailable. If you insert a disc into your CD recorder after you access this window, it will take a moment or two for Sound Forge to recognize the disc and make additional options available.

  3. Click the Add Audio button. The approximate time remaining is displayed at the bottom of the dialog box.

Notes:

  • Do not click the Cancel button once the disc-writing process has begun. As with any CD-creation process, interrupting the writing process makes your disc unusable.

  • Your CD cannot be played in an audio CD player until you close the disc.

Close a CD project

Closing a disc allows your files to be played on an audio CD player.

  1. From the Tools menu, choose Create CD and choose Close Disc from the submenu. The Create CD dialog displays the amount of time remaining on the disc in your CD recorder.

  2. Click the Close Disc button.

You will not be able to add audio tracks to a CD after you close the disc.


File Properties

Viewing or Editing File Properties

Alt+Enter

File Menu

From the File menu, choose Properties (or double-click any of the boxes in the status bar) to view or edit information about the active sound file.

This information is saved with the file and can be displayed by media players when you save your project in a different file format.

Which tab do you want to learn more about?

General

The General tab contains technical information about the current sound file, including size, location, file type, and file attributes. This information is for display only.

Microsoft .wav files are composed of sections called RIFF chunks. These chunks contain the sound data plus other embedded information. If there are any nonstandard chunks found in the current file, the Junk chunks, Padding chunks, and Additional chunks fields will be marked Yes. These chunks might be used by other sound utilities or contain extraneous information that can cause glitching in some programs.

Summary

The Summary tab contains extra information that can be embedded in the sound file. This tab is available only for .wav, .avi, and .mp3 files.

Item | Description
Title | Enter the title of the project.
Subject | Enter name of the artist who performed in the project.
Engineer | Enter the name of the person who engineered the project.
Copyright | Enter copyright information about the project.
Comments | Enter any comments you want to associate with the project.
Extended | Click to display the Extended Summary dialog.
Load | Click to set the current file’s summary information fields to the default settings. The default values can be set in the Extended Summary dialog.
Picture | Click to display the Open Picture dialog, where you can select an icon, bitmap or cursor to be attached to the current file.

Format

Use the Format tab to change the data format of the current data window. For more information about data formats, click here.

Item

Description

Sample rate

Choose a sample rate from the drop-down list or enter a value in the edit box.

This setting will not resample the sound file. If the playback rate is different from the originally recorded rate, the pitch will vary unless resampling is done.

Bit depth

Choose a bit depth from the drop-down list to specify the format used to store each sample value.

If a file is opened in Direct mode, you cannot increase the file's bit depth using these radio buttons. Use the Save As command to increase the bit depth.

Channels

Click the Mono or Stereo radio button to select the number of tracks stored in the file.

Use the Channel Converter to perform advanced channel mixing.

Source

Displays the sample rate, bit-depth, and number of channels in the source file.

Temporary

Displays the sample rate, bit-depth, and number of channels in the temporary file.

Process/DSP

Displays the sample rate, bit-depth, and number of channels used when processing your file.

Playback

Displays the sample rate, bit-depth, and number of channels that will be used for playback.

Cursor position

Displays the cursor position in the sound file using the current units.

Sample value

Displays the sample value at the current cursor position in the sound file:

  • In 32-bit audio, these values range from -2147483648 to 2147483647.

  • In 24-bit audio, they range from -8388608 to 8388607.
  • In 16-bit audio, they range from -32768 to 32767.
  • In 8-bit audio, they range from -128 to 127.

Peak data ratio

Displays the ratio at which the peak data is stored. This means that when zoomed out beyond 1:512, the peak file, instead of the entire file is scanned when drawing the waveform.

Sound data size

Displays the amount of storage space being used by the sound data.

Video source format

Displays the frame size (height, width, bits per pixel) and compression algorithm of the original AVI file.

Video decompression format

Displays the intermediate frame size (height, width, bits per pixel) and compression algorithm used by Sound Forge before displaying the video frames. The video decompression mode can be changed from the Perform tab in the Preferences dialog.

Undo buffers

Displays the number of undo buffers that exist for the sound file and the amount of hard-drive space they consume.

Redo buffers

Displays the number of redo buffers that exist for the sound file and the amount of hard-drive space they consume.

Video

The Video tab contains information specific to Microsoft AVI files.

An AVI file can contain multiple video and/or audio streams (or tracks). For example, you can include multiple audio tracks in different languages to go along with a video. When playing back, Microsoft’s Media player detects the operating system's language and plays the corresponding video stream.

Item

Description

Stream

Displays information about the video and/or audio streams present in the AVI file, such as name, compression format, frame rate, and language.

The black diamond [image] to the left of the streams indicate the active streams. You can view and edit additional information (stream name, language, and priority of the active audio stream) by clicking on the [image] sign to expand the list. Right-clicking on a field in the right-hand column allows you to edit it.

Streams that are checked [image] will be preserved when the file is saved. Streams that are not checked will be deleted when the file is saved.

Attach/Detatch

If your sound file does not currently contain any video, you can attach a video from an AVI file by clicking the Attach button. If your file already has a video stream, click the Detach button to remove the stream.

Display

The Display tab allows you to change which controls are displayed when the sound file is open in a data window. Selecting a check box will display that item in the current sound file’s data window. An unchecked item will not be displayed.

To set the current settings as the default display for all sound files, simply select the Save as the default for all new windows check box.


E-mailing a File

File Menu

From the File menu, choose Send to send the current sound file via electronic mail.

When you choose the Send command, your e-mail program opens with a new message and embeds the active sound file from Sound Forge in the message.

When a sound file is embedded into a mail message, the entire contents of the sound file are inserted into the message. Any modifications to a sound file must be saved before the message can be sent. Sound Forge will prompt you to save the file if necessary.

Notes:

  • You must have electronic mail (e-mail) capabilities to use this feature.

  • Sound files are generally very large. An e-mail message containing an embedded sound file can take a considerable amount of time to send and receive, especially if you are not using a high-speed network.


Crash Recovery

If Sound Forge is terminated improperly, all of the opened and unsaved sound files—excluding those opened in Direct and read-only modes—can be recovered.

Unless a file is opened in Direct or read-only modes, a temporary file is created and any edits made are stored in this file. When an improper termination of the program occurs, these temporary files remain on your hard drive and can be reopened to recover any work done to the sound files before crashing. Also, the original sound files will remain unchanged until you save your work.

When starting the program after a crash, the Crash Recovery dialog is displayed if temporary files are detected in your temporary file directory:

  • Click the Recover button to rename the .tmp files as .wav files.

  • Click the Delete button to delete the temporary files.

  • Click the Ignore button to leave the temporary files on your hard drive.


Record

Recording

Ctrl+R

Special Menu:
Transport

From the Special menu, choose Transport and choose Record from the submenu to open the Record dialog.

Use the Record dialog to record data into an existing data window or to a new data window.

If the current window is opened in Direct mode, the Record command will record to a new window by default.

What do you want to do?

Monitor input levels

Select the Monitor check box to enable the recording meters. You can monitor your input level before you start recording to ensure your input level is as loud as possible without clipping.

The meters represent the volume of the recording input. For best results, the level should be somewhere in the yellow range with an occasional red.

Click the Reset button to reset clip indicators or held peaks or valleys.

Right-click the meters and choose a setting from the shortcut menu to change the meters' scale.

If you are going to decrease the bit-depth of your sound file after recording, it is particularly important that you record with the loudest possible levels. High recording levels ensure that you will use the maximum possible dynamic range in the converted file.

Choose an input device and adjust levels

In order for Sound Forge to record sound, your sound card's recording input must be active.

Following are general guidelines; your specific hardware may vary. Please refer to your hardware documentation for more information.

  1. Ensure all cables are connected and that your audio source is generating a signal.

If you're recording from a CD-ROM drive, the drive must be connected to your sound card with an internal or external cable.

  2. Double-click the speaker icon [image] in your system tray to open the Volume Control dialog.

  3. From the Options menu, choose Properties.

  4. Click the Recording radio button and click OK.

  5. Verify the Mute check box is cleared for the device from which you want to record.

  6. Adjust the Volume faders for your device and for the Master Record level while monitoring the recording meters in Sound Forge's Record dialog.

    For example, if you want to record from an audio CD in your CD-ROM drive, the CD Mute check box should not be selected, and the CD and Master Record Volume faders must be adjusted so Sound Forge receives a strong signal without clipping.

Adjust for DC offset

Sound Forge can automatically adjust for any DC offset produced by your audio hardware during the recording process. Perform the following steps before you start recording.

  1. Select the DC adjust check box.

  2. Click the Calibrate button. The numbers below the button display the value, in sample amplitude, of the adjustment.

If you change sound cards or are recording from different digital sources or at different sample rates, you should recalibrate the DC offset before recording.

Prepare for recording

Click the Prepare button if you want to begin recording as soon as possible after clicking the Record button [image].

The Prepare button is optional, but can allow for more accurate takes when recording in Punch-In mode. When you click Prepare, Sound Forge opens the wave device and loads all recording buffers in order to minimize the amount of time between clicking the Record button and when recording starts.

Record to a new data window

When you record to a new window, you can paste or mix recorded data from the new window into other windows, reducing the risk of accidentally recording over data that you want to keep.

  1. From the Special menu, choose Transport and choose Record from the submenu (or click the Record button [image] on the transport toolbar).

  2. Click the New button on the Record dialog.

  3. Specify a Sample rate, Bit-depth, and number of channels on the New Window dialog.

  4. Click the OK button to return to the Record dialog.

  5. Choose a recording mode from the Mode drop-down list.

  6. Click the Record button [image] in the Record dialog when you're ready to start recording.

  7. Click the Stop button [image] to stop recording.

  8. Click the Close button to close the Record dialog when you're finished.

Record to an existing data window

  1. From the Special menu, choose Transport and choose Record from the submenu (or click the Record button [image] on the transport toolbar).

  2. Choose a destination window:

a. Click the Window button to display the Record Window dialog.

b. Choose a window from the Record destination window drop-down list.

c. Click the OK button.

  3. Choose a recording mode from the Mode drop-down list.

  4. Click the Record button [image] in the Record dialog when you're ready to start recording.

  5. Click the Stop button [image] to stop recording.

  6. Click the Close button to close the Record dialog when you're finished.

Record multiple takes

To record multiple takes, perform the procedure described in Record to a new data window or Record to an existing data window and choose Automatically retake, Multiple takes creating regions, Multiple takes (no regions), or Create a new window for each take from the Mode drop-down list.

Review recorded takes

Click the Play button [image] (or press Alt+P) to hear the section of data over which you are going to record. After recording, you can click Play to hear the data you have just recorded. During playback, the button changes to a Stop button [image]; click again to stop playback.

Click the Go to Beginning button [image] (or press Alt+Z) to return the cursor to the beginning of the current sound file. Use this to review takes or to begin recording from the beginning.

Click the Rewind [image] button to move the cursor to the beginning of the previously recorded take.

Click the Forward [image] button to move the cursor to the beginning of the next take.

Click the Go to End button [image] to move the cursor to the end of the current sound file.

Record a specific length (punch-in)

Overwriting a selection

  1. Select the data you want to replace.

  2. From the Special menu, choose Transport and choose Record from the submenu (or click the Record button [image] on the transport toolbar). The Record dialog is opened, and Sound Forge fills in the Start, End, and Length boxes to match your selection.

Click the Selection button to display the Set Selection dialog to make or adjust a selection.

  3. Click the Record button [image] in the Record dialog when you're ready to start recording.

  4. Click the Stop button [image] to stop recording.

Specifying the recording interval

  1. From the Special menu, choose Transport and choose Record from the submenu (or click the Record button [image] on the transport toolbar).

  2. Choose a Punch-in from the Mode drop-down list.

  3. Use the Start, End, and Length boxes to specify the length and placement of your recording. Sound Forge fills in the Start, End, and Length boxes to match your selection or cursor position.

Click the Selection button to display the Set Selection dialog to make or adjust a selection.

  4. Click the Record button [image] in the Record dialog when you're ready to start recording.

  5. Click the Stop button [image] to stop recording.

  6. Click the Close button to close the Record dialog when you're finished.

Record using the Record Remote dialog

Click the Remote button to hide the main Sound Forge window and show only the Record Remote dialog. The Record Remote dialog will be displayed in the foreground of any application so you can easily record while using other components of your system such as a CD player, mixer, or sequencer.

Click the Back button on the Record Remote dialog to return to the Record dialog.

Many of the commands from the Record dialog are available by right clicking anywhere in the Record Remote dialog.

Place a marker during recording

Click the Drop Marker button [image] (or press Alt+M) to place a marker at the current cursor position. This feature allows for easy location of mistakes or points of interest.

Synchronize recording with MIDI timecode

You can use MIDI timecode to synchronize Sound Forge recording to another device.

  1. From the Options menu, choose Preferences, and click the MIDI/Sync tab.

  2. On the MIDI/Sync tab, choose the device to which you want to synchronize from the Input drop-down list and click the OK button.

  3. From the Options menu, select MIDI Input Sync/Trigger to enable MIDI input.

  4. Click the Record button [image].

  5. In the Record dialog, click the Sync button.

  6. In the Record Synchronization dialog, select the Enable MTC/SMPTE Input Synchronization check box.

  7. Select the Start check box and specify the time you want to start recording.

  8. Select the End check box and specify the time you want to stop recording.

  9. Click the OK button.


Basic Editing

The edit operations used most often include Cut, Copy, Paste, Clear/Delete, Mix, and Trim/Crop. Most of these functions use the clipboard, which is a temporary storage area. The clipboard can also be used to move data from one window to another.

What do you want to do?

Select data

Cut data from a window and put it on the clipboard

Copy data from a window and put it on the clipboard

Paste data from the clipboard into a window

Delete (clear) data from a window

Mix the contents of the clipboard into a data window

Trim/Crop all data in a window except the current selection

Crossfade the contents of the clipboard into the window

Change the magnification level of a data window

Undo an edit operation

Redo an edit operation


Selecting Data

Selecting data is the first step in most editing processes. After you have selected data, you can cut, copy, paste, mix, add effects, and more.

The Selection Status bar shows the beginning, end, and length of a selection. If no selection has been made, only the cursor position is displayed.

  • Double-click the Selection Length box to display the Go To dialog.

  • Double-click the Selection Left or Selection Right box to display the Set Selection dialog.

  • Right-click to display the Status Format shortcut menu

What do you want to do?

Select data using the mouse

Select data using the Set Selection dialog

Select data using the keyboard

Set selection snapping

Toggle a selection

Snap selections to zero-crossings


Cut

Ctrl+X

Edit Menu

From the Edit menu, choose Cut to remove the selected sound data and copy it to the clipboard. Cutting sound data replaces the previous contents of the clipboard.

Cutting a selection

  1. Choose the Edit tool [image].

  2. Select the data that you want to cut.

  3. From the Edit menu, choose Cut. The data is removed and copied to the clipboard.

You cannot cut from a single channel in a stereo file since the two channels in a stereo file must always be equal in length. To shift a single channel in time, choose Delay/Echo from the Effects menu, and choose Simple from the submenu.

Cutting data from the beginning of a very large file will take a long time to process because large amounts of data need to be moved. You can preview a cut by selecting the data you want to cut and choosing Preview Cut/Cursor from the Edit menu. Also, the Playlist can be used to make instantaneous nondestructive cuts.


Copy

Ctrl+C

Edit Menu

From the Edit menu, choose Copy to copy the selected sound data to the clipboard. Copying sound data replaces the previous contents of the clipboard.

Copying a selection

  1. Choose the Edit tool [image].

  2. Select the data that you want to copy.

  3. From the Edit menu, choose Copy. The data is copied to the clipboard.


Paste

Ctrl+V

Edit Menu

From the Edit menu, choose Paste to insert a copy of the clipboard contents at the current cursor position. If there is a selection made, the Paste command deletes the selected data before inserting.

Notes:

  • Pasting into a stereo file will insert data to both channels since the channels in a stereo file must always be equal in length.

  • Pasting data of different sample rates will cause the data in the clipboard to play at the same rate as the rate of the window in which the data is pasted.

  • If any regions, markers, or loops are present in with the original sound data, they will also be pasted into the destination sound file. To turn this feature off, turn off the Paste Events command on the Options menu.

Pasting a selection

  1. Choose the Edit tool [image].

  2. Click to position the cursor where you want to paste the contents of the clipboard.

  3. From the Edit menu, choose Paste. The data is copied into the active window.

Tips:

  • Hold down the Alt key while dragging a selection to another data window. Data will be pasted at the cursor position within the window where the data is dropped. The cursor will change to a [image], and an L or R is displayed next to the cursor when pasting only to a left or right channel.

  • Click the right mouse button while dragging to toggle Mix, Crossfade, and Paste drag-and-drop modes.


Delete/Clear

Delete (Clear)

Delete

Edit Menu

From the Edit menu, choose Delete (Clear) to remove selected sound data without copying it onto the clipboard.

You cannot clear data from a single channel in a stereo file; the two channels in a stereo file must always be equal in length.

Deleting data

  1. Select the data you want to delete.

  2. From the Edit menu, choose Delete (Clear).


Mix

Ctrl+M

Edit Menu:
Paste Special

From the Edit menu, choose Paste Special and choose Mix from the submenu to mix a copy of the clipboard contents at the current cursor position.

If any regions, markers, or loops are present in with the original sound data, they will also be pasted into the destination sound file. To turn this feature off, turn off the Paste Events command on the Options menu.

Mixing a selection

  1. Choose the Edit tool [image].

  2. Click to position the cursor where you want to mix the contents of the clipboard.

  3. Click the Mix button [image] on the toolbar or choose Paste Special from the Edit menu and choose Mix from the submenu. The Mix dialog is displayed.

Tips:

  • You can also perform a mix by dragging a selection to another data window. Data will be mixed at the cursor position where you drop the data. The cursor will change to a [image], and an L or R is displayed next to the cursor when pasting only to a left or right channel.

  • Click the right mouse button while dragging to toggle Mix, Crossfade, and Paste drag-and-drop modes.


Trim/Crop

Ctrl+T

Edit Menu

From the Edit menu, choose Trim/Crop to remove all data from the sound file except the selected data.

This command does not copy sound data to the clipboard.

Trimming/Cropping data

  1. Select the data you want to keep.

  2. From the Edit menu, choose Trim/Crop.


Crossfade

Ctrl+F

Edit Menu:
Paste Special

From the Edit menu, choose Paste Special and choose Crossfade from the submenu to crossfade a copy of the clipboard contents at the current cursor position.

Crossfading is similar to mixing, except that you can apply a linear fade to the source and destination data. Crossfading is commonly used as a transition between sound segments.

If any regions, markers, or loops are present in with the original sound data, they will also be pasted into the destination sound file. To turn this feature off, turn off the Paste Events command on the Options menu.

Crossfading a selection

  1. Choose the Edit tool [image].

  2. Click to position the cursor where you want to crossfade the contents of the clipboard.

  3. From the Edit menu, choose Paste Special and choose Crossfade from the submenu. The Crossfade dialog is displayed.

Tips:

  • You can also perform a crossfade by dragging a selection to another data window while holding the Ctrl key (press Ctrl after starting the drag, or you will switch to Zoom mode). Data will be crossfaded at the cursor position where you drop the data. The cursor will change to a [image], and an L or R is displayed next to the cursor when pasting only to a left or right channel.

  • Click the right mouse button while dragging to toggle Mix, Crossfade, and Paste drag-and-drop modes.


Magnification and Zooming

Depending on the editing operations you want to perform, you may want to view the entire file or only a small section. Sound Forge allows you to change the magnification of each data window.

What do you want to do?

Use the Magnify tool

Zoom horizontally

Zoom vertically

Zoom in to a selection

Zoom in fully

Zoom out to view the full amplitude range

Return to the default zoom ratio


Undo

Ctrl+Z
Alt+Backspace

Edit Menu

From the Edit menu, choose Undo or click the Undo button [image] on the toolbar to reverse the last action performed.

For example, if you deleted a section of data by accident, simply choose the Undo command from the Edit menu to put the data back.

From the View menu, choose Undo/Redo History to undo operations using the Undo/Redo History window.

When working on large selections, Sound Forge requires more time to create an undo buffer. To save time and file space, you can turn off creation of undo buffers. Choose Disable Undo/Redo from the Edit menu or from within a processing dialog.


Redo

Ctrl+Shift+Z

Edit Menu

From the Edit menu, choose Redo or click the Redo button [image] on the toolbar to reverse an undo operation.

From the View menu, choose Undo/Redo History to undo operations using the Undo/Redo History window.


Advanced Editing

What do you want to do?

Change a sound file's format

Use markers

Use regions

Repair glitches or clicks

Apply effects or processing

Use the Audio Plug-In Chainer


Changing Sound Formats

When you open a file or create a new window, the format for the window is shown on the status bar at the bottom of the program window:

What do you want to do?

Change a file's sample rate

Change a file's bit-depth

Convert a file from stereo to mono (or mono to stereo)

You can change status formats quickly by right-clicking any of the status boxes and choosing a new value from the shortcut menu, or using the Format tab on the Properties dialog.


Using Markers

A marker is an anchored, accessible reference point in a file. Markers are stored in the Regions List and can be used for quick navigation or to insert commands for streaming media files.

What do you want to do?

Insert a marker

Insert a Windows Media command

Insert a RealMedia command

Edit a marker

Update marker positions

Convert markers to regions


Using Regions

You can use regions to divide a sound file into separately named sections. Regions are stored in the Regions List and can be used for quick navigation, to perform MIDI triggering, or to perform nondestructive editing by adding regions to a Playlist/Cutlist.

What do you want to do?

Create a region

Edit a region

Navigate your file using the regions list

Create regions automatically

Use regions in a Playlist/Cutlist Available only in Sound Forge


Repair

Repairing Glitches or Clicks

Available only in Sound Forge

Effects Menu

From the Tools menu, choose Repair and choose a command from the submenu to repair glitches or clicks in a file.

What do you want to do?

Interpolate sound data

Replace sound data with previous data

Copy sound data from another channel


Processing Sound

The Process and Effects menus contain a variety of commands you can use to edit your sound data.

What do you want to do?

Apply an effect

  1. Select the data you want to process.

If no data is selected, processing will be applied to the entire file.

  2. Choose a command from the Process or Effects menu.

  3. Choose a preset from the Name drop-down list or adjust the dialog controls to create custom processing parameters.

  4. Click the Preview button to hear the effects of your processing settings. Select the Bypass check box to hear the unprocessed signal.

  5. If you want to change the current selection, click the Selection button to display the Set Selection dialog.

  6. Click the OK button to start processing.

During processing, a progress meter is displayed on the status bar. You can cancel the operation at any time by clicking the Cancel button to the left of the progress meter, or you can press the Escape key.

Apply an effect to a stereo file

When you're working with stereo files, only the selected region in the selected channel is processed. Most functions can be applied to the right, left, or both channels. However, since both channels in a stereo file must be equal in length, functions that affect the length of the data cannot be performed on individual channels. These functions include Insert Silence, Resample, Time Stretch, Gapper/Snipper, Pitch Bend, and Pitch Shift (without preserving duration).

If you want to apply one of these processes in a single channel, convert the file into two separate mono files (you can select a channel and drag it to the Sound Forge workspace to create a new file quickly), apply the process, and merge the files into a new stereo file.

Preview a processing operation

Click the Preview button in a processing dialog to preview how the function will sound. Select the Bypass check box to hear the unprocessed sound.

For more information about using processing dialog controls, click here.

Create a preset

  1. Choose a command from the Process or Effects menu.

  2. Adjust the dialog controls to create the desired effect.

  3. Click the Save As button. The Save Preset dialog is displayed.

  4. Enter a name in the New preset name box.

  5. Click the OK button.

Delete a preset

  1. Choose a command from the Process or Effects menu.

  2. Choose a preset from the Name drop-down list.

  3. Click the Delete button.

The Delete button is available only for custom presets.

Turn undo buffers on or off

The Create undo check box specifies whether an undo buffer will be created before processing the current sound file. Clearing the check box speeds processing, but you will not be able to undo your changes.

Use Sound Forge controls

Control

Description

Slider/Fader

Drag the handle handle to change the setting.

Tips:

  • Hold the left and right mouse buttons (or hold the Control key) to fine-tune a control's value.

  • You can use the Up, Down, Left and Right arrow keys to change the value in small increments or the Page Up and Page Down keys to change the value in larger increments. The Home and End keys change the parameter value to its maximum or minimum.

  • Double-click a handle to return to the default value (usually 0%, 50%, or 100%). Left-clicking on the hash marks in a fader also changes the value by very small increments.

Spin Control

Use the up/down buttons or type a value in the edit box to change the setting.

Tips:

  • Click the button between the up/down buttons and drag the mouse to change the setting in large increments.

  • Hold down both mouse buttons (or hold down the Control key) to fine-tune a control's value.

  • You can use the Up/Down arrow and Page Up/Page Down keys to alter the value.

Drop-Down List

Click the drop-down list and choose an item. If you have to scroll through a large list, click on the scroll buttons or use the arrow keys.

If you scroll down the drop-down list for a preset, you can see all of the parameters change for each preset. This is useful for getting a feel for which parameters are used to create different effects.

Button

Click a button or press the spacebar while it is selected.

Radio Button

Radio buttons always come in groups of two or more where you can select only one option. When you select a radio button, the previously selected button is turned off.

Check Box

Click a check box to select it. You can click a selected check box to clear it.

Envelope Graph

An envelope allows you to change a sound over time.

  • Drag the small boxes (envelope points) up or down.

  • To create a new envelope point, left-click on any point of the envelope.

  • To delete an envelope point, click it with the right mouse button, or double-click it with the left mouse button.

  • To move all envelope points, press Ctrl+A and drag when the envelope has focus (the cursor will be displayed as a [image]).

You can create up to 16 envelope points. Click the Reset Envelope button to reset the graph.


Using the Audio Plug-In Chainer

The Audio Plug-in Chainer is a DirectX plug-in that allows you to link multiple DirectX plug-ins into a single processing chain. All of the plug-ins in the chain can be previewed simultaneously in real time (as long as your computer can process the preview information quickly enough).

What do you want to do?

Apply a plug-in chain to an audio file

  1. Select the data you want to process.

  2. From the Tools menu, choose Audio Plug-In Chainer.

  3. Choose a preset from the Name drop-down list, or add the desired plug-ins to the chain.

  4. Choose which of the chain's plug-ins you want to apply:

  • Clear an effect's check box [image] to prevent the audio signal from being sent through the plug-in. This is useful for isolating certain plug-ins without removing others from the chain.

  • Select the check box for each plug-in you want to apply to your signal.

  5. Adjust each plug-in's properties as desired.

  6. Click the OK button.

Add, remove, or arrange plug-ins on a chain

Adding a plug-in

  1. Click the Add button [image]. The FX Plug-In Chooser window appears.

  2. Click on each plug-in you want to add, and click the Add button, or browse to an FX package. The plug-ins appear at the bottom of the window in the order in which you added them.

To reorder the plug-ins within the chain, simply drag a plug-in button to a new location, or click the Shift Plug-In Left [image] or Shift Plug in Right [image] buttons.

  3. Adjust the settings for the FX. For more information about using specific plug-ins, click the Plug-In Help button [image].

  4. Once you have added all of the plug-ins and specified the plug-in chain order, click the OK button.

Removing a plug-in

  1. Select a plug-in button [image].

  2. Click the Remove Selected Plug-In button [image].

Editing a plug-in chain

  1. From the Tools menu, choose Audio Plug-In Chainer.

  2. Choose a preset from the Name drop-down list.

  3. Select the check box for each plug-in you want to apply to the track.

To bypass a plug-in without removing it from the chain, clear the effect's check box [image].

  3. To reorder the plug-ins within the chain, simply drag a plug-in button to a new location.

  4. Click the plug-in's button to select it, and use the bottom half of the dialog box to adjust the effect's parameters. For more information about using specific plug-ins, click the Plug-In Help [image] button.

Save a plug-in chain

Click the Save As button to display the Save Preset dialog. Enter a name for the plug-in chain in the New preset name box and click the OK button.

Set a plug-in's properties

  1. Select a plug-in button [image].

  2. Use the bottom half of the dialog box to adjust the effect's parameters. For more information about using specific plug-ins, click the Plug-In Help [image] button.


Synthesis

Tools Menu

From the Tools menu, choose Synthesis and choose a command from the submenu to generate tones and waveforms.

Which command do you want to learn more about?

DTMF/MF Tones

FM

Simple


DTMF/MF Tones

Generating DTMF/MF Tones

Tools Menu:
Synthesis

You can use DTMF/MF Tones dialog to generate the standard dial tones used by telephone companies. To display this dialog, choose Synthesis from the Tools menu, and choose DTMF/MF from the submenu.

To generate DTMF/MF tones

  1. From the Tools menu, choose Synthesis, and choose DTMF/MF from the submenu.

  2. In the Dial string box, enter the phone number to be generated along with any necessary pause characters. Unknown characters will be ignored.

  3. Drag the Amplitude fader to set the peak level of the waveform.

  4. Click the radio button that corresponds to the type of tones you want to generate:

  • DTMF: Dual Tone Multi-Frequency signals are used by standard push-button telephones. They are generated using combinations of 679-, 770-, 852-, 941-, 1209-, 1336-, 1477-, and 1633-Hz sine waves.

  • MF: CCITT R1 signals are used internally by the telephone networks. They are generated by a combination of 700-, 900-, 1100-, 1300-, 1500-, and 1700-Hz sine waves.

  5. In the Single tone length box, specify the output length (in seconds) of each tone.

  6. In the Break length box, specify the length (in seconds) of the silence between tones.

  7. In the Pause length box, specify the length (in seconds) of the silence that will be inserted when the Pause character is used.

Select the Fade the edges of each tone check box to fade each tone in and out to prevent glitching.

  8. In the Pause character box, specify the the character that will cause a pause between successive tones in the dial string.

  9. Choose a position from the Insert new tone sequence at drop-down list to determine where the generated waveform will be placed within the existing sound file.

  10. Click the OK button.

For more information about using processing dialog controls, click here.


FM Synthesis

Tools Menu:
Synthesis

You can use the FM Synthesis dialog to create complex sounds from simple waveforms using frequency modulation (FM). To display this dialog, choose Synthesis from the Tools menu, and choose FM from the submenu.

In frequency modulation, the frequency of a waveform (the carrier) is modulated by the output of another waveform (the modulator) to create a new waveform. If the frequency of the modulator is low, the carrier will be slowly de-tuned over time. However, if the frequency of the modulator is high, the carrier will be modulated so quickly that many additional frequencies, or sidebands, are created.

In Sound Forge, up to four waveforms (operators) can be used in a variety of configurations. Depending on the configuration, a waveform can be a carrier, a modulator, or a simple, unmodulated waveform.

What do you want to do?

Generate a waveform

  1. From the Tools menu, choose Synthesis, and choose FM from the submenu.

  2. In the Total output waveform length box, specify the length (in seconds) of the generated waveform.

  3. Drag the Configuration slider to determine the arrangement and number of operators to be used.

  4. Modify each operator as desired.

  5. Choose a position from the Insert waveform at drop-down list to specify where the generated waveform will be placed within the existing sound file.

  6. Click the OK button.

Specify the number and arrangement of operators

When you drag the Configuration slider, a graphical representation of the arrangement and number of operators that will be used is displayed:

  • The outputs of operators joined horizontally are simply mixed together. The outputs of the bottom operators are mixed together to form the final output. Mixing different simple waveforms is called additive synthesis.

  • Operators joined vertically are FM carrier-modulator pairs. The bottom operator is the carrier, and the top operator is the modulator.

  • Operators that have no other operator directly above are simple waveform generators.

  • When three or more operators are stacked, the top operator modulates the operator below it, which modulates the following operator, and so on.

Modify an operator

  1. Click a Current operator radio button to choose the operator that you want to modify.

    Adjust the envelope graph to modify the amplitude of the operator over time.

  • Click the left mouse button to define a point and drag to change its position. Click the right mouse button or double-click the left mouse button over an existing point to remove the point. You can create up to 8 envelope points for each operator.

  • Click the Reset button to reset the envelope and remove all but the outermost two envelope points.

  3. Choose a waveform shape from the Operator shape drop-down list.

  4. In the Frequency box, specify the frequency of the operator.

Notes:

  • If Frequency is set to 0.00, a DC (zero-frequency) waveform is produced regardless of the waveform specified.

  • When you choose Noise from the Operator shape drop-down list, Frequency determines the high-frequency content of the noise. For full-bandwidth (white) noise, set Frequency to its highest possible setting.

  5. Drag the Feedback slider to determine the amount of the operator's output that is used to modulate itself. If the operator is also being modulated by another waveform, the feedback path and the modulator output are mixed together to modulate the carrier.

  6. Drag the Amplitude fader to determine the output gain that will be applied to the current operator after the amplitude envelope.

    If the operator is a modulator, this control, along with the envelope, determines the amount of frequency modulation applied to the carrier. If the amplitude of a modulator is high, very harsh sounds can result.

For more information about using processing dialog controls, click here.


Simple Synthesis

Tools Menu:
Synthesis

You can use the Simple Synthesis dialog to generate a simple waveform of a given shape, pitch, and length. To display this dialog, choose Synthesis from the Tools menu, and choose Simple from the submenu.

To generate a simple waveform

  1. From the Tools menu, choose Synthesis, and choose Simple from the submenu.

  2. Choose a shape from the Waveform shape drop-down list to specify the shape of a single period of the current operator's waveform.

  3. In the Length box, specify the length (in seconds) of the generated waveform.

  4. In the Frequency box, specify the frequency of the waveform.

Notes:

  • Aliasing can occur with many of these waveforms when using high frequencies because they are not band-limited.

  • When you choose Noise from the Waveform shape drop-down list, Frequency determines the low-pass cut-off frequency. For full-bandwidth (white) noise, set Frequency to its highest possible setting.

  5. Drag the Amplitude fader to set the peak level of the waveform.

When Noise is selected in the Waveform shape drop-down list, the amplitude is affected by the cutoff frequency selected.

  6. Choose a position from the Insert new waveform at drop-down list to determine where the generated waveform will be placed within the existing sound file.

  7. Click the OK button.

For more information about using processing dialog controls, click here.


Sampling

With the Sampler Tool, you can use Sound Forge’s powerful and easy-to-use sample-editing capabilities to create and edit samples and then transfer them to your external and internal samplers.

What do you want to do?

Use Sound Forge with a sampler

Create a sample or loop

Use the Loop Tuner to adjust the start and end of a loop

Crossfade a loop

Use ACID looping tools to adjust the start and end of a loop

Use the MIDI Keyboard

View MIDI note and frequency information

Troubleshoot MIDI/SDS problems

Troubleshoot SCSI/SMDI problems


Using Sound Forge with a Sampler

Tools Menu

The Sampler dialog allows you to send data to and receive data from a sampler. To display the dialog, choose Sampler from the Tools menu.

What do you want to do?

Set up an external sampler

  1. Choose Sampler from the Tools menu to display the Sampler dialog.

  2. Click the Configure button to display the Sampler Configuration dialog.

  3. From the Sampler model drop-down list, choose the sampler to which you wish to send and receive samples.

If your sampler is not listed here, choose Generic MIDI/SDS or Generic SCSI/SMDI.

  4. Specify input/output settings for the sampler:

  • If your sampler uses MIDI/SDS transfer, click the MIDI radio button and choose input and output ports in the MIDI Out and MIDI In boxes.

  • If your sampler uses SCSI/SMDI transfer, click the SCSI radio button and select your sampler in the Sampler box.

The Sampler box will list all devices connected to the selected SCSI host, including devices that are not samplers.

  5. In the Sample bias box, specify a numbering offset that allows you to add or subtract a value to the Logical send/receive sample number to compensate for differing sampler storage schemes.

It is often easiest to set the Sample bias so that a Logical send/receive sample number of zero corresponds to the first available sample storage number in your sampler.

Perform steps 6 through 9 only if you selected the MIDI radio button in Step 4.

  6. In the MIDI channel box, specify the MIDI channel through which sample data will be sent when using SDS.

  7. Select the Open loop check box if you want to send SDS sample data immediately upon clicking the Send Sample button. This is an unconditional transfer of sample data (no handshake). For more information about open-loop transfer, click here.

    When this check box is selected, the sampler's MIDI output does not have to be connected to your computer’s MIDI input. However, Open loop decreases sample dump speed and is more prone to transfer errors.

  8. Select the Send request when retrieving samples check box if you want the Sampler tool to send a request (handshake) to the sampler before beginning an SDS sample transfer.

  9. Select the Wait for request check box if you want the Sampler tool to wait for a request (handshake) from the sampler before beginning an SDS sample transfer.

  10. Click the Save As button and specify a preset name to save your settings.

Send or receive samples

Sending a sample will always send the entire contents of the active data window. Any selection contained in the waveform display is ignored. When receiving a sample, the entire contents of the active data window are replaced with the new sample data (a warning will be displayed before any data is replaced).

  1. From the Tools menu, choose Sampler.

  2. Choose a sampler from the Configuration drop-down list.

  3. In the Logical send/receive sample number box, specify the number your sampler uses as its location reference for samples sent or received. This number can be biased for specific samplers with the Sample bias setting in the Sampler Configuration dialog.

    The Actual send/receive sample number is displayed below the Logical send/receive sample number. The actual value is the sum of the logical value and the specified sample bias.

  4. Click the Send sample or Get sample button to start the data transfer.

The MIDI unity note and Fine tune values are for display only. Use the Edit Sample dialog to modify the settings.

Determine sample bias

Sample bias is a numbering offset that allows you to add or subtract a value to the logical sample number to compensate for differing sampler storage schemes. This way, you can use sample numbers 0 through n for your samples no matter what sampler you are using.

Samplers that have factory-defined samples burned into their ROMs usually define a range of sample numbers for these samples. This range cannot be used to store and retrieve your own samples. These samplers will define one or more sample number ranges that are available for your own samples.

For example, the Akai S1000 uses sample numbers 0 through 3 to store its factory-defined samples. Sample numbers above 3 are available for user-defined samples, so a sample bias of 4 would allow you to use sample numbers 0 through n as the Logical send/receive sample number and the Sampler Tool will convert it to the Actual send/receive sample number automatically.

You can also use the sample bias to define different bases for multiple projects on which you are working. For example, if you are composing two different pieces that use different samples, you might want to create a sampler configuration for each of these projects (see the Saving Sampler Configurations section below). Within each configuration, you can define a different sample bias to keep your samples separated in the same sampler.


Creating or Editing Sample Information

L

Special Menu

The Edit Sample dialog allows you to create or edit samples and loops.

Perform any of the following actions to display the dialog:

  • Choose Edit Sample from the Special menu.

  • Choose Create Sample Loop from the Special menu when a range of data is selected.

  • Press the L key when a range of data is selected.

  • Right-click a loop tag [image] and choose Edit from the shortcut menu.

What do you want to do?

Specify a sample type

Click a radio button to determine how the sound file is played back:

Sample Type

Description

One Shot

Causes the sound file to play normally with no loops.

Sustaining

Causes the file to repeat the Sustaining Loop region the specified number of times.

Sustaining with Release

Causes the sound file to play the Sustaining Loop region the number of times you specify, play the region between the Sustaining and Release loops, and then play the Release Loop region the number of times you specify.

When this radio button is selected, the settings on the dialog will modify the properties for the loop you select in the Loop to Edit box:

After you choose the Sustaining with Release radio button and click OK, Sound Forge will create release loop tags in the data window. The release loop tags are beneath the sustaining loop tags; drag a sustaining loop tag to reveal the release loop tag and drag the release loop tags to the appropriate locations in the data window.

Specify the loop count

If you've specified Sustaining or Sustaining with Release as the Sample type, you can specify how many times the loop should be repeated:

  • Select the Infinite loop radio button to play back the selected loop infinitely. Transitions between loops and normal data can be easier to hear when Infinite loop is selected.

  • Select the Loop count radio button and specify the number of times that the Sustaining or Release Loop will be repeated before continuing playback. This information may or may not affect how your sampler plays the data.

Specify the start, end, and length of the sample

If you've specified Sustaining or Sustaining with Release as the Sample type, you can use the Start, End, and Length boxes to adjust the loop's length and position:

  1. Choose a status format from the Input format drop-down list to specify how the information in the Start, End, and Length boxes will be displayed.

  2. In the Start box, specify the beginning point of the Sustaining or Release Loop. Sound Forge automatically fills in this value based on your selection.

  3. In the End or Length boxes, specify the ending point or desired loop length. Sound Forge automatically fills in these values based on your selection, and editing either of these values will update the other.

Trigger the sample with MIDI

  1. In the MIDI unity note of sample box, specify the MIDI note that will cause a sampler to play the sound file at the pitch (sample rate) it was originally recorded.

  2. In the Fine tune box, specify the value to adjust the pitch (sample rate) of the sound file.

    Sound Forge does not fine-tune the sound file when Fine tune is enabled, and not all samplers support the setting. This option is an informational setting that will be transmitted to a sampler via a sample-transfer procedure. A sampler such as the K2000 can use this information to play back the sample. The K2000 should accurately display this information on Master/Sample/Misc. page as Pitch Adjust.

  3. If you want to add SMPTE offset information to your sample, choose a SMPTE format from the SMPTE format drop-down list and type a value in the SMPTE offset box.

    Sound Forge ignores this offset value, and not all samplers can store a SMPTE offset value in the sample.

Edit an existing loop

After you've created a loop, you can edit it by moving the loop tags [image] in a data window.

  • Drag the beginning or ending tag to a new position to change the start, end, or length of a loop.

  • Hold the Shift key while dragging a loop marker to move the loop and preserve the its length.

  • Select a range of data, right-click a loop marker, and choose Update from the shortcut menu to move the marker tags to the beginning and end of your selection.


Loop Tuner

Ctrl+L

View Menu

From the View menu, choose Loop Tuner to open or close the Loop Tuner window. You can use the Loop Tuner to adjust the starting and ending points of a loop to create smooth transitions.

The Loop Tuner allows you to view both loop endpoints at once. The left-hand side of the Loop Tuner window shows the end of the loop, while the right-hand side shows the start of the loop. A seamless loop will not have any discontinuities; the waveform should look smooth as it goes from the end of the loop back to the start.

You must define at least one loop before using the Loop Tuner. For more information about creating loops, click here.

What do you want to do?

Learn more about looping techniques

Creating natural-sounding loops requires experimentation. Many factors can cause pops and glitches, but the following guidelines will help you to create loops with less trial and error.

Match endpoint amplitudes

It's most common for the endpoints of a loop to occur at zero-crossings .

Match endpoint waveform slopes

If the slope of a waveform changes drastically, an audible pop will be produced.

Match endpoint sound levels

The overall loudness within ~100 ms of the endpoints should be equal.

Avoid very short loops

If the loop is shorter than ~50 ms (1/20 Hz), you will most likely create a loop with a pitch not equal to the sample pitch.

You can experiment with pitch-tuning by creating short loops with a length of 1/frequency. For example, if your had a sample pitch of 440 Hz (A5 on the MIDI keyboard), you can make the loop 2.27 ms. Pitched loops, however, do not sound like the original sample.

Play from the Loop Tuner

Click the Play Pre-Loop button [image] to play the sound data before the selected loop.

Click the Play Loop button [image] to play the selected loop. You can use the Loop Tuner to tune the loop in real-time during playback.

Click the Play Post-Loop button [image] to play the sound data after the selected loop.

Switch between sustaining and release loops

When your Sample Type is Sustaining with Release, you can click the Loop Select button [image] to switch between the sustaining and release loops in the Loop Tuner.

The button will display an S when the sustaining loop is displayed and an R when the release loop is displayed.

Fine-tune loop endpoints

The Loop End Position and Loop Start Position boxes [image] display the current positions (in samples) of the endpoints. Use the spin controls to adjust the end points.

Move the end points to a zero-crossing

Each loop end window includes buttons to move the loop endpoint to the next or previous zero-crossing :

  • Click the Zero Crossing Left button [image] to move the endpoint to the previous zero-crossing.

  • Click the Zero Crossing Right button [image] to move the endpoint to the next zero-crossing.

To configure the zero-crossing finders, choose Preferences from the Options menu and click the Editing tab. You can modify the Snap to zero-crossing slope, Zero-cross scan time, and Zero-cross level threshold settings to determine how Sound Forge locates zero crossings.

Lock a loop length

Click the Lock Loop Length button [image] if you want to shift a loop’s position without changing its length. When on, any operation you use to change a loop point affects both the start and end of the loop, therefore keeping the loop length constant.

This button also controls the Lock Loop/Region Length command on the Options menu.

Save loop points

Loop points are automatically saved when you save your sound file in .wav, .sds, .smp, .dig, .pat, and .air file formats. You can disable the saving of loop points when saving to the .wav format by clearing the Save Sampler Information in file check box on the Save As dialog.


Crossfade Loop

Crossfading Loops

Tools Menu

The Crossfade Loop dialog helps you to create loops in material that otherwise might not loop well. Mixing sound occurring before the loop start point into the end of the loop can make the transition from the end to the beginning of the loop much smoother.

To display this dialog, choose Crossfade Loop from the Tools menu.

Most musicians agree that the Crossfade Loop command is a last resort. Use the Loop Tuner before applying the Crossfade Loop command to match the loop ends as well as possible.

Item

Description

Loop to crossfade:
Sustaining
Release

Click the appropriate radio button to select the sample loop that will be affected by the crossfade. Most samples only have one loop: the sustaining loop. If a sample contains two loops, the second loop is called the release loop.

Loop graph

The graph shows you where the crossfade will occur. The three areas (from left to right) represent the sound before, inside, and following the loop points, and are displayed with different sloped lines.

For example, when performing a Sustaining loop crossfade with no Post-Loop, you can see the loop data fade out as data from the Pre-Loop is mixed in to form a crossfade.

Loop

Select the check box and drag the slider to determine how much of the selected sample loop will be crossfaded. The end of the sample loop is crossfaded with the end of the region before the loop start to make the end of the loop blend smoothly with the beginning of the loop.

Post-Loop

Select the check box and drag the slider to determine how much of the region following the loop end is crossfaded. The region following the sample loop is blended with the beginning of the sample loop to make the transition from the end of the loop to the rest of the sample following the loop smoother.

Post-Loop crossfading is only necessary if the sampler will play beyond the loop points.

Preview mode

Choose a mode from the drop-down list to determine how the Preview button will work:

Loop the Loop
Plays the loop area only.

Play Loop through Post-Loop
Plays the loop once and then the Post-Loop.

Play as One Shot
Plays from the beginning of the file and uses the loop settings to determine how many times to loop each loop.

For more information about using processing dialog controls, click here.


ACID Looping Tools

Special Menu

Sound Forge includes tools are designed to make it easy to create loops for Sonic Foundry’s ACID™ and other loop-based audio applications.

Which tool do you want to learn more about?

Halve Selection

From the Special menu, choose ACID Looping Tools and choose Halve Selection (or press the ; key) to reduce the current selection by half. For example, if you have four measures selected and choose Halve Selection, only measures one and two will be selected.

Double Selection

From the Special menu, choose ACID Looping Tools and choose Double Selection (or press the ' key) to double the current selection. For example, if you have four measures selected and choose Double Selection, an additional four measures will be selected.

Shift Selection Left

From the Special menu, choose ACID Looping Tools and choose Shift Selection Left (or press the < key) to move the current selection left by the length of the selection. Because the exact length of the selection is maintained, this tool is perfect for moving the selection a beat or measure at a time.

Shift Selection Right

From the Special menu, choose ACID Looping Tools and choose Shift Selection Right (or press the > key) to move the current selection left by the length of the selection. Because the exact length of the selection is maintained, this tool is perfect for moving the selection a beat or measure at a time.

Rotate Audio

From the Special menu, choose ACID Looping Tools and choose Rotate Audio (or press the : key) to change the feel of a given loop.

The function of this command depends on the current selection:

  • If there is no selection, the first quarter of the file will be moved to the end.

  • If a selection is made at the very beginning of the file, that audio will be cut and pasted at the end of the file. If a selection is made at the very end of the file, that audio will be cut and pasted at the beginning of the file.

If the selection does not touch the very end or very beginning of the file, the command will not work.


Using the MIDI Keyboard

Available only in Sound Forge

Alt+3

View Menu

With the Sound Forge MIDI Keyboard, you can control internal or external synthesizers and samplers from Sound Forge. For example, you might want to test a sound in a sampler after sending (downloading) it from Sound Forge. You can also use the MIDI keyboard to listen to the different sounds on a synthesizer or in the synthesis section of your sound card.

From the View menu, choose Keyboard to open or close the MIDI Keyboard window. The Keyboard allows you to send MIDI note on and MIDI note off commands to your sound card or sampler.

What do you want to do?

Open the MIDI Keyboard

From the View menu, choose Keyboard to open or close the MIDI Keyboard window.

Resize the MIDI Keyboard

Like any other toolbar or shortcut menu window in Sound Forge, you can resize the MIDI Keyboard window, move it, or dock it to any side of the Sound Forge window.

When the cursor is over any edge of the window, the cursor is displayed as a [image]. Drag to resize. Depending on how you resize the MIDI Keyboard, the keys will be arranged horizontally or vertically.

Configuring the output device and channel

  1. To select a MIDI device, click the MIDI Out button and choose a device from the menu:

  2. Select the Send Program Changes command to select instruments in the device from the keyboard. Program changes are sent only when a key on the MIDI Keyboard is clicked.

  3. Click the up and down arrows [image] to select the MIDI channel you want to use for the selected device. Most MIDI devices are configurable to accept MIDI commands on any channel.

Select instruments

The Instrument drop-down list contains instrument patches listed in the General MIDI standard. Choose an instrument from the drop-down list and click a key on the keyboard to play the patch.

Notes:

  • The Send Program Changes command must be selected if you want to be able to select instruments. Program changes are sent only when a key on the MIDI Keyboard is clicked.

  • If your synthesizer does not use the General MIDI convention, choose a patch number instead of an instrument name.

Play the keyboard

Click the keys to play them:

  • Choose Note from the Chord structure drop-down list to play a single note, or choose a chord structure or interval to play a chord (the key you click will be the chord's root).

  • Drag the Velocity slider to set the MIDI output velocity.

  • Click the arrow buttons [image] to change the range of the MIDI Keyboard to display higher or lower octaves.

Troubleshoot the MIDI Keyboard

If, after selecting the correct device, you still can’t hear anything when you play on the MIDI Keyboard, check the following:

  • Set the MIDI output velocity to a high value (above 100).

  • Set the MIDI input channel in your sound module to the same channel as the MIDI Keyboard channel. Also, make sure the device is set to receive MIDI input.

  • Check the device output volume level: is the mixer level for your sound card or the output volume of the sampler and speakers at a high enough setting?

  • For external devices, check your MIDI cables.


MIDI Notes and Frequencies

The following chart shows the musical pitch and frequency associated to each MIDI Note in Sound Forge. A4 is at 440 Hz and middle C is C4 at 261.63 Hz. These values can differ, often by one octave, from values used by other manufacturers. To avoid having negative values, some MIDI sequencers and sound modules use C0 as MIDI Key 0, which then makes middle C C3 instead of the more standard C4. You can change the base that Sound Forge uses in the Preferences dialog.

The following frequencies are based on equal temperament tuning.

Pitch | MIDI Key | Frequency | Pitch | MIDI Key | Frequency
C -1 | 0 | 8.176 | E 4 | 64 | 329.63
C# -1 | 1 | 8.662 | F 4 | 65 | 349.23
D -1 | 2 | 9.177 | F# 4 | 66 | 369.99
D# -1 | 3 | 9.723 | G 4 | 67 | 391.99
E -1 | 4 | 10.301 | G# 4 | 68 | 415.31
F -1 | 5 | 10.913 | A 4 | 69 | 440.00
F# -1 | 6 | 11.562 | A# 4 | 70 | 466.16
G -1 | 7 | 12.250 | B 4 | 71 | 439.88
G# -1 | 8 | 12.978 | C 5 | 72 | 523.25
A -1 | 9 | 13.750 | C# 5 | 73 | 554.37
A# -1 | 10 | 14.568 | D 5 | 74 | 587.33
B -1 | 11 | 15.434 | D# 5 | 75 | 622.25
C 0 | 12 | 16.352 | E 5 | 76 | 659.26
C# 0 | 13 | 17.324 | F 5 | 77 | 698.46
D 0 | 14 | 18.354 | F# 5 | 78 | 739.99
D# 0 | 15 | 19.445 | G 5 | 79 | 783.99
E 0 | 16 | 20.601 | G# 5 | 80 | 830.61
F 0 | 17 | 21.826 | A 5 | 81 | 880.00
F# 0 | 18 | 23.124 | A# 5 | 82 | 932.32
G 0 | 19 | 24.499 | B 5 | 83 | 987.77
G# 0 | 20 | 25.956 | C 6 | 84 | 1046.5
A 0 | 21 | 27.500 | C# 6 | 85 | 1108.7
A# 0 | 22 | 29.135 | D 6 | 86 | 1174.7
B 0 | 23 | 30.867 | D# 6 | 87 | 1244.5
C 1 | 24 | 32.703 | E 6 | 88 | 1318.5
C# 1 | 25 | 34.648 | F 6 | 89 | 1396.9
D 1 | 26 | 36.708 | F# 6 | 90 | 1480.0
D# 1 | 27 | 38.890 | G 6 | 91 | 1568.0
E 1 | 28 | 41.203 | G# 6 | 92 | 1661.2
F 1 | 29 | 43.653 | A 6 | 93 | 1760.0
F# 1 | 30 | 46.249 | A# 6 | 94 | 1864.7
G 1 | 31 | 48.999 | B 6 | 95 | 1975.5
G# 1 | 32 | 51.913 | C 7 | 96 | 2093.0
A 1 | 33 | 55.000 | C# 7 | 97 | 2217.5
A# 1 | 34 | 58.270 | D 7 | 98 | 2349.3
B 1 | 35 | 61.735 | D# 7 | 99 | 2489.0
C 2 | 36 | 65.406 | E 7 | 100 | 2637.0
C# 2 | 37 | 69.295 | F 7 | 101 | 2793.8
D 2 | 38 | 73.416 | F# 7 | 102 | 2960.0
D# 2 | 39 | 77.781 | G 7 | 103 | 3136.0
E 2 | 40 | 82.406 | G# 7 | 104 | 3322.4
F 2 | 41 | 87.307 | A 7 | 105 | 3520.0
F# 2 | 42 | 92.499 | A# 7 | 106 | 3729.3
G 2 | 43 | 97.998 | B 7 | 107 | 3951.1
G# 2 | 44 | 103.82 | C 8 | 108 | 4186.0
A 2 | 45 | 110.00 | C# 8 | 109 | 4434.9
A# 2 | 46 | 116.54 | D 8 | 110 | 4698.6
B 2 | 47 | 123.47 | D# 8 | 111 | 4978.0
C 3 | 48 | 130.81 | E 8 | 112 | 5274.0
C# 3 | 49 | 138.59 | F 8 | 113 | 5587.7
D 3 | 50 | 146.83 | F# 8 | 114 | 5919.9
D# 3 | 51 | 155.56 | G 8 | 115 | 6271.9
E 3 | 52 | 164.81 | G# 8 | 116 | 6644.9
F 3 | 53 | 174.61 | A 8 | 117 | 7040.0
F# 3 | 54 | 184.99 | A# 8 | 118 | 7458.6
G 3 | 55 | 195.99 | B 8 | 119 | 7902.1
G# 3 | 56 | 207.65 | C 9 | 120 | 8372.0
A 3 | 57 | 220.00 | C# 9 | 121 | 8869.8
A# 3 | 58 | 233.08 | D 9 | 122 | 9397.3
B 3 | 59 | 246.94 | D# 9 | 123 | 9956.1
C 4 | 60 | 261.63 | E 9 | 124 | 10548.1
C# 4 | 61 | 277.18 | F 9 | 125 | 11175.3
D 4 | 62 | 293.66 | F# 9 | 126 | 11839.8
D# 4 | 63 | 311.13 | G 9 | 127 | 12543.9


MIDI/SDS Troubleshooting

When using MIDI/SDS to send or receive samples, you should usually leave the Open loop check box on the Sampler Configuration dialog cleared. Open-loop transfer decreases sample dump speed and is more prone to transfer errors.

What do you want to learn more about?

When to use open-loop transfers

You may want to use open-loop transfer in the following situations:

  • Your sampler does not support closed-loop transfers (handshaking).

  • You don't have enough cables to connect both the MIDI in and MIDI out ports.

Troubleshooting hardware setup problems

You can use open-loop transfer to diagnose SDS hardware setup problems. If the Sampler Tool will not transfer data to (or from) your sampler, select on the Open loop check box on the Sampler Configuration dialog to see if single-cable transfers work. If open-loop transfers work but closed-loop transfers do not, you may have one of the following problems:

  • Your sampler does not support closed-loop transfers (handshaking).

  • Your MIDI cable or connection for MIDI input (send) or MIDI output (receive) to your computer is faulty.

  • Your MIDI card is not receiving MIDI input (send) or sending MIDI output (receive). Interrupt conflicts are a common problem for MIDI input.


SCSI/SMDI Troubleshooting

Here are some of the common problems encountered with SCSI and samplers.

What do you want to learn more about?

Conflicting SCSI IDs

When connecting devices on a SCSI chain, each device must have a unique device identifier (ID). SCSI allows you to set up to eight unique ID values from 0 to 7. Typically device ID 7 is used for the internal SCSI controller card which leaves IDs 0 through 6 available for other devices. Also, if you have a bootable SCSI hard drive, its ID must be set to 0.

Typical SCSI configuration:

ID | Device
0 | Hard Drive
1 | CD-ROM Drive
2-6 | Available for use by samplers
7 | SCSI Controller Card

Occasional Transfer Failures

If you occasionally receive messages such as The SCSI Device is not responding or A problem was encountered while transferring the sample, reselect your host from the SCSI host drop-down list on the Sampler Configuration dialog. Doing this causes a series of SCSI commands to be executed that will resolve the problem in many cases. If this fails to work, power down and restart all equipment.

If these error messages are displayed frequently, you may have a more serious problem. The following sections discuss several possibilities.

The sampler is recognized but doesn't transfer reliably

The following is a list of causes for unreliable SCSI transfers.

Synchronous transfer mode

Some samplers (such as the Kurzweil K2000) do not operate properly if there is a SCSI device set to synchronous transfer mode on the same SCSI chain. SCSI hard drives and CD-ROMs often have the option of using a synchronous transfer mode. If there is a host vs. device synchronous transfer option, make sure you select Host. Refer to your SCSI device manuals for more information.

SCSI termination

If your SCSI chain is not properly terminated, you may experience unreliable SCSI transfers. Refer to your SCSI card and SCSI device manuals for more information.

SCSI cables

SCSI cables that are very long or not properly shielded can cause unreliable operation. Keep in mind that SCSI cables are not as forgiving as MIDI cables and very long cables will not work reliably. Also beware of using cables that are not certified SCSI cables; the extra money spent on a true shielded SCSI cable can save you endless hours of frustration.

Adaptec 1540/1542CF doesn't recognize a sampler

If the Adaptec 1540/1542CF controller won’t recognize your sampler, you may need to make a change in the controller's configuration.

Some samplers do not want to operate when the Reset SCSI Bus at Power-On option of the Adaptec controller is enabled. This is the default operation for the 1540/1542CF and you will have to disable this option to allow your system to work with your sampler.

My SCSI/SMDI-compatible menu isn't displayed in Windows 98 or Me

Check for correct SCSI termination, and ensure that multiple devices on the SCSI chain do not use the same SCSI ID. If you’ve already done this and have an Adaptec SCSI card, you may need to update the mini-port drivers in your system.

For updated mini-port drivers, please refer to the Adaptec Web site.


MIDI Synchronization

Available only in Sound Forge

The Musical Instrument Digital Interface (MIDI) is a set of commands that allow music software and hardware to communicate. MIDI is most often used for sending commands such as Play Middle C Now, but can also be used to send information such as Current Time is: 00:00:01:23 SMPTE, or even digital sound data (see Sampling for more information).

The most common way to use MIDI is to have a master device (such as a MIDI sequencer) to generate MIDI commands to a slave device (such as a synthesizer, which plays a note when instructed). If both were in separate hardware devices, you would run a MIDI cable from the sequencer’s MIDI out port to the synthesizer’s MIDI in port.

What do you want to learn more about?

Enabling MIDI output

Enabling MIDI input

Using MIDI triggers

Use the MIDI Keyboard

Setting MIDI/synchronization preferences

The Sonic Foundry Virtual MIDI Router


Enabling MIDI Output

Available only in Sound Forge

F7

Options Menu

From the Options menu, choose MIDI Output Sync to enable Sound Forge to send MIDI time code through the MIDI Output port.

You can specify a MIDI output port on the MIDI/Sync tab in the Preferences dialog.


Enabling MIDI Input

Available only in Sound Forge

Ctrl+F7

Options Menu

From the Options menu, choose MIDI Input Sync/Trigger to enable triggering from MIDI commands received through the MIDI input port.

When this option is selected, dialogs that specify MIDI triggers will also accept input from the MIDI input port, allowing easy entry of MIDI note and controller values. When this option is not selected, the MIDI triggers, Regions List triggers, and Playlist triggers specified will be ignored.

You can specify a MIDI Input port on the MIDI/Sync tab in the Preferences dialog.

What do you want to do?

Synchronize playback with MIDI timecode

You can use MIDI timecode to synchronize Sound Forge playback to another device.

  1. From the Options menu, choose Preferences, and click the MIDI/Sync tab.

  2. On the MIDI/Sync tab, choose the device to which you want to synchronize from the Input drop-down list and click the OK button.

  3. From the Options menu, select MIDI Input Sync/Trigger to enable MIDI input.

  4. From the View menu, choose Toolbars. Select the Regions/Playlist check box and click the OK button. The timecode is displayed in the Regions/Playlist toolbar when you start your MIDI device.

  5. Create a region that includes the sound data that you want to trigger.

  6. Add your region to the Playlist.

  7. Double-click the Playlist region to open the Edit Playlist dialog.

  8. In the Edit Playlist dialog, choose SMPTE: Play at Time from the Trigger drop-down list and enter the time at which you want to start playback in the SMPTE time box.

Synchronize recording with MIDI timecode

You can use MIDI timecode to synchronize Sound Forge recording to another device.

  1. From the Options menu, choose Preferences, and click the MIDI/Sync tab.

  2. On the MIDI/Sync tab, choose the device to which you want to synchronize from the Input drop-down list and click the OK button.

  3. From the Options menu, select MIDI Input Sync/Trigger to enable MIDI input.

  4. Click the Record button [image].

  5. In the Record dialog, click the Sync button.

  6. Select the Enable MTC/SMPTE Input Synchronization check box.

  7. Select the Start check box and specify the time you want to start recording.

  8. Select the End check box and specify the time you want to stop recording.

  9. Click the OK button.


Using MIDI Triggers

Available only in Sound Forge

Options Menu

You can use MIDI triggers to control Sound Forge functions using MIDI commands from external devices such as a MIDI keyboard or sequencer.

What do you want to do?

Configure an internal or external MIDI controller

  1. From the Options menu, choose Preferences, and click the MIDI/Sync tab.

  2. On the MIDI/Sync tab, choose the device from which you want to receive triggers from the Input drop-down list and click the OK button.

  3. From the Options menu, select MIDI Input Sync/Trigger to enable MIDI input.

  4. Use the MIDI Triggers dialog to configure the triggers you want to use.

If you use a controller for creating regions, clear the Always ask for Region and Loop names check box on the General tab of the Preferences dialog. When this check box is cleared, Sound Forge will assign a default name instead of displaying the Add Marker/Region dialog when a region is created.

Assign Sound Forge events to MIDI triggers

  1. From the Options menu, choose MIDI Triggers.

  2. Select a Sound Forge function that you want to trigger in the Event list.

  3. Click the radio button that corresponds to the type of trigger you want to use to trigger the selected event:

Item | Description
None | Click to assign no MIDI trigger to the selected event or to remove an existing trigger.
Note | Click if you want to trigger the selected event with a MIDI note. Specify the MIDI channel to which the trigger is assigned in the Channel box, and specify the musical note that will trigger the event in the Note box.
Controller | Click if you want to trigger the selected event using a MIDI controller. Specify the MIDI channel to which the controller is assigned in the Channel box. Use the Controller box to specify which controller will trigger the event and specify a value in the Value box.

You can automatically enter the values in the Channel, Note, Controller, and Value boxes. Select the Enable MIDI Input Sync/Trigger check box and press a key or controller on your MIDI device.

  4. Click the OK button.

MIDI triggers are different from triggers in the Playlist and Regions List. When using triggers in the Playlist, Regions List, or MIDI Triggers, be aware that they can interact with each other to create unexpected results. Sound Forge first looks at the MIDI Triggers, then the Regions List, and then the Playlist when determining what to do when a MIDI command is detected.


MIDI/Sync Preferences

Available only in Sound Forge

Options Menu:
Preferences

Use the MIDI/Sync tab in the Preferences dialog to specify preferences for MIDI and synchronization. To display this tab, choose Preferences from the Options menu and click the MIDI/Sync tab.

What do you want to do?

Specify a MIDI output device

Choose a MIDI device from the Output drop-down list to specify the MIDI output device for synchronization when MIDI Output Sync is enabled.

Specify a MIDI input device

Choose a MIDI device from the Input drop-down list to specify the MIDI input device for synchronization and triggering when MIDI Input Sync/Trigger is enabled.

This is the device through which Sound Forge will receive all MIDI triggering and synchronization input, including SMPTE/MTC, MIDI triggers, and Regions/Playlist triggers.

Specify a frame rate for SMPTE Non-Drop calculations

Select the Use 30 frames per second for SMPTE Non-Drop check box if you want Sound Forge to use a frame rate of 30 frames per second for all SMPTE Non-Drop calculations.

When the check box is not selected, Sound Forge will use a frame rate of 29.97 frames per second.

Limit recording length

When the Bound record time on SMPTE record sync check box is selected, Sound Forge will not allow recording beyond the specified end time. This ensures that your record length is exact regardless of any inaccurate time code.

Use or adjust the internal timer for SMPTE generation

Select the Use internal timer for SMPTE generation check box if Sound Forge should use the internal timer for SMPTE generation rather than position values reported by the sound card driver. Since many sound cards do not report their position accurately, it is usually better to use the internal timer for SMPTE generation.

Choose a value from the Internal timer resolution drop-down list to specify the internal timer accuracy used for generating SMPTE. Low values produce more accurate SMPTE generation, but may also decrease system performance.

Specify playback options if MIDI time code stops

Select the Use free-wheel for SMPTE loss check box to stop playback if the incoming MIDI time code signal stops. When this check box is not selected Sound Forge will continue to play until the user stops playback manually.

In the Free-wheel time box, specify the amount of time that Sound Forge will continue to play after the incoming MIDI time code signal stops. If time code starts again during this time, playback will continue.

In the Free-wheel slack box, specify how fast Sound Forge should expect time code updates before going into Free-wheel mode. If you have a fast machine, this value can be set to a lower value if you want Sound Forge to stop playback immediately when time code is interrupted.

Offset SMPTE playback

Select the Enable SMPTE playback offset check box to specify an offset that will be added to the time displayed in Sound Forge’s play counter. For example, if you want Sound Forge to generate MIDI time code starting at 01:00:00:00, instead of inserting 1 hour of silence at the beginning of your sound file, you can specify that amount in this field.

When using Record Sync, you’ll often want to set this value to the Enable MTC/SMPTE Input Synchronization Start time. Sound Forge’s ruler and play counter will not display this offset.


Sonic Foundry Virtual MIDI Router (VMR)

The Sonic Foundry Virtual MIDI Router (VMR)

Available only in Sound Forge

About the Sonic Foundry VMR

The Sonic Foundry Virtual MIDI Router (VMR) is a software-only driver that allows you to control Sound Forge from other MIDI-capable applications—and vice-versa—without using MIDI hardware.

A MIDI router transfers MIDI data from one port to another. The Sonic Foundry VMR driver transfers MIDI data but requires no hardware. The driver provides up to four devices for MIDI output and input. Each of the output devices sends all MIDI data to its corresponding input device.

If one application sends MIDI data through the #3 Sonic Foundry MIDI Router output device, another application can receive this MIDI data as input from the #3 Sonic Foundry MIDI Router input device.

The first character of the device name is a device number from 1 to 4. The device number is placed at the beginning of the name for compatibility with sequencer software that tries to display device names in very small spaces.

The Sonic Foundry VMR can be very useful for synchronizing two MIDI-capable applications. You can trigger Sound Forge from your MIDI sequencer, or you can drive your MIDI sequencer from Sound Forge using SMPTE/MTC. This and more can be accomplished without using MIDI hardware for routing.

What do you want to do?

Install the Sonic Foundry VMR

Configure the Sonic Foundry VMR


Installing the Sonic Foundry VMR

Installing the Sonic Foundry Virtual MIDI Router (VMR)

Available only in Sound Forge

The Sonic Foundry Virtual MIDI Router (VMR) is included on the Sound Forge CD. To install the Sonic Foundry Virtual MIDI Router, follow the instructions below.

Which operating system are you using?

Windows 98 and Me

  1. Click the Start button, choose Settings, and choose Control Panel from the submenu.

  2. Double-click on the Add New Hardware icon in the Control Panel window. The Add New Hardware Wizard is displayed.

  3. Click the Next button.

  4. The Add New Hardware Wizard asks if you want Windows to automatically detect your hardware. Click the No radio button.

  5. Click the Next button.

  6. The next window allows you to select the type of hardware you want to install. In the Hardware type list, click on the Sound, video, and game controllers option and click the Next button.

  7. The next window allows you to select the manufacturer and model for your hardware. Click the Have Disk... button.

  8. Insert the Sound Forge CD into your CD-ROM drive.

  9. In the path list box, type E:\Extras\Virtual MIDI Router\Win9x (where “E” is your CD-ROM drive) and click the OK button.

  10. In the Models list, click on the Sonic Foundry Virtual MIDI Router, and click the OK button.

  11. Click the Finish button.

  12. Restart Windows. When Windows restarts, all programs that support MIDI (including Sound Forge) can use the Virtual MIDI Router.

Windows NT 4.0

  1. Click the Start button, choose Settings, and choose Control Panel from the submenu.

  2. Double-click on the Multimedia icon in the Control Panel window.

  3. Click on the Devices tab and then click the Add button.

  4. Select Unlisted/Updated driver, and click the OK button.

  5. Insert the Sound Forge CD in your CD-ROM drive.

  6. Click the Browse button and select the drive in which you inserted the CD.

    Double-click the Extras folder, then the Virtual MIDI Router folder, followed by the WinNT folder. Click the OK button.

  7. The driver should now be listed as Sonic Foundry Virtual MIDI Router. Click once on the driver to select it and click the OK button.

    Windows installs the driver.

  8. When the installation is complete, you are prompted to restart Windows to complete the driver installation. Click the Yes button.

    Once Windows has restarted, all programs that support MIDI (including Sound Forge) can use the Virtual MIDI Router.

Windows 2000

  1. Click the Start button, choose Settings, and choose Control Panel from the submenu.

  2. Double-click on the Add/Remove Hardware icon in the Control Panel window. The Add New Hardware Wizard is displayed.

  3. Click the Next button.

  4. The Add/Remove Hardware Wizard asks what sort of hardware task you want to perform. Click the Add/Troubleshoot a device radio button.

  5. Click the Next button.

  6. The Add/Remove Hardware Wizard will display a list of hardware devices installed on your computer. Choose Add a new device and click the Next button.

  7. The Add/Remove Hardware Wizard asks if you want Windows to automatically detect your hardware. Click the No, I want to select the hardware from a list radio button and click the Next button.

  8. The next window allows you to select the type of hardware you want to install. In the Hardware types list, click the Sound, video, and game controllers option and click the Next button.

  9. The next window allows you to select the manufacturer and model for your hardware. Click the Have Disk... button.

  10. Insert the Sound Forge CD into your CD-ROM drive.

  11. In the path list box, type E:\Extras\Virtual MIDI Router\WinNT\x86\OEMSETUP.inf (where “E” is your CD-ROM drive) and click the OK button.

  12. In the Models list, click on the Sonic Foundry Virtual MIDI Router, and click the OK button.

  13. Click the Next button.

  14. Click the Next button.

  15. Select the number of ports you would like to enable from the Virtual MIDI Routing Ports list.

  16. When the installation is complete, you are prompted to restart Windows to complete the driver installation. Click the Yes button.

    Once Windows has restarted, all programs that support MIDI (including Sound Forge) can use the Virtual MIDI Router.


Configuring_the_Sonic_Foundry_VMR

Configuring the Sonic Foundry Virtual MIDI Router (VMR)

Available only in Sound Forge

After installing the Sonic Foundry Virtual MIDI Router (VMR), a new MIDI device is created with the name Sonic Foundry MIDI Router. If you want to install additional devices for MIDI routing (the VMR supports up to four), you must configure the VMR.

When only one routing device is used, the name of the driver is displayed as Sonic Foundry MIDI Router. When multiple ports are used, each port is labeled starting with a number (1 - the number of ports) to identify each connection.

Which operating system are you using?

Windows 98 and Me

If you have a large number of MIDI devices in your system, or a multi-port MIDI board such as an eight-port MIDI interface, you may have problems installing additional VMR MIDI interface ports. Windows will crash on startup if more than 11 MIDI devices are installed. If you have trouble with MIDI devices causing system errors after installing the VMR, you should reduce the number of ports in use by the VMR, remove the VMR, or reduce the number of MIDI devices in your system.

  1. Click the Start button, choose Settings, and choose Control Panel from the submenu.

  2. Double-click the Multimedia icon in the Control Panel window. The Multimedia Properties window is displayed.

  3. Click the Devices tab.

  4. Expand the MIDI Devices and Instruments list by double-clicking it.

  5. Click the Sonic Foundry MIDI Router device and click Properties. The Sonic Foundry MIDI Router Properties window is displayed.

  6. In the General page of the Properties window, click the Settings button. The Configure Sonic Foundry VMR window is displayed.

  7. Select the number of ports you would like to enable from the Virtual MIDI Routing Ports list.

  8. Click OK in all of the windows.

  9. Restart Windows for the settings to take effect.

Windows NT 4.0

  1. Click the Start button, choose Settings, and choose Control Panel from the submenu.

  2. Double-click the Multimedia icon in the Control Panel window. The Multimedia Properties window is displayed.

  3. Click on the Devices tab.

  4. Double-click the MIDI Devices and Instruments icon.

  5. Select the Sonic Foundry Virtual MIDI Router from the list of drivers and click the Properties button.

  6. Click the Settings button in the Properties window.

  7. In the Configure Sonic Foundry VMR window, select the number of ports you would like to enable from the Virtual MIDI Routing Ports list.

  8. Click OK in all of the windows.

  9. Restart Windows for the settings to take effect.

Windows 2000

  1. Click the Start button, choose Settings, and choose Control Panel from the submenu.

  2. Double-click the Sounds and Multimedia icon in the Control Panel window. The Sounds and Multimedia Properties window is displayed.

  3. Click the Hardware tab.

  4. Select the Sonic Foundry Virtual MIDI Router from the list of devices and click the Properties button.

  5. Click the Properties tab.

  6. Double-click the MIDI Devices and Instruments icon.

  7. Select the Sonic Foundry Virtual MIDI Router and click the Properties button.

  8. Click the Settings button in the Properties window.

  9. In the Configure Sonic Foundry VMR window, select the number of ports you would like to enable from the Virtual MIDI Routing Ports list.

  10. Click OK in all of the windows.

  11. Restart Windows for the settings to take effect.


Spectrum Analysis-Overview

Spectrum Analysis

Available only in Sound Forge

Tools Menu

The Spectrum Analysis tool allows you to examine the fundamental frequency and overtones present in a recording. To display the Spectrum Analysis window, choose Spectrum Analysis from the Tools menu.

Unlike a Sound Forge data window, which represents audio in the time domain (amplitude vs. time), Spectrum Analysis allows you to examine sound by representing the sound in the frequency domain (amplitude vs. frequency). Data displayed in the frequency domain shows the amplitudes and frequencies of sine waves that, if mixed together, would sound very much like the original sound. Since it’s relatively easy to remember what a sine wave sounds like at different frequencies, it’s possible to visualize what simple waveforms sound like by looking at the spectrum of the sound.

Spectrum Analysis allows you to perform precise Fast Fourier Transform (FFT) analysis and displays the resulting data in two graphical formats: the Spectrum Graph allows real-time monitoring of playback or input, while the Sonogram displays a playback cursor for real-time preview. Both view options make it easy to navigate data and read audio frequency and position.

What do you want to do?

View a spectrum graph

View a sonogram

Change Spectrum Analysis settings


Viewing a Spectrum Graph

Available only in Sound Forge

In the Spectrum Analysis window, the Spectrum Graph displays the amplitude (in dB) of each frequency component from 0 Hz to the Nyquist frequency.

What do you want to do?

Generate spectrum information

  1. Select the portion of the waveform you want to analyze. The sound or note you want to analyze should be in the center of the highlighted area.

Analyzing long sections of audio can take a long time and lowers the time resolution, so your selection should be relatively short. Also, if the audio has a low amplitude level, you can boost it by using the Volume or Normalize functions.

  2. From the Tools menu, choose Spectrum Analysis. The Spectrum Analysis window is displayed.

  3. Use the Spectrum Settings dialog to select the frequency and amplitude range you want to see.

You can continue to make selections in the sound file with the Spectrum Analysis window open (just move the cursor or make selections as you normally would in Sound Forge). Click Update! from the Spectrum Analysis main menu bar to update the spectrum display (or choose Auto Update from the Options menu). If no selection is made, analysis is performed on the samples immediately following the cursor position.

View frequency and amplitude information

As you move the cursor through the Spectrum Graph, the amplitude and frequency values at the current position are displayed in the overview window in the lower left-hand corner of the Spectrum Analysis window:

From the Options menu, choose Show Position to display amplitude and frequency information in a tool tip next to the cursor:

To focus on a specific amplitude or frequency range, use the Zoom tool to change the focus of the graph.

If you want to display the nearest musical note equivalent of the cursor position in a tool tip, choose Show Notes from the Options menu.

Change the graph type

From the Display menu, choose Line Graph, Bar Graph, or Filled Graph to change the type of graph in the Spectrum Analysis window. A check mark is displayed next to the selected graph type.

Some video drivers have problems displaying in Filled Graph mode. If you encounter problems such as incorrect shading or very slow drawing, use the Line Graph or Bar Graph options or change video drivers.

Change the zoom level of the graph

Zooming can be accomplished in several ways:

  1. Drag on the graph and draw a box around the area where you want to zoom. You can toggle through mouse selection mode by right-clicking while holding the left mouse button:

  • The first type is a vertical zoom window. This will allow you to zoom into a frequency range.

  • The second type is horizontal zoom window. This will allow you to zoom into an amplitude range.

  • The third type is a combination of vertical and horizontal zoom. This will allow you to zoom into a frequency and amplitude range.

  2. From the Display menu, choose Zoom to Range to set the amplitude and frequency range to the maximum and minimum values specified in the Spectrum Settings dialog.

  3. From the Display menu, choose Zoom Out Full to view the entire amplitude and frequency range.

  4. From the Display menu, choose Normalize dB to set the Spectrum Graph amplitude range equal to the maximum and minimum values in the graph.

Navigate the graph

If you are zoomed into a selection of the spectrum graph, choose Grab/Pan from the Display menu. The cursor will be displayed as a [image], and you can drag horizontally or vertically to scroll through the graph.

When you are zoomed into a selection of the spectrum graph, you can drag the horizontal and vertical sliders to scroll through the graph.

Synchronize graphs in a stereo file

If you are analyzing a stereo file, choose Sync Graphs from the Display menu to synchronize both displays in a stereo file so you can view the same region of the FFT in both channels.

Print the Spectrum Analysis window

From the Options menu, choose Print to send the contents of the Spectrum Analysis window to your printer.


Viewing a Sonogram

Available only in Sound Forge

What do you want to do?

Generate a sonogram

  1. Select the portion of the waveform you want to analyze. The sound or note you want to analyze should be in the center of the highlighted area.

Analyzing long sections of audio can take a long time and lowers the time resolution, so your selection should be relatively short. Also, if the audio has a low amplitude level, you can boost it by using the Volume or Normalize functions.

  2. From the Tools menu, choose Spectrum Analysis. The Spectrum Analysis window is displayed.

  3. Use the Spectrum Settings dialog to select the frequency and amplitude range you want to see.

You will often have to experiment with different parameters in the Spectrum Settings dialog to get the best graph possible. Try to narrow the frequency and amplitude ranges as much as possible to achieve large contrasts. If the graph is too chunky, raise the Sonogram resolution setting to approximately 200. For more frequency resolution, increase the FFT Size. To decrease processing times, lower the number of samplings or the FFT Size.

Adjust color and intensity

  1. From the Display menu, choose Sonogram (Color) or Sonogram (B&W) to specify whether you want to view a color or black-and-white sonogram.

  2. Drag the slider below the sonogram to adjust the color intensity of the display. The bottom-right corner of the window will show the color scale in dB.

This function may be fairly slow if you do not have a palletized driver or if Video for Windows is not installed.

View frequency and amplitude information

From the Options menu, choose Show Position. As you move the cursor through the sonogram, the amplitude and frequency values at the current position are displayed in a tool tip next to the cursor and in the overview window in the lower left-hand corner of the Spectrum Analysis window:

If you want to display the the nearest musical note equivalent of the cursor position in a tool tip, choose Show Notes from the Options menu.

Synchronize graphs in a stereo file

If you are analyzing a stereo file, choose Sync Graphs from the Display menu to synchronize both displays in a stereo file so you can view the same region of the FFT in both channels.

Use a sonogram to find the fundamental frequency of a sound

  1. Select the portion of the waveform you want to analyze. The sound or note you want to analyze should be in the center of the highlighted area.

  2. From the Tools menu, choose Spectrum Analysis. The Spectrum Analysis window is displayed.

  3. From the Display menu, choose Sonogram (color).

    The sound you want to analyze should be displayed in shades of red. Hover over the center of the area to display the fundamental frequency.

    If upper harmonics exist, they will be displayed as less intense red area above the fundamental, and will usually be multiples of the fundamental (a note at 440 Hz played on an instrument with fairly predictable or even harmonic content will have strong upper hamonics at 880kHz and 1.76kHz).

After isolating a sound's fundamental frequency, you can use equalization to emphasize or attenuate the sound.


Change Spectrum Analysis Settings

Changing Spectrum Analysis Settings

Available only in Sound Forge

Effects Menu

The commands on the Spectrum Analysis Options menu allow you to determine how spectral information is calculated and displayed.

What do you want to do?

Update the display automatically

From the Options menu, choose Auto Update to update the Spectrum Graph with any change in the cursor position or selection of the current file. A check mark is displayed next to the command when it is selected.

You can continue to make selections in the sound file with the Spectrum Analysis window open (just move the cursor or make selections as you normally would in Sound Forge).

Change FFT settings

  1. From the Options menu, choose Settings. The Spectrum Settings dialog is displayed.

  2. Use the Spectrum Settings dialog to adjust the FFT settings:

  • FFT size: choose a setting from the drop-down list to set the size in samples of the analysis window and number of discrete frequencies analyzed. Higher numbers produce increased frequency resolution at the expense of lower time resolution and longer computational time. The following example illustrates the results of 128-point and 2048-point FFT sizes on a 44,100 Hz sound file:

FFT Size | Time Analyzed (seconds) | Frequecy Bands | Frequency Bandwidth (Hz)
128 | 0.003 (128/44100) | 64 (128/2) | 345 (44100/128)
2048 | 0.046 (2048/44100) | 1024 (2048/2) | 22 (44100/2048)

  • FFT overlap: specify the percentage of overlap between FFT analysis windows. Overlapping allows for more accurate analysis. Lower settings decrease the number of distinct analysis functions performed, which decreases processing time. High settings allow for more analysis, but can result in slow processing.

  • Smoothing window: choose a setting from the drop-down list to determine the window function applied to the input data before analysis. The window function affects the sharpness of peaks in an FFT graph and the leakage into neighboring frequencies. The effects of these windows can be easily seen by analyzing a single sine wave:

Setting | Description
Rectangle | No window is applied. Using a rectangular window results in a very sharp peak but high leakage.
Triangle | A triangle window (also called a Bartlett or Parzen window) results in less leakage than the rectangle window.
Hamming, Hanning, and Blackman | Hamming, Hanning, and Blackman windows are commonly used in audio applications.
Blackman-Harris | Using the Blackman-Harris window results in the least sideband leakage at the expense of rounded graph peaks.

  3. Click the OK button.

View multiple spectrum graphs

The Spectrum Analysis window can display up to 64 spectrum graphs, each representing a point in time.

  1. From the Options menu, choose Settings. The Spectrum Settings dialog is displayed.

  2. Adjust the Slices displayed settings to specify the number of graphs displayed:

  • Slices displayed: specify the number of FFT slices displayed. Each slice represents FFT size samples in time.

  • Forward/Backward: when displaying multiple slices, click the Forward or Backward radio button to determine whether slices are layered in chronological order. When Forward is selected, the first slice is displayed in the foreground; when Backward is selected, the last slice is displayed in the foreground.

  3. Click the OK button to return to the spectrum graph.

  4. In the spectrum graph, drag the Slice slider to show or hide graphs from the display.

Set songram resolution

  1. From the Options menu, choose Settings. The Spectrum Settings dialog is displayed.

  2. Select the Set sonogram resolution check box and specify the number of FFT samplings used in the Sonogram. When this check box is not selected, the number of samplings is determined by the length of the selection and the FFT overlap setting.

Increasing the samplings increases the horizontal graph resolution but requires more processing time.

  3. Click the OK button.

Use logarithmic graphing

  1. From the Options menu, choose Settings. The Spectrum Settings dialog is displayed.

  2. Select the Logarithmic graphing check box to display the x-axis in logarithmic mode rather than linear mode. In logarithmic mode, more area of the graph is devoted to lower frequencies.

Logarithmic graphing affects the display only when Normal display is selected on the Display menu.

  3. Click the OK button.

Adjust the display range

  1. From the Options menu, choose Settings. The Spectrum Settings dialog is displayed.

  2. Adjust the Display Range controls:

Control | Description
Freq. Min | Specify the lowest frequency displayed in graphs when Zoom to Range is selected on the Display menu.
Max. | Specify the highest frequency displayed in graphs when Zoom to Range is selected on the Display menu.
Ceiling | Specify the highest amplitude level displayed in graphs when Zoom to Range is selected on the Display menu.
Floor | Specify the lowest amplitude level displayed in graphs when Zoom to Range is selected on the Display menu.

  3. Click the OK button.

Monitor playback

From the Options menu, choose Monitor Playback. A check mark is displayed next to the command when it is selected.

The Spectrum Graph will update in real time as the current file plays. The response of the graph will depend on the current FFT size and the speed of your computer.

Monitor an input source

From the Options menu, choose Monitor Input. A check mark is displayed next to the command when it is selected.

The Spectrum Graph will update in real time to any input to your selected sound card. This feature makes it possible to perform real-time analysis of room acoustics or other live sources.

Hold monitored data

  1. From the Options menu, choose Settings. The Spectrum Settings dialog is displayed.

  2. Adjust the Monitor Settings controls:

  • Select the Hold peaks during monitoring check box if you want to mark the highest value of each frequency bin.

  • Select the Maintain last monitored view check box if you want to maintain the state of the Spectrum Graph when you stop playback. If this check box is not selected, the graph will revert to the cursor position.

  3. Click the OK button.


About Acoustic Mirror

Acoustic Mirror

Available only in Sound Forge

Effects Menu

You can use Acoustic Mirror to add the acoustical coloration of real environments and sound-altering devices to existing recordings. Depending on the acoustics signature applied, Acoustic Mirror can simulate responses varying from large concert halls to the sound of vintage microphones.

Sound Forge includes an extensive library of extremely high-quality acoustic signatures (impulse responses) that you can use to simulate the acoustics of many different environments.

What do you want to do?

Use Acoustic Mirror

Create an impulse file

Use fade envelopes

Perform advanced panning


Wave Hammer-Overview

Wave Hammer

Available only in Sound Forge

Effects Menu

Sonic Foundry’s Wave Hammer DirectX plugin is an audio mastering tool consisting of a classic compressor and a volume maximizer. These components rival the most expensive and world-renowned units in terms of audio quality and fidelity, yet are easy to use and seamlessly integrate in one user interface.

What do you want to do?

Use the volume maximizer

Use the compressor


The Sound Forge Window

The Sound Forge window is divided into six main areas, and you can use views to manage the appearance of the window.

What do you want to learn more about?

Menu commands

Toolbars

Transport controls

The status bar

Data windows

The Sound Forge workspace

Using views


Menu Commands

Which menu do you want to learn more about?

File menu

Edit menu

View menu

Special menu

Process menu

Effects menu

Tools menu

DirectX menu

Options menu

Window menu

Help menu


File Menu

Which command do you want to learn more about?

New

Open

Close

Workspace

Save

Save as

Save all

Properties

Send

Exit

Recently used files


Workspaces

File Menu

Workspace files (.sfw) store the names of opened files along with their position, size, and views.

What do you want to do?

Open a workspace

Opening a workspace opens all of the files in the workspace and restores their positions on the screen.

  1. From the File menu, choose Workspace, and choose Open from the submenu to display the Open Workspace dialog.

  2. Choose a folder from the Look in drop-down list or browse to a folder. All of the files available in the folder are displayed in the space below.

  3. Select a file in the browse window or type a name in the File name box.

  4. Click the Open button.

Save a workspace

Saving a workspace saves the names of all open files along with their position, size, and views.

  1. From the File menu, choose Workspace, and choose Save from the submenu to display the Save Workspace dialog.

  2. Choose a folder from the Save in drop-down list or browse to a folder. All of the files available in the folder are displayed in the space below.

  3. In the File Name box, type the name of the file that you want to save.

  4. Click the Save button.


Exiting Sound Forge

Alt+F4

File Menu

From the File menu, choose Exit to close Sound Forge.

If you currently have unsaved files open, you will be prompted to save your changes first.


Recently Used File List

File Menu

A list of recently used project files is maintained at the bottom of the File menu. Choosing a file from this list allows you to quickly return to work on that file.


Edit Menu

Which command do you want to learn more about?

Undo

Redo

Repeat

Cut

Copy

Copy Object Link

Paste

Paste Special

Trim/Crop

Delete (Clear)

Select All

Preview Cut/Cursor

Pre-roll to Cursor

Tool

Go To

Selection

Undo All

Disable Undo/Redo


Repeat

Ctrl+Y

Edit Menu

From the Edit menu, choose Repeat or click the Repeat button [image] to repeat the last performed operation. This can be used with most processing functions. The last dialog settings will be used unless you hold down the Shift key, which allows you to change the operation’s parameters.


Copy Object Link

Edit Menu

From the Edit menu, choose Copy Object Link to copy an object link to the sound file onto the clipboard. You can then Paste (or Paste Special) the link into another application (such as Microsoft Word or WordPad) that supports Object Linking and Embedding (OLE). This feature is useful for embedding sound files in documents.

Object links are simply references to existing sound files on your hard disk or network server. If you embed an object link to a sound file in a document, the sound file is not actually inserted into the document. Therefore, if you copy the document to another computer, any sound file(s) that are embedded will not be available on the other computer unless the sound file is stored on a common network server.

Tips:

  • If you intend to share documents between computers that contain embedded sound files, store all sound files on a network server and embed them using Universal Naming Convention (UNC) path names. For example, if your server and share name for sound files is \\myserver\sounds, then open and embed all sound files using the UNC path (i.e. \\myserver\sounds\<directory and file name>).

  • If you are running Windows 98 or Me, UNC path names are simple to use. Instead of using a drive letter when browsing in the File Open dialog, select Network Neighborhood in the Look In field and browse to the appropriate network server and share containing your sound files. This method of browsing uses UNC names exclusively.


Paste Special

Edit Menu

From the Edit menu, choose Paste Special and choose a command from the submenu to specify how you want to paste the contents of the clipboard.

What do you want to do?

Crossfade

Mix

Overwrite

Replicate

Paste to New


Select All

Ctrl+A
Ctrl+Numpad 5

Edit Menu

From the Edit menu, choose Select All to select all data in the current window.

Double-click in the waveform display to select all data. If a file contains regions, triple-click to select all data (if the Disable triple clicking to select all sound file data check box on the Editing tab in the Preferences dialog is cleared).


Preview Cut/Cursor

Ctrl+K

Edit Menu

From the Edit menu, choose Preview Cut/Cursor to play the data before and after the current selection. This command lets you preview the result of a Cut or Clear operation without altering the file.

Notes:

  • To set the amount of Pre-roll and Post-roll around the selection, choose Preferences from the Options menu and choose the Other tab.

  • If there is no selection, the playback will pre- and post-roll around the cursor position.

Hold the Ctrl key and click the Play Normal button [image].


Pre-Roll to Cursor

Ctrl+Shift+K

Edit Menu

From the Edit menu, choose Pre-roll to Cursor to play the data before the cursor position for the default pre-roll length.

Notes:

  • To set the amount of Pre-roll time, choose Preferences from the Options menu and choose the Other tab.

  • If a selection is made the pre-roll will occur for whichever end of the selection is active. To toggle between ends of the selection, use the Home and End keys.

Hold the Shift and Ctrl keys and click the Play Normal button [image].


Sound Forge Tools

Edit Menu

From the Edit menu, choose Tool and choose a tool from the submenu to change the active tool.

Click the Edit Tool Selector in the data window to toggle through the Edit, Magnify, and Pencil tools.

Which tool do you want to learn more about?

Edit

Magnify

Pencil


Go To

Ctrl+G
F5

Edit Menu

From the Edit menu, choose Go To to move the cursor to a specific location in a sound file. When you choose this command, the Go To dialog is displayed. The options on this dialog are explained below.

Item | Description
Go To | Choose a preset from the drop-down list, or choose Custom to specify a cursor position using the Position and Input Format controls.
Position | Enter a value in the edit box or use the up and down arrow buttons to determine where the cursor will be moved.
Input format | Choose a format from the drop-down list. This setting determines the input format used to specify the cursor position.


Selection

Edit Menu

From the Edit menu, choose Selection and choose a command from the submenu to modify or make a selection.

Which command do you want to learn more about?

Snap to time

Snap edge to time

Snap to zero

Snap edge to zero

Set


Undo All

Edit Menu

From the Edit menu, choose Undo All to undo all operations performed on a file. Unless the Disable Undo/Redo command was used after you opened the file, Undo All will return your file to its original state.

When not working in Direct mode, you can simply close the file without saving changes to revert to the original file. However, when working in Direct mode, Sound Forge performs an Undo All operation automatically before saving if you decide not to save the current changes.


Disable Undo/Redo

Ctrl+U

Edit Menu

From the Edit menu, choose Disable Undo/Redo to prevent Sound Forge from creating temporary files used for undoing operations. Since creating undo files takes time and disk space, it is sometimes more convenient to have the Disable Undo command selected when working with large files.

Remember to turn the Disable Undo command off when you wish to be able to undo operations.

Since Sound Forge doesn’t modify the original file unless the file is opened in direct or read-only mode, you can always recover it by reopening the file. However, saved changes are permanent.


View Menu

Which command do you want to learn more about?

Maximize Width

Full Screen

Toolbars

Clipboard

Zoom Level

Zoom Time

Focus to Data Window

Regions List

Playlist/Cutlist

Keyboard

Time Display

Video Preview

Play Meters

Undo/Redo History

Loop Tuner


Maximize Width

Ctrl+Enter

View Menu

From the View menu, choose Maximize Width to stretch the active data window to the full width of the Sound Forge window.

This command is available only when a data window is open.


Full Screen

View Menu

From the View menu, choose Full Screen to maximize the Sound Forge workspace in your display. To return to the regular window display, choose the Full Screen command again.


Toolbar Preferences

Use the Toolbars tab in the Preferences dialog to specify which toolbars you want to display.

Perform either of the following actions to display this tab:

  • Choose Preferences from the Options menu and click the Toolbars tab.

  • From the View menu, choose Toolbars.

What do you want to do?

Display or hide toolbars

Select the check box to display a toolbar; clear a check box to hide a toolbar.

Display or hide tool tips

Select the Show ToolTips check box if you want to display pop-up descriptions when the mouse is held over certain items:


Clipboard

View Menu

From the Edit menu, choose Clipboard and choose a command from the submenu to view information about or hear the contents of the clipboard.

Which command do you want to learn more about?

Contents

Play


Zoom Level

View Menu

From the Edit menu, choose Zoom Level and choose a command from the submenu to change the vertical magnification of the data window.

Which command do you want to learn more about?

Out Full

Window

Selection


Zoom Time

View Menu

From the Edit menu, choose Zoom Time and choose a command from the submenu to change the horizontal magnification of the data window.

Which command do you want to learn more about?

In Full

Normal

Out Full

Selection


Focus to Data Window

Alt+0

View Menu

From the View menu, choose Focus to Data Window to return the screen focus to the sound file’s data window. This performs the same function as clicking anywhere on the data window.


Regions List

Alt+1

View Menu

From the View menu, choose Regions List to open or close the Regions List window. The Regions List contains all of the regions and markers that exist in the active data window.

To play a region, click the Play button [image] to the left of each region. Selecting a marker or region moves the cursor or selection in the data window.


Playlist/Cutlist

Available only in Sound Forge

Alt+2

View Menu

From the View menu, choose Playlist/Cutlist to open or close the Playlist/Cutlist window. This window is used to arrange regions for playback.

To rearrange regions, drag and drop them within the Playlist/Cutlist. To play a region, click the Play button [image] to the left of each region:

  • If you're viewing a playlist, the Play button plays the selected region and all subsequent playlist entries.

  • If you're viewing a cutlist, the Play button plays only the selected region.


Time Display

Alt+4

View Menu

From the View menu, choose Time Display to open or close the Time Display window. The Time Display window displays the current cursor or play position.


Video Preview

Alt+5

View Menu

From the View menu, choose Video Preview to open or close the Video Preview window. This window shows the video frame at the current cursor or play position.


Play Meters

Alt+6

View Menu

From the View menu, choose Play Meters to open or close the Play Meters window. The Play Meters display peak levels during playback.

To change the meters' display properties, right-click the meters and choose a command from the shortcut menu.


Undo/Redo History

Available only in Sound Forge

Alt+7

View Menu

From the View menu, choose Undo/Redo History to open or close the Undo/Redo History window. This window allows you to see all of your edit operations. The most recently performed operations are displayed at the top of each list.

When you perform an edit operation on your sound file, such as cutting data, the operation name appears at the top of the Undo list. When you undo the cut, the operation disappears from the Undo list and appears in the Redo list.

What do you want to do?

Preview Undo and Redo operations

You can audition various versions of undos and redos by clicking the Play button [image] next to each entry. However, some Undo or Redo operations cannot be auditioned.

Undo and Redo operations

To undo or redo an operation, double-click the operation in the Undo or Redo list. If you undo or redo an operation that is not at the top of the list, all operations that were performed after that operation will also be undone (this can take some time when working on large files).


Special Menu

Which command do you want to learn more about?

Transport

Regions List

Playlist/Cutlist

ASF Markers/Commands

ACID Looping Tools

Edit ACID Properties

Edit Sample

Edit Frame Rate

Edit Tempo

Center Cursor

Drop Marker

Create Region

Create Sample Loop

Mark In

Mark Out

Toggle Selection

Undo/Redo History

Rebuild Peak Data


Transport

Special Menu

From the Special menu, choose Transport and choose a command from the submenu to perform playback and recording functions.

Which command do you want to learn more about?

Record

Play All

Play

Pause

Stop

Go to Start

Rewind

Forward

Go to End

Play Normal Mode

Play Looped Mode

Play as Sample/Cutlist Mode


Regions List (Special Menu)

Regions List

Special Menu

From the Special menu, choose Regions List and choose a command from the submenu to add to and maintain the Regions List. You can use the Regions List to view and edit regions and marker positions in a file.

Which command do you want to learn more about?

Add

Delete

Edit

Replicate

Split

Update

Clear

Markers to Regions

Open

Save As

Copy onto Clipboard


Playlist/Cutlist (Special Menu)

Playlist/Cutlist

Available only in Sound Forge

Special Menu

From the Special menu, choose Playlist/Cutlist and choose a command from the submenu to arrange regions in a Playlist/Cutlist.

You can open the first playlist in a sound file by choosing Playlist/Cutlist from the View menu.

Nondestructive editing using the Playlist/Cutlist

When you perform edits on sound files using cut-and-paste operations, Sound Forge must shift the sound data on your hard drive. When working with large files, this process can be time consuming. However, when you create regions in the Regions List and rearrange them in the Playlist, only the playback (as opposed to the hard-disk storage) order changes. This is called nondestructive editing since your original file is not modified.

When you are done arranging the regions, Sound Forge can create a new file containing your final arrangement.

What do you want to do?

Add a region to a Playlist/Cutlist

Delete a region from a Playlist/Cutlist

Edit a Playlist/Cutlist region

Replicate a Playlist/Cutlist region

Clear all regions from the Playlist/Cutlist

Define a stop point

Turn Pre-roll Playlist entries

Open a Playlist/Cutlist

Save a Playlist/Cutlist

Copy the Playlist/Cutlist to the clipboard

Convert the Playlist/Cutlist to a new file

Treat the Playlist/Cutlist as a Cutlist

Delete cut regions from a file


ASF Markers/Commands

Special Menu

From the Special menu, choose ASF Markers/Commands and choose a command from the submenu to save or import Windows Media Format Script files or add Windows Media commands.

Which command do you want to learn more about?

Save As

Import

Add Command


Editing ACID Properties

Special Menu

From the Special menu, choose Edit ACID Properties to display the Edit ACID Properties dialog. You can use this dialog to change ACID-specific information in a wave file.

What do you want to learn more about?

One-shots

Select the One-Shot radio button if you want ACID to treat your file as a one-shot.

One-shots are RAM-based audio clips that do not change tempo or pitch with an ACID project and are not designed to loop. Sounds such as cymbal crashes and sound bites could be considered one-shots. Longer files can be treated as one-shots if your computer has sufficient memory.

Loops

Select the Loop radio button and specify a Number of beats and Root note for transposing if you want ACID to treat your file as a loop.

Loops are small audio clips that are designed to create a repeating beat or pattern. Loops are usually one to four measures long and are stored completely in RAM for playback. Loop files change tempo and can pitch shift with an ACID project.

Number of Beats

Specify the length of the file. Selecting a value that does not match the actual file will cause ACID to play the loop at a different speed than normal. For example, specifying a length of 8 beats for a 4-beat loop will cause the loop to play at half speed at any given tempo.

Root Note for Transposing

Select a note from the drop-down list to set the base note for loops and disk-based tracks that you want to conform to the ACID project key. If you do not want a track transposed to the project key (a track that contains a drum sample, for example) choose Don’t transpose.

Disk-based tracks

Select this radio button and specify a Tempo if you want ACID to treat your file as a loop.

Disk-based files are usually longer audio clips that are played from hard disk rather than being stored in RAM. Disk-based files can change tempo with an ACID project, but do not change ptich. Disk-based files are used for vocals or any other long audio file that does not loop.

Tempo

Select the Tempo check box and specify a tempo in beats per minute for ACID to stretch the track. If you do not want ACID to stretch the file at all, clear the Tempo check box. If you specify a tempo that is not the actual tempo of the file, the track will play at a different rate.


Edit Frame Rate

Editing Frame Rates

Special Menu

The Edit Frame Rate dialog allows you to change the frames per second value used for status information when using the Absolute Frames or Time & Frames format. To display the dialog, choose Edit Frame Rate from the Special menu.

Choose a preset from the drop-down list or choose Custom and enter a custom frame rate in the Frames per second box.


Edit Tempo

Editing Tempo

Special Menu

The Edit Tempo dialog allows you to calculate the musical tempo (in beats per minute) of the current selection. To display this dialog, choose Edit Tempo from the Special menu.

Notes:

  • The selection should be equal to the length of a beat or measure. The easiest way to tune a selection to be exactly one measure long is to play the selection looped and change the selection points until a constant downbeat is heard. If no selection is made, the entire file will be used.

  • Use Time Stretch to change the tempo of a sound.

Item | Description
Start | Specify the beginning point of the selection. Sound Forge automatically fills in this value based on the current selection.
End | Specify the ending point of the selection. Sound Forge automatically fills in this value based on the current selection.
Length | Specify the length of the selection. Sound Forge automatically fills in this value based on the current selection.
Input format | Choose an input format from the drop-down list. This format is used to display the values in the Start, End, and Length boxes.
Selection Length in Beats | This control specifies the number of beats in the current selection. Changing this value will automatically change the Tempo in Beats per minute control.
Tempo in Beats per minute | This control specifies the tempo of specified selection. Changing this value will automatically change the Selection length in beats control.
Number of Beats in a Measure | Use to specify the number of beats in a measure when selecting a measure.


Center Cursor

Centering the Cursor

C

Special Menu

From the Special menu, choose Center Cursor to center the display so that the cursor appears in the center of the data window.

Notes:

  • This command does not actually move the cursor to a new position in the data window; it simply redraws the display so that you will see the areas of the sound file equally on either side of the cursor. If the cursor does not seem to center when selecting this, it is because the cursor is either very close to the beginning or end of the sound file, and therefore cannot be centered.

  • If you have a range of data selected, you can switch the cursor between selection points using the Home and End keys.


Placing Markers

M

Special Menu

Markers are reference points you can place throughout a file. You can use markers to identify positions for editing or to seek forward and back within a streaming media file.

Markers can be quickly selected from the list in the Go To dialog. Also, markers are placed in the Regions List for quick playback.

What do you want to do?

Place a marker during playback

Press the M key during playback, and a marker will be inserted at the current cursor position.

Depending on the sound card you are using, there might be an offset error between what you hear and where the cursor is located. To correct this offset, adjust the Play position bias setting on the Wave tab in the Preferences dialog.

Place a marker after stopping playback

Placing a marker after playback has stopped will give you the most accurate results.

  1. Position the cursor where you want to place a marker.

  2. From the Special menu, choose Drop Marker, or press the M key.


Create Region

R

Special Menu

From the Special menu, choose Create Region to create a region quickly using the currently selected data.

  1. Select a range of data.

  2. From the Special menu, choose Create Region.

  3. Right-click the region tag [image] and choose Edit from the shortcut menu to display the Edit Marker/Region dialog, where you can edit the default region name and other parameters.

You can also drag a selection to the Time Ruler to display the Edit Marker/Region dialog.


Marking the Start of a Selection

[ or I

Special Menu

From the Special menu, choose Mark In to set the beginning of a selection at the current cursor position. The data between this point and the Mark Out position will be selected.

Depending on the sound card you are using, there might be an offset error between what you hear and where the cursor is located. To correct this offset, adjust the Play position bias setting on the Wave tab in the Preferences dialog.


Marking the End of a Selection

] or O

Special Menu

From the Special menu, choose Mark Out to set the end of a selection at the current cursor position. The data between this point and the Mark In position will be selected.

Depending on the sound card you are using, there might be an offset error between what you hear and where the cursor is located. To correct this offset, adjust the Play position bias setting on the Wave tab in the Preferences dialog.


Toggling a Selection

S

Special Menu

From the Special menu, choose Toggle Selection to switch between the last selection and the last cursor position.

For instance, you may be setting the cursor in various places while navigating throughout a sound file. If you use the Toggle Selection command, the last selected region will immediately return to the display.


Undo/Redo History (Special Menu)

Clearing Undo/Redo Histories

Available only in Sound Forge

Special Menu

What do you want to do?

Clear the Undo/Redo History for the current file

From the Special menu, choose Undo/Redo History and choose Clear from the submenu to erase the temporary undo files for the active file.

These files take up disk space, so you might want to clear them periodically when you are sure that you don’t want to undo any of your previous changes. This function affects only the current sound file.

Clear the Undo/Redo History for all open files

From the Special menu, choose Undo/Redo History and choose Clear All from the submenu to erase the temporary undo files for all open files.

The Clear All command affects all open sound files. After doing this, you will be unable to undo changes you have made to all modified sound files.


Rebuild Peak Data

Rebuilding Peak Data

Special Menu

From the Special menu, choose Rebuild Peak Data to recalculate the peak data file for the active data window.

If you believe the waveform display is not accurately representing the sound file, you can use this command to force Sound Forge to rescan the entire file. However, under normal circumstances you should never have to do so since Sound Forge updates the peak file when loading a file and after every edit operation.


Process Menu

Which command do you want to learn more about?

Auto Trim/Crop Available only in Sound Forge

Bit-Depth Converter

Channel Converter Available only in Sound Forge

DC Offset

EQ

Fade

Insert Silence

Invert/Flip

Mute

Normalize

Pan/Expand

Resample

Reverse

Smooth/Enhance

Time Compress/Expand

Volume


Auto Trim/Crop

Automatically Trimming/Cropping a File

Available only in Sound Forge

Process Menu

The Auto Trim/Crop dialog allows you to remove unnecessary silence in a sound file and automatically fade in and out the end-points of a phrase.

To display this dialog, choose Auto Trim/Crop from the Process menu.

Item

Description

Name

Choose a preset from the drop-down list, or click the Save As button to create a new preset.

Function

Choose a mode from the drop-down list:

Keep Edges Outside of the Selection
Silence between the selection points and the sound material is deleted. Use this to remove silence from the edges of a selection. Data outside of the selection is not deleted.

Remove Edges Outside of the Selection
Silence between the selection points and the sound material is deleted. Anything outside of the selection is also deleted. Use this to trim a sound from a larger file.

Remove Silence Between Phrases (creates regions)
All silence between phrases inside of the selection is deleted. Regions are created between phrases. Use this to delete the silence between sound effects and automatically create regions in the Regions List.

Remove Data Beyond Loop Points
All data after the selected loop is deleted. Since most samplers never play audio beyond a loop, data beyond the loop is unnecessary.

Attack threshold

Drag the fader to set the threshold level used for the detection of the trim/crop start point. -Inf. is complete silence, 0 dB is a maximum amplitude level.

Release threshold

Drag the fader to set the threshold level used for the detection of the trim/crop end point. -Inf. is complete silence, 0 dB is a maximum amplitude level.

Fade in

Specify the length of fade-in applied to the sound file after the trim/crop start point is detected. This is useful for preventing glitches at beginning and ending points.

Fade out

Specify the length of the fade-out applied to the sound file after the detected trim/crop end point.

Minimum inter-phrase silence

Specify the minimum amount of silence that must exist between phrases before a new region is created.

Minimum length following loop end

When using the Remove data beyond loop points option, this number specifies the number of samples that must exist after the loop. This is used to ensure that a sampler can loop properly, since some samplers don’t use the exact loop points supplied.

For more information about using processing dialog controls, click here.


Bit-Depth Converter

Process Menu

Use the Bit-Depth Converter dialog to convert sound files to different bit depths. To display this dialog, choose Bit-Depth Converter from the Process menu.

Because the signal-to-noise decreases when you decrease the bit depth of a file, you should maximize the volume of the sound file using the Volume or Normalize functions before performing the conversion.

What do you want to do?

Change a file's bit depth

  1. From the Process menu, choose Bit-Depth Converter.

  2. Choose a preset from the Name drop-down list or adjust the controls as desired:

a. Choose a bit-depth from the drop-down list.

Increasing a file's bit-depth cannot improve the quality of the existing audio, but does allow higher resolution for processing.

b. Choose a setting from the Dither drop-down list if you're decreasing the file's bit-depth and want to add dither noise to mask quantization noise. For example, if you want to burn a 24-bit audio file to an audio CD, dithering will produce a cleaner signal than a simple bit-depth conversion.

Setting | Description
Rectangular | Eliminates distortion caused by conversion to a lower bit-depth, but the noise level is dependent on the signal.
Triangular | Eliminates distortion caused by conversion to a lower bit-depth and eliminates noise floor modulation by producing a slightly higher noise level.
Highpass Triangular | Eliminates distortion caused by conversion to a lower bit-depth and eliminates noise floor modulation by producing a slightly higher noise level. Noise is shifted to higher frequencies than standard triangular dithering.
Gaussian | Does not perform as well as rectangular or triangular dithering, but may be suitable for some material.

In general, Highpass Triangular with noise shaping produces the most favorable results.

c. Choose a setting from the Noise shaping drop-down list to apply noise shaping to your signal. Noise shaping lowers the percieved noise floor of the signal by shifting most of the noise into the upper frequencies of human hearing.

Setting | Description
Off | Does not apply noise shaping.
High-Pass Contour | Moves noise into high frequencies. The frequencies to which the noise is shifted (shaped) are close to the Nyquist frequency, so you should not apply noise shaping to files with a sample rate below 44.1 kHz. For example, a 22 kHz signal has a Nyquist frequency of 11 kHz. If you move most of the noise into that range, you are putting it into a sensitive area of human hearing and will produce a worse-sounding signal.
Equal Loudness Contour | Distributes noise equally into high and low frequencies.

  3. Click OK.

For more information about using processing dialog controls, click here.

Set the bit-depth for playback only

Right click the Sample Size box on the status bar and choose a new bit-depth from the shortcut menu.


Channel Converter

Available only in Sound Forge

Process Menu

The Channel Converter dialog allows you to convert between mono and stereo formats. It can also be used to reverse the channels of a stereo file or inter-mix the left and right channels of a stereo file to create interesting panning effects. To display this dialog, choose Channel Converter from the Process menu.

To perform quick channel conversion without specifying the mix, use the Format tab on the Properties dialog.

What do you want to do?

Convert a stereo file to mono

  1. From the Process menu, choose Channel Converter.

  2. Click the Mono radio button.

  3. Select the Convert to specified channels only check box to mix each of the channels at 50% volume, or specify the mix for the new channel:

a. Drag the From left fader to determine the amount of the original left channel that will be mixed to the new mono file.

b. Drag the From right fader to determine the amount of the original right channel that will be mixed onto the new mono file.

c. Select the Invert left-channel mix check box if you want to reverse the polarity of the new left-channel mix.

  4. Click the OK button.

Convert a mono file to stereo

  1. From the Process menu, choose Channel Converter.

  2. Click the Stereo radio button.

  3. Select the Convert to specified channels only check box to create an exact copy of the original mono channel in each of the new stereo channels, or specify the mix for the new channel.

a. In the New Left Channel box, drag the From left fader to determine the amount of the original mono channel that will be mixed to the new left channel.

b. Select the Invert left-channel mix check box if you want to reverse the polarity of the new left-channel mix.

c. In the New Right Channel box, drag the From left fader to determine the amount of the original mono channel that will be mixed onto the new right channel.

d. Select the Invert right-channel mix check box if you want to reverse the polarity of the new right-channel mix.

  4. Click the OK button.

Inter-mix channels in a stereo file

  1. From the Process menu, choose Channel Converter.

  2. Click the Stereo radio button.

  3. Specify the mix for the new left channel:

a. In the New Left Channel box, drag the From left fader to determine the amount of the original left channel that will be mixed to the new left channel.

b. Drag the From right fader to determine the amount of the original right channel that will be mixed to the new left channel.

c. Select the Invert left-channel mix check box if you want to reverse the polarity of the new left-channel mix.

  4. Specify the mix for the new left channel:

a. In the New Right Channel box, drag the From left fader to determine the amount of the original left channel that will be mixed to the new right channel.

b. Drag the From right fader to determine the amount of the original right channel that will be mixed to the new right channel.

c. Select the Invert right-channel mix check box if you want to reverse the polarity of the new right-channel mix.

  5. Click the OK button.

Switch stereo channels

  1. From the Process menu, choose Channel Converter.

  2. From the Name drop-down list, choose the Stereo to Stereo - Swap Channels preset.

  3. Click the OK button.

For more information about using processing dialog controls, click here.


DC Offset

Removing DC Offset

Process Menu

The DC Offset dialog allows you change the baseline of a sound file to compensate for electrical mismatches between your sound card and input device. Glitches and other unexpected results can occur when sound effects are applied to files that contain DC offsets.

To display this dialog, choose DC Offset from the Process menu.

An easy way to spot DC offset is to zoom in to a silent section of your sound file. If the silent waveform matches the centerline in the waveform display, your file does not contain DC offset.

What do you want to do?

Automatically detect and remove DC offset

  1. From the Process menu, choose DC offset.

  2. Click the Automatically detect and remove radio button.

  3. Click the OK button.

To speed processing, select the Compute DC offset from first 5 seconds only check box. Sound Forge will analyze only the first 5 seconds of a sound file when measuring the DC offset. The only time that 5 seconds is not sufficient is if a long fade-in or mute has been applied at the beginning of the file.

Specify an offset value

  1. Determine the amount of DC offset in your file:

a. From the Tools menu, choose Statistics.

b. Record the values displayed in the Average value (DC offset) columns.

c. Click the OK button.

  2. Click the Adjust DC offset by radio button and enter a value in the edit box to specify an offset value.

  3. Click the OK button

To speed processing, select the Compute DC offset from first 5 seconds only check box. Sound Forge will analyze only the first 5 seconds of a sound file when measuring the DC offset. The only time that 5 seconds is not sufficient is if a long fade-in or mute has been applied at the beginning of the file.

For more information about using processing dialog controls, click here.


EQ

Equalization

Process Menu

From the Process menu, choose EQ and choose an equalizer type from the submenu to adjust the tonal characteristics of your data.

Sound Forge only | For information about using the Graphic EQ in Sound Forge, click here.
Sound Forge only | For information about using the Paragraphic EQ in Sound Forge, click here.
Sound Forge only | For information about using the Parametric EQ in Sound Forge, click here.
Sound Forge XP only | For information about using the Simple EQ in Sound Forge XP, click here.
Sound Forge XP only | For information about using the Graphic EQ in Sound Forge XP, click here.


Fade

Fading In and Out

Process Menu

From the Process menu, choose Fade and choose a command from the submenu to vary the volume of a sound file over time.

What do you want to do?

Perform a graphic fade

  1. Select the data you want to fade.

If no data is selected, the fade is applied to the entire file.

  2. From the Process menu, choose Fade, and choose Graphic from the submenu.

  3. Adjust the envelope to achieve the desired sound:

  • Drag the small boxes (envelope points) up or down.

  • To create a new envelope point, left-click on any point of the envelope.

  • To delete an envelope point, click it with the right mouse button, or double-click it with the left mouse button.

  • To move all envelope points, press Ctrl+A and drag when the envelope has focus (the cursor will be displayed as a [image]).

  • Select a radio button in the Maximum Gain group to adjust the range of the envelope graph.

You can create up to 16 envelope points. Click the Reset Envelope button to remove all but the outer two envelope points.

Displaying the waveform

When your selection is small, the waveform is automatically displayed in the envelope graph. Perform the following steps if the waveform is not displayed.

  1. Select the Show wave check box.

  2. If you're working with a stereo file, choose a setting from the drop-down list to specify which channels are displayed.

For more information about using processing dialog controls, click here.

Fade in

  1. Select the data you want to fade.

If no data is selected, the fade is applied to the entire file.

  2. Choose Fade In to perform a linear fade from -Inf. to 0 dB.

Fade out

  1. Select the data you want to fade.

If no data is selected, the fade is applied to the entire file.

  2. Choose Fade Out to perform a linear fade from 0 dB to -Inf.


Insert Silence

Inserting Silence

Process Menu

The Insert Silence dialog allows you to insert a section of silence in a sound file.

To insert silence

  1. From the Process menu, choose Insert Silence.

  2. In the Insert box, specify the length of silence that you want to add.

  3. Choose a setting from the at drop-down list to specify where the silence should be inserted.

  • Cursor: inserts silence at the current cursor position.

  • Start of File: inserts silence at the beginning of the file.

  • End of File: inserts silence at the end of the file.

  4. Click the OK button.

For more information about using processing dialog controls, click here.


Invert/Flip

Inverting Data

Process Menu

From the Process menu, choose Invert/Flip to reverse the polarity of the sound data. Although inverting data does not make an audible difference in a single file, it can be useful for matching a sample transition when executing certain pastes, mixes, or loops.

If no data is selected, the entire file will be inverted.


Mute

Muting Sound

Process Menu

From the Process menu, choose Mute to set the volume of a selection to -Inf dB (silence).

If no data is selected, the entire file will be muted.


Normalizing Audio

Process Menu

The Normalize dialog allows you to raise the volume of a selection so that the highest level sample reaches a user-defined level. Use normalization to ensure you are using all of the dynamic range available to you without clipping. To display this dialog, choose Normalize from the Process menu.

When normalizing stereo data, if the selection includes both channels, normalization is computed on the loudest sample value found in either channel and the same gain is applied to both. If a single channel is selected, normalization will effect only that channel.

When converting to compressed formats, you'll achieve the best results if the audio has been normalized before the conversions occur.

What do you want to do?

Normalize using a peak value

When you normalize to a peak value, you can specify the level to which the maximum detected sample value will be set. Sound Forge applies a constant gain to the selection to bring the peak to this level.

  1. From the Process menu, choose Normalize.

  2. Click the Peak level radio button.

  3. Click the Scan Levels button.

When previewing, the entire file must be scanned--even when previewing a small selection. Clicking the Scan Levels button stores the current Peak and RMS values. This allows you to preview different Normalize to level settings without rescanning the entire file.

  4. Drag the Normalize to fader to specify the level to which the highest peak should be set.

  5. Click the OK button.

Normalize using average RMS power Available only in Sound Forge

When you normalize using average RMS power, Sound Forge will normalize the sound file using the detected average RMS value of the sound file to a value you specify. This is helpful for matching the apparent loudness of different recordings.

  1. From the Process menu, choose Normalize.

  2. Click the Average RMS power radio button.

  3. Click the Scan Levels button.

When previewing, the entire file must be scanned--even when previewing a small selection. Clicking the Scan Levels button stores the current Peak and RMS values. This allows you to preview different Normalize to level settings without rescanning the entire file.

  4. Drag the Normalize to fader to specify the new average RMS power for the selection.

When using RMS levels, set the Normalize to fader to 6 dB or less. Normalizing to 0 dB boosts the signal so that it has the same apparent loudness as a 0 dB square wave, meaning incredibly loud. If you were to do so, all of the dynamic range of the signal would be squashed and all the peaks would either be clipped or seriously compressed. The lesson is, normalizing a peak to 0 dB is OK, but normalizing RMS to anything above -6 dB can compromise sound quality.

  5. Adjust scan settings:

Item

Description

Ignore below

Drag the fader to determine the level of material you want to include in the RMS calculation. Any sound material below the threshold will be ignored in the calculation. This is useful to eliminate any silent sections from the RMS calculation. You should set this parameter a few dB above what you consider to be silence.

If you set this value to minus infinity, all sound data will be used. If the value is set too high (above -10 dB), there is a good chance that the RMS value is always below the threshold. In this case, no normalization will occur. Therefore, it is good to test the threshold by using the Scan Levels button.

Attack time

Specify how quickly the scan should respond to transient peaks in the sound file. A slower attack time will tend to ignore fast-peaking material.

Release time

Specify how quickly the scan should stop using transient peak material after it has begun to drop in level. A slower release time will increase the amount of material included in the RMS calculation.

Use equal loudness contour

Select this check box if you want the RMS calculation to compensate for high- and low-frequency audio. Very low and high frequencies are less audible than mid-range frequencies.

  6. Select an option from the If clipping occurs drop-down list:

Item | Description
Apply dynamic compression | Any peaks that would clip are limited to below 0 dB using nonzero attack and release times to minimize distortion. In other words, a time-varying gain is used to ensure that no hard clipping occurs. This option is useful for getting very loud, yet clear sound during the mastering process.
Normalize peak value to 0 dB | The selection’s peak amplitude level is normalized to 0 dB. This applies the maximum possible constant gain that doesn’t clip to the selection. Less gain is applied than would be necessary to achieve the Normalize to RMS level.
Ignore (saturate) | Sound data is allowed to clip. Use this option only if the clipping samples are very short and infrequent.
Stop processing | Any sound data that would clip causes the Normalize function to stop processing and display a notification.

  7. Click the OK button.

Normalize using levels from another selection or file

  1. Select the data you want to use to normalize your data.

  2. From the Process menu, choose Normalize.

  3. Click the Scan Levels button.

  4. Close the Normalize dialog.

  5. Select the data you want to normalize.

  6. From the Process menu, choose Normalize.

  7. Select the Use current scan level check box. The selection is normalized to the level displayed in the Peak or RMS fields without rescanning.

For more information about using processing dialog controls, click here.


Pan/Expand

Process Menu

The Pan/Expand dialog allows you to change the stereo image of an audio file by drawing an envelope that will be applied across the current data selection. You can create up to 16 envelope points. To display this dialog, choose Pan/Expand from the Process menu.

What do you want to do?

Pan audio and preserve stereo separation

The Pan (preserve stereo separation) processing mode allows you to perform right- and left-channel panning effects without mixing the channels together. This is used to simulate left/right positioning of stereo recordings.

  1. From the Process menu, choose Pan/Expand.

  2. Choose Pan (preserve stereo separation) from the Process mode drop-down list.

  3. Adjust the envelope to achieve the desired sound:

  • Drag the small boxes (envelope points) up or down.

  • To create a new envelope point, left-click on any point of the envelope.

  • To delete an envelope point, click it with the right mouse button, or double-click it with the left mouse button.

  • To move all envelope points, press Ctrl+A and drag when the envelope has focus (the cursor will be displayed as a [image]).

  4. Drag the Output gain fader if you want to apply a gain after processing.

  5. Click the OK button.

Pan mixed channels

The Pan (mix channels before panning) processing mode allows you to perform right and left channel panning effects by first mixing the two channels and then changing the volume between channels.

  1. From the Process menu, choose Pan/Expand.

  2. Choose Pan (mix channels before panning) from the Process mode drop-down list.

  3. Adjust the envelope to achieve the desired sound:

  • Drag the small boxes (envelope points) up or down.

  • To create a new drag point, left-click on any point of the fade envelope.

  • To delete an envelope point, click it with the right mouse button, or double-click it with the left mouse button.

  • To move all envelope points, press Ctrl+A and drag when the envelope has focus (the cursor will be displayed as a [image]).

  4. Drag the Output Gain fader if you want to apply a gain after processing.

  5. Click the OK button.

Perform stereo expansion

The Stereo expand processing mode allows you to contract or expand the stereo image of a stereo recording, from dead center (mono), to completely panned wide (no center channel). For realistic effects, you should not venture too far from Normal, but do experiment.

This effect works best with true stereo recordings and will not work with mono material.

  1. From the Process menu, choose Pan/Expand.

  2. Choose Stereo expand from the drop-down list.

  3. Adjust the envelope to achieve the desired sound:

  • Drag the small boxes (envelope points) up or down.

  • To create a new envelope point, left-click on any point of the fade envelope.

  • To delete an envelope point, click it with the right mouse button, or double-click it with the left mouse button.

  • To move all envelope points, press Ctrl+A and drag when the envelope has focus (the cursor will be displayed as a [image]).

  4. Drag the Output Gain fader if you want to apply a gain after processing.

  5. Click the OK button.

Mix a mid-side mix to right and left channels

The Mix Mid-Side (MS) recording to left and right channels processing mode allows you to convert a mid-side recorded track to a left/right track and set the width of the stereo image.

Before mixing, you must first ensure that the mid track is in the left channel and the side track in the right.

  1. From the Process menu, choose Pan/Expand.

  2. Choose Mix Mid-Side (MS) recording to left and right channels from the Process mode drop-down list.

  3. Adjust the envelope to set the width of the stereo image:

  • Drag the small boxes (envelope points) up or down.

  • To create a new envelope point, left-click on any point of the fade envelope.

  • To delete an envelope point, click it with the right mouse button, or double-click it with the left mouse button.

  • To move all envelope points, press Ctrl+A and drag when the envelope has focus (the cursor will be displayed as a [image]).

  4. Drag the Output Gain fader if you want to apply a gain after processing.

  5. Click the OK button.

Display the waveform

When your selection is small, the waveform is automatically displayed in the envelope graph. Perform the following steps if the waveform is not displayed.

  1. Select the Show wave check box.

  2. If you're working with a stereo file, choose a setting from the drop-down list to specify which channels are displayed.

For more information about using processing dialog controls, click here.


Resample

Resampling

Process Menu

The Resample dialog allows you to change the sample rate of an existing sound file. To display this dialog, choose Resample from the Process menu.

Resampling data changes the number of recorded samples per second. When changing to a higher sample rate, extra samples are interpolated and the file size increases. When changing to a lower sample rate, some samples are removed and the file size decreases.

What do you want to do?

Resample your data

  1. From the Process menu, choose Resample.

  2. In the New sample rate box, specify the sample rate to which the sound file will be converted.

Increasing a file's sample rate cannot improve the quality of the existing audio, but does allow higher resolution for processing.

  3. Drag the Interpolation accuracy slider to determine the complexity of the method used during the resampling process.

    The audible difference between values can be subtle without the use of test tones and is most apparent in high frequencies. In general, a setting of 1 is adequate for general-purpose audio. Settings of 2 and 3 are good for high-end audio. Setting this parameter to 4 results in slow processing, but produces near-perfect results for audiophiles and audio researchers.

When downsampling by an even multiple (such as when resampling from 44 kHz to 22 kHz), processing is always fast and perfectly accurate.

  4. Select the Apply an anti-alias filter during resample check box to preserve high-frequency content when resampling to a lower sampling rate.

    Since the maximum frequency that can be represented by a particular sample rate is one-half of the sampling rate (the Nyquist frequency ), high frequencies in a sound file cannot be represented if the sound file is resampled to a lower sampling rate. Therefore, when changing to a lower sampling rate, if the sound file has strong high-frequency content, anti-aliasing should be used to prevent these high frequencies from becoming low-frequency distortion.

  5. Click the OK button.

Set the sample rate without resampling

When you convert between two very close sample rates and want to process the file quickly, you can change the sample rate without resampling. However, the original pitch of the file is not preserved.

  1. From the Process menu, choose Resample.

  2. In the New sample rate box, specify the sample rate to which the sound file will be converted.

  3. Select the Set the sample rate only check box to change the playback rate without resampling the data. This means that the original pitch of the file is not preserved.

  4. Click the OK button.

To set the sample rate quickly, right-click the Sample Rate box in the status bar and choose a new rate from the shortcut menu.

For more information about using processing dialog controls, click here.


Reverse

Reversing Sound

Process Menu

From the Process menu, choose Reverse to reverse the current selection.

If no data is selected, the entire file will be reversed.


Smooth/Enhance

Process Menu

Use Smooth/Enhance to add or remove high-frequency content in a sound file selection.

Smoothing or enhancing a file

  1. From the Process menu, choose Smooth/Enhance.

  2. Drag the Operation slider toward Smooth or Enhance:

  • The Smooth function will smooth out fast-changing transients in a sound and is useful for removing glitches.

  • The Enhance function boosts the very highest frequencies (close to the Nyquist frequency) in the sound file, making the sound file sound more vivid. It is useful for compensating for the effects of downsampling or for bringing out very fast transients in a sound file.

Since the enhance function boosts frequencies near the Nyquist frequency, the current sample rate will determine what frequencies will be affected. At 44,100 Hz, the effect can be very subtle.


Time Stretch

Process Menu

From the Process menu, choose Time Stretch to change the duration of a sound file without altering the pitch.

Sound Forge only | For information about using time stretching in Sound Forge, click here.
Sound Forge XP only | For information about using time stretching in Sound Forge XP, click here.


Volume

Changing Volume

Process Menu

The Volume dialog allows you to change the volume of a selection. To display this dialog, choose Volume from the Process menu.

Excessive volume increases may cause distortion. You can also use the Normalize dialog to maximize the volume of a sound file.

To change volume

  1. Select the data you want to modify.

If no data is selected, the volume of the entire file will be modified.

  2. From the Process menu, choose Volume.

  3. Drag the Gain fader to adjust the volume of the selection:

  • Positive values boost the volume.

  • Negative values attenuate the volume.

  • A value of negative infinity mutes the selection (0%).

  4. Click the OK button.

For more information about using processing dialog controls, click here.


Effects Menu

The Effects functions allow you to apply different special effects functions to the sound data. Most of the functions can be applied to single channels within stereo files as well as areas selected within the file.

Which effect do you want to learn more about?

Acoustic Mirror Available only in Sound Forge

Amplitude Modulation

Chorus

Delay/Echo

Distortion

Dynamics

Envelope

Flange/Wah-Wah

Gapper/Snipper Available only in Sound Forge

Noise Gate

Pitch

Reverb

Stutter Sound Forge XP only

Vibrato Sound Forge only

Wave Hammer Available only in Sound Forge


Amplitude Modulation

Effects Menu

Use the Amplitude Modulation command to apply a sinusoidal or square-shaped periodic gain to the input signal. The frequency of the gain waveform can be specified to create effects varying from a slow tremolo to unusual sound distortions.

Sound Forge only | For information about using Amplitude Modulation in Sound Forge, click here.
Sound Forge XP only | For information about using Amplitude Modulation in Sound Forge XP, click here.


Chorus

Effects Menu

From the Effects menu, choose Chorus to add a pitch-modulated and delayed version of the input signal to the unprocessed input signal. The effect simulates the variances in pitch and timing that occur naturally when two or more people try to play or sing the same thing at the same time.

Sound Forge only | For information about using Chorus in Sound Forge, click here.
Sound Forge XP only | For information about using Chorus in Sound Forge XP, click here.


Delay/Echo

Effects Menu

From the Effects menu, choose Delay/Echo and choose a command from the submenu to apply an echo effect to a selection.

Sound Forge only | For information about using the Multi-Tap Delay in Sound Forge, click here .
Sound Forge only | For information about using the Simple Delay in Sound Forge, click here .
Sound Forge XP only | For information about using the Delay in Sound Forge XP, click here .


Distortion

Effects Menu

From the Effects menu, choose Distortion to tailor the gain at all input levels of a signal. You can create effects ranging from dramatic to subtle distortion, simple compression, expansion, and noise gates.

Sound Forge only | For information about using Distortion in Sound Forge, click here.
Sound Forge XP only | For information about using Distortion in Sound Forge XP, click here.


Dynamics

Effects Menu

From the Effects menu, choose Dynamics and choose a command from the submenu to modify the dynamic range of a selection.

Sound Forge only | For more information about using Graphic Dynamics in Sound Forge, click here.
Sound Forge only | For information about using Multi-Band Dynamics in Sound Forge, click here.
Sound Forge XP only | For information about using Dynamics in Sound Forge XP, click here.


Envelope

Effects Menu

From the Effects menu, choose Envelope to apply an envelope to vary the amplitude of a waveform over time. Unlike the Graphic Fade command, which simply fades a waveform by a specific amount over time, the gain at each point is dynamically calculated to achieve the exact specified envelope.

What do you want to do?

Apply an amplitude envelope

  1. From the Effects menu, choose Envelope.

  2. Adjust the envelope to achieve the desired sound:

  • Drag the small boxes (envelope points) up or down.

  • To create a new envelope point, left-click on any point of the envelope.

  • To delete an envelope point, click it with the right mouse button, or double-click it with the left mouse button.

  • To move all envelope points, press Ctrl+A and drag when the envelope has focus (the cursor will be displayed as a [image]).

You can create up to 16 envelope points. Click the Reset Envelope button to reset the graph to a simple ADSR (Attack, Decay, Sustain, Release) curve.

  3. Select the Smooth gain to minimize distortion on steep slopes check box to prevent the gain from changing too quickly, which might result in unwanted distortion. Also, when this option is on, the gain will always begin at 0%.

  4. Click the OK button.

Display the waveform

When your selection is small, the waveform is automatically displayed in the envelope graph. Perform the following steps if the waveform is not displayed.

  1. Select the Show wave check box.

  2. If you're working with a stereo file, choose a setting from the drop-down list to specify which channels are displayed.

For more information about using processing dialog controls, click here.


Flange/Wah-Wah

Effects Menu

From the Effects menu, choose Flange/Wah-Wah to apply flanging, phasing, and wah-wah effects to a sound.

Sound Forge only | For information about using Flange/Wah-Wah in Sound Forge, click here.
Sound Forge XP only | For information about using Flange/Wah-Wah in Sound Forge XP, click here.


Gapper/Snipper

Available only in Sound Forge

Effects Menu

From the Effects menu, choose Gapper/Snipper to cut chunks from the sound file or insert silence in the sound file periodically at a set frequency.

To view the Gapper/Snipper help topic, click here.


Noise Gate

Effects Menu

From the Effects menu, choose Noise Gate to remove signals below a set threshold. This effect is used to remove noise from silent breaks in a sound file.

Sound Forge only | For information about using the Noise Gate in Sound Forge, click here.
Sound Forge XP only | For information about using the Noise Gate in Sound Forge XP, click here.


Pitch

Effects Menu

From the Effects menu, choose Pitch and choose a command from the submenu to change the pitch of a selection.

How do you want to change pitch?

Bend

The Bend command allows you to draw an envelope that increases or decreases the pitch of a sound file over time.

  1. From the Effects menu, choose Pitch and choose Bend from the submenu.

  2. Drag the Range slider to determine the maximum and minimum pitch change in semitones (half-steps). Example: A range of twelve half-steps (one octave) allows an increase or decrease of the pitch by an octave.

  3. Adjust the envelope to achieve the desired sound:

  • Drag the small boxes (envelope points) up or down.

  • To create a new envelope point, left-click on any point of the envelope.

  • To delete an envelope point, click it with the right mouse button, or double-click it with the left mouse button.

  • To move all envelope points, press Ctrl+A and drag when the envelope has focus (the cursor will be displayed as a [image]).

You can create up to 16 envelope points. Click the Reset Envelope button to remove all but the outer two envelope points.

  4. Select the Preserve original duration check box if you do not want pitch bending to change the size of the sound file. This setting works best when performing small pitch corrections (up to +/- 2 semitones).

  5. Click the OK button.

Displaying the waveform

When your selection is small, the waveform is automatically displayed in the envelope graph. Perform the following steps if the waveform is not displayed.

  1. Select the Show wave check box.

  2. If you're working with a stereo file, choose a setting from the drop-down list to specify which channels are displayed.

Shift Sound Forge only

The Shift command allows you to change the pitch of a sound with or without preserving the duration of the selection.

To view the Pitch Shift help topic, click here.


Reverb

Effects Menu

From the Effects menu, choose Reverb to simulate various acoustic spaces. Reverb consists of early reflections, which are the first reflections that arrive back to your ear, and the reverb itself.

Sound Forge only | For information about using Reverb in Sound Forge, click here.
Sound Forge XP only | For information about using Reverb in Sound Forge XP, click here.


Stutter

Sound Forge XP only

Effects Menu

From the Effects menu, choose Stutter to mute the audio signal at a regular interval. For more information about using the Stutter effect in Sound Forge XP, click here.


Vibrato

Available only in Sound Forge

Effects Menu

From the Effects menu, choose Vibrato to apply periodic pitch modulation to a selection.

To view the Vibrato help topic, click here.


Tools Menu

Which tool do you want to learn more about?

Audio Plug-In Chainer

Auto Region

Create CD

Crossfade Loop

Extract Audio from CD

Extract Regions

Find

Preset Manager

Repair

Sampler

Spectrum Analysis

Statistics

Synthesis


Auto Region

Creating Regions Automatically

Tools Menu

The Auto Region dialog allows you to automatically create regions in a sound file for the Regions List and Playlist. To display this dialog, choose Auto Region from the Tools menu.

Regions can be defined according to fast sound attacks (such as drum beats or words) or according to the Beats per minute value specified in the Edit Tempo dialog.

What do you want to do?

Create regions based on fast attacks

  1. From the Tools menu, choose Auto Region.

  2. Drag the Attack sensitivity slider to determine how sensitive the attack-detection algorithm is to fast increases in volume.

    With a high setting, regions are created when the sound level increases by very small amounts, and more regions are created. With a low setting, the sound level must increase by a large amount before a new region is created, and fewer regions are created.

  3. Drag the Release sensitivity slider to determine the minimum decrease in sound level that must occur before a region end is created.

    With a high setting, regions are created when the sound level decreases by very small amounts, and more regions are created. With a low setting, the sound level must decrease by a large amount before a new region is created, and fewer regions are created. A low setting is useful if you want regions to be created after quiet breaks.

  4. Drag the Minimum level fader to determine the threshold sound level that must be found before a new region is created.

    With a high setting, only high-level sounds will trigger the creation of a new region. This is useful if you want loud instrument attacks in a song (such as the bass drum) to mark the beginning of a region, since they often correspond to the beginning of a measure or beat. Low threshold settings will also allow low-level sound attacks to create new regions.

  5. In the Minimum beat duration box, specify the minimum length that must elapse before a new region can be created.

    A low setting will allow very short regions to be created if sound attacks occur in fast succession. This is useful for fast tempo music. A higher setting will prevent quick sound attacks from being separated into different regions.

  6. Select the Use release point for end of region check box to end a region when the sound level drops by a factor determined by the Release sensitivity. This is useful if you don’t want the silence in between sounds or phrases to be included in the regions.

    When this check box is cleared, region ends are only created when attacks are detected.

  7. Click the OK button.

Create regions based on a musical time interval

  1. From the Tools menu, choose Auto Region.

  2. Select the Build regions using the current tempo check box.

  3. Use the Measures and Beats boxes to specify the interval between regions.

  4. For example, if you want a region to be created at every beat, set Beats to 1 and Measures to 0. To create a region at every measure, set Measures to 1 and Beats to 0.

For more information about using processing dialog controls, click here.


Extract Regions

Extracting Regions

Tools Menu

The Extract Regions dialog is used to create individual files from regions in the Regions List of a sound file. This feature makes it easier for you to record long files, create regions in the Regions List, and then save those regions as individual sound files.

To display this dialog, choose Extract Regions from the Tools menu.

Item

Description

Regions to extract

This list contains all of the regions in the active sound file.

Click a region name to select it. You can hold the Ctrl key when clicking to select multiple regions, or hold the Shift key while clicking to select all regions between the last and current selection will be selected. The Select All button provides a convenient way to select all regions in the list.

Destination folder

Specify the folder where the extracted regions will be saved, or click the Browse button to browse to a new folder.

File name prefix

Enter a prefix to add to the filename of extracted regions. If the Use Long File Names for destination file names check box is not selected, then this prefix is truncated to the first 5 characters.

Use Long File Names for destination file names

When this check box is selected, file names can be up to 128 characters long and may contain spaces. The files names will consist of the value in the File name prefix box and the region name. For example, if your prefix is set to This is my file_ and there is a region named Region 004, the name used for extracting will be This is my file_Region 004.wav.

When this check box is cleared, file names will conform to the 8.3 naming convention. These names consist of the first 5 characters from the File name prefix and a unique three-digit number starting with the number specified in the Start file counter index box. For example, if you have 4 regions selected for extraction, and your prefix is set to PREFIX, the names used will be PREFI000.wav, PREFI001.wav, PREFI002.wav PREFI003.wav.

Start file counter index

Specify the number that you want to use to start automatic numbering of files when the Use Long File Names for destination file names check box is cleared.

Extract

Click to extract the selected regions.


Find

The Find Dialog

Tools Menu

The Find dialog searches for clicks and pops, volume levels, or silent breaks in a sound signal. To display this dialog, choose Find from the Tools menu.

Item

Description

Find

Choose a mode from the drop-down list to specify the type of data you want to find:

Glitch

Clicks and pops are unwanted sounds often found or worn records or on audio tape as a result of poor splicing, and they are seen as sharp glitches in the normal curve of a waveform.

The Glitch search algorithm looks at a waveform, starting at the cursor position, and determines when a glitch occurs based on the Threshold slope and Sensitivity settings. The cursor is then moved to the detected glitch to allow for further editing. You can use the Pencil tool [image] to draw a smooth curve over the glitch to remove it.

Level equal to or above

Finds the next point in time after the cursor position when the waveform reaches the level specified by the Threshold level fader.

End of silent region

Moves the cursor to the end of the next silent break. Use the Threshold level fader to determine the sound level that will be treated as silence.

Largest peak

Moves the cursor to the next largest peak amplitude.

Searches progress from the current cursor position forward. To find the largest peak in a file, set the cursor to the beginning of the sound file or select all data before processing.

Threshold slope/level

When Glitch is selected in the Find drop-down list, drag the slider to determine the minimum slope (steepness) of the glitch. A high setting will only detect glitches with a high slope, while a low setting will detect both low and high-sloped glitches.

When Level equal to or above is selected in the Find drop-down list, drag the fader to determine the sound level to search for.

When End of silent region is selected in the Find drop-down list, drag the fader to determine the sound level that will be treated as silence. The Silence search will move the cursor to the next position where the level goes below and then back above the silence threshold level.

Sensitivity

When Glitch is selected in the Find drop-down list, drag the slider to determine how the algorithm looks for glitches:

  • With a high Sensitivity setting, any part of the waveform with a slope above the Threshold slope is detected as a glitch.

  • Lower Sensitivity settings force the glitch finder to verify that the high-sloped waveform is a glitch and not part of the original, smooth waveform.

If no glitches are detected, but you can hear clicks or pops, try lowering the Threshold slope and/or raising the Sensitivity. If the search is falsely detecting glitches, lower the Sensitivity and/or raise the Threshold slope.


Preset Manager

Managing Presets

Tools Menu

The Preset Manager dialog allows you to store, back up and transfer user-defined presets from all of the effects, processes, tools, and plug-ins that are installed in Sound Forge. To display the dialog, choose Preset Manager from the Tools menu.

What do you want to do?

Explore presets

The Preset box contains a tree view of all presets that exist in your Sound Forge installation. Presets are organized by menu and then by function. Click the [image] button to expand a list, or click the [image] button to collapse a list.

Edit a preset

Select a preset and click the Settings button (or double click the preset). Sound Forge opens a temporary dialog for the selected function. You can use the temporary dialog to edit and create presets.

Add a preset to a package

Select a preset in the Presets box and click the Add button [image] to add the preset to the Preset package contents box. When you save the preset package, all of the settings will be saved in the preset package (*.sfz) file.

Remove a preset from a package

Select a preset in the Preset package contents box and click the Delete button [image] to remove the preset from the package. When you save the preset package, the preset will be removed from the preset package (.sfz) file.

Open a preset package

Click the Open button to import the presets from an existing preset package (.sfz) file into your installation of Sound Forge.

Save a preset package

Click the Save As button to save all of the presets in the Preset package contents box as a preset package file (.sfz). This file can then be transported to another installation of Sound Forge or backed up for future use.


Extracting from CD

Extracting Audio From CDs

Tools Menu

From the Tools menu, choose Extract Audio from CD to extract tracks from a CD and open them in Sound Forge.

  1. From the Tools menu, choose Extract Audio from CD.

  2. From the Drive drop-down list, choose the CD drive that contains the CD from which you want to extract audio.

  3. Specify how you want to extract audio:

  • Individual tracks—select the Read by tracks radio button and select each track you want to extract. Each track will be extracted to a new data window.

  • Entire CD—select the Read entire CD radio button to extract the current CD to a single file.

  • By time range—select the Read by range and enter a starting time and ending time (or a beginning time and length). The time range will be extracted to a new data window.

If you select the Read entire CD or Read by range radio buttons, you can select the Create regions for each track and Create markers for each index change check box to create regions and markers to indicate each track and index change in the new data window.

Click Play to preview your selection.

  4. Click OK to start extracting audio.

    If you experience problems extracting audio, choose a slower speed from the Speed drop-down list. Decreasing the speed decreases the size of the memory buffer required.


Statistics

Viewing File Statistics

Tools Menu

The Statistics dialog displays information about the selected sound file region. To display the dialog, choose Statistics from the Tools menu.

Item

Description

Cursor Position

The cursor position (in samples) from the start of the sound file.

Sample Value at Cursor

The number stored by a single sample:

  • In 32-bit (IEEE float) audio, these values range from -1.0000000 to 1.0000000.

  • In 24-bit audio, they range from -8388608 to 8388607.

  • In 16-bit audio, they range from -32768 to 32767.

  • In 8-bit audio, they range from -128 to 127.

The maximum allowed sample value is often referred to as 100% or 0 dB.

Maximum/Minimum Sample Position and Sample Value

The maximum and minimum sample values and the locations (in samples) where they occur.

These values can help you determine if any clipping occurs in the sound file. It can also be used to determine the noise level of a signal for use with the Noise Gate effect. For example, to find the noise amplitude, run the Statistics function on a region of noisy silence.

RMS Power

The Root Mean Square of the sample values relative to the RMS value of a maximum-amplitude square wave (the loudest possible recording).

When used on short intervals, this value relates to the volume level of the sound file. However, if used on a large selection with large volume variation, this value becomes less meaningful. For another way to measure loudness, use the Scan Levels button in the Normalize dialog.

Average Value (DC Offset)

The sum of all sample values in the selected region divided by the number of samples. If this value is not zero, this usually indicates that there is a DC offset in the recording process.

Zero Crossings

The number of times per second that the waveform changes from a negative value to a positive value.

This value can be used as a rough estimate of the frequency of the sound data for very simple waveforms.


DirectX Menu

Available only in Sound Forge

The DirectX menu is displayed whenever you have DirectX plug-ins installed on your computer. Additional DirectX menus will be created if the number of installed plug-ins becomes too great.

Consult the documentation of your plug-ins for information on their specific features.


Options Menu

Which command do you want to learn more about?

Status Format

Annotations

Play Meters

Time Display

Video

Scroll Playback

Scroll Smoothly

Drag and Drop Snapping

Lock Loop/Region Length

Paste Events

Selection Grid Lines

Auto Snap to Time

Auto Snap to Zero

MIDI Input/Sync Trigger

MIDI Output Sync

Pre-Queue for SMPTE/MTC

MIDI Triggers

Preferences


Choosing a Status Format

Options Menu

From the Options menu, choose Status Format and choose a setting from the submenu to specify the format Sound Forge will use to display the time ruler, cursor position, and selection. A check mark is displayed next to the selected format.

Right-click the time ruler and choose a format from the shortcut menu.

Option | Description
Samples | This option displays the time ruler in samples.
Time | This option displays the time ruler in hours:minutes:seconds.milliseconds.
Seconds | This option displays the time ruler in seconds.
Time & Frames | This option displays the time ruler in hours:minutes:seconds.frames with a frame rate of 15 frames per second.
Absolute Frames | This option displays the time ruler in total frames from the beginning of the project with a frame rate of 15 frames per second.
Measures & Beats | This option displays the time ruler in measures:beats.quarter-beats.
SMPTE Non-Drop | This option displays the time ruler in hours:minutes:seconds.frames with a frame rate of 30 frames per second.
SMPTE Drop | This option displays the time ruler in hours:minutes:seconds.frames with a frame rate of 30 frames per second with dropped frames.
SMPTE EBU | This option displays the time ruler in hours:minutes:seconds.frames with a frame rate of 25 frames per second for the European Broadcasting Union.
SMPTE Film Sync | This option displays the time ruler in hours:minutes:seconds.frames with a frame rate of 24 frames per second.


Displaying Annotations

Options Menu

From the Options menu, choose Annotations and choose a setting from the submenu to specify which items should be shown on the waveform display. A check mark is displayed next to the selected options.

Option | Description
Marker Names | This option displays marker names on the waveform display.
Marker Lines | This option displays dashed lines on the waveform display to help you locate the exact position of a marker.
Region Names | This option displays region names on the waveform display.
Region Lines | This option displays dashed lines on the waveform display to help you locate the beginning and end of a region.
Loop Names | This option displays loop names on the waveform display.
Loop Lines | This option displays dashed lines on the waveform display to help you locate the beginning and end of a loop.


Choosing Play Meter Display Options

Options Menu

From the Options menu, choose Play Meters and choose an option from the submenu to adjust play meter settings. A check mark is displayed next to the selected options.

To display the play meters, choose Play Meters from the View menu.

Right-click the play meters and choose an option from the shortut menu.

Option | Function
Reset Clip | This command resets the Clip indication at the top of the meters.
Resolution -24 to 0 dB -42 to 0 dB -60 to 0 dB -78 to 0 dB -90 to 0 dB | These commands allow you to select a display resolution from the submenu. Choosing a wide range allows you to see lower level signals at the expense of precision display at high levels.
Show Labels | This option toggles the meter level labels on and off.
Hold Peaks | When this command is selected, the highest peak levels are represented by a thin line on the meter.
Hold Valleys | When this command is selected, the lowest peak levels are represented by a thin line on the meter.
Always on Top | When this command is selected, the play meters will always be displayed above any other windows.


Choosing Time Display Options

Options Menu

From the Options menu, choose Time Display and choose an option from the submenu to adjust the Time Display window settings. A check mark is displayed next to the selected options.

To display the Time Display window, choose Time Display from the View menu.

Right-click the Time Display window and choose an option from the shortcut menu.

Option | Description
Position | This option will display the current cursor position in the time display window. The format of the display will depend on the Status Format setting.
Sync/Trigger Status | This option will display the Sync/Trigger Status in the Time Display window.
Playlist Position | This option will display the position of the cursor from the beginning of the playlist in the Time Display window. The format of the display will depend on the Status Format setting.
Passive Update | This option will reduce the overhead (processor time) needed to update the Time Display window. The smallest increments may not be exact, but the major time increments will be accurate. Selecting this option can prevent gapping during playback on slower computers.


Choosing Video Preview Options

Options Menu

From the Options menu, choose Video and choose a command from the submenu to adjust display settings for the Video Preview window and Video Strip.

To display the Video Preview window, choose Video Preview from the View menu. The Video Strip is displayed above the time ruler when you open an AVI file.

Right-click the Video Preview window or Video Strip and choose an option from the shortcut menu.

Option

Function

Copy Current Frame

Choose this command to copy the frame displayed in the Video Preview window to the clipboard.

White Background

Select an option to change the background color of the Video Preview window and Video Strip.

Black Background

Default Background

Animate Video Strip

Select this option to animate the Video Strip during playback. This feature is frame accurate, meaning that when you move the cursor, the correct frame corresponding to the cursor position will be displayed instead of the static overview frame.

When off, the video strip always shows the frame that corresponds to the left edge of each image in the video strip.

If you experience slow or stuttering video preview, turn off animated video to reduce the load on your central processing unit (CPU).

Number Frames

Select this option to display frame numbers in the bottom left-hand corner of the frames in the Video Strip.

Stretch to Window

Select this option to resize each frame to fit exactly into the Video Preview window. This mode is generally the slowest because resizing a frame by nonintegral fractions requires many calculations.

Integral Stretch

Select this option to resize each frame to fit the Video Preview window; frames are stretched only by integral amounts. This is usually the fastest mode.

Preserve Aspect

Select this option to resize each frame to fit the Video Preview window while maintaining the original aspect ratio (horizontal vs. vertical size) of the video.

External Monitor

Select this option to send video preview to an external video monitor. Your video card must support this feature in order to use it. If you're not using an external monitor, select the Disable scan for external monitor support check box on the Video tab in the Preferences dialog.

Passive Update

Select this option to reduce the overhead needed to update the Video Display window. The Video Display is updated when the processor is idle.

Selecting this option can prevent gapping during playback on slower computers.


Scrolling During Playback

Automatic Data Window Scrolling

F6

Options Menu

From the Options menu, choose Scroll Playback to enable automatic data window scrolling during playback. When the cursor moves off of the current window, it will quickly scroll to show another full window of data.

To enable smooth scrolling, select the Scroll Smoothly option.


Smooth Scrolling

Smooth Data Window Scrolling

Shift+F6

Options Menu

From the Options menu, choose Scroll Smoothly to change the behavior of auto-scrolling during playback.

When this option is selected, the cursor will slowly move back to the center of the display, and the wave data will scroll past it. This allows you to view upcoming data while the file is being played.


Drag-and-Drop Snapping

F8

Options Menu

From the Options menu, choose Drag and Drop Snapping if you want to snap to objects when dragging data to another window. When this option is selected, you can snap to major time ticks on the Time Ruler, markers and regions, video frames, or cursor positions.

Snap Point | Description
Cursor | Drag a selection over the cursor. While you're holding the mouse button, the beginning of the selection snaps to the cursor position.
Selection | Drag a selection over a selection in the target window. While you're holding the mouse button, the beginning of the selection snaps to the start or end points of the selection.
Start | Drag a selection past the beginning of the target window. While you're holding the mouse button, the beginning of the selection snaps to the start of the window.
End | Drag a selection past the end of the data area in the target window. While you're holding the mouse button, the beginning of the selection snaps to the end of the window.
Markers | Drag a selection over a marker in the target window. While you're holding the mouse button, the beginning of the selection snaps to the marker.
Region | Drag a selection over a region in the target window. While you're holding the mouse button, the beginning of the selection snaps to the start or end points of the region.
Time Ruler divisions | Drag a selection over the Time Ruler in the target window. While you're holding the mouse button, the beginning of the selection snaps to the labeled divisions on the Time Ruler.
Video Frames | Drag a selection over the Video Strip in the target window. While you're holding the mouse button, the beginning of the selection snaps to the start of the video frames.


Locking Loop and Region Lengths

Options Menu

From the Options menu, choose Lock Loop/Region Length to force the length of a region to remain constant when changing the start or end time of a region or loop.

When this option is not selected, you can hold the Shift key down while dragging Ruler Tabs to lock the length of a region or loop.


Pasting Events

Options Menu

From the Options menu, choose Paste Events if you want to transfer events such as regions and markers from the source to the destination sound files when pasting, mixing, or crossfading.

If you are pasting data into an application other than Sound Forge, these events may cause problems. If you hear clicks at the beginning or end of the data, you should disable this option.


Using Selection Grid Lines

Options Menu

From the Options menu, choose Selection Grid Lines to display grid lines that divide the selection into four equal parts. These lines make creating loops from existing material easier.


Snapping to Time

Snapping Selections to Time

Options Menu

From the Options menu, choose Auto Snap to Time to force the ends of selections to the nearest whole time division.


Automatically Snapping to Zero

Automatically Snapping Selections to Zero

Ctrl+B

Options Menu

From the Options menu, choose Auto Snap to Zero to the ends of selections to the nearest zero-crossing.

You can set zero-crossing snap to parameters on the Editing tab in the Preferences dialog.


Pre-Queuing Data for Synchronization

Options Menu

From the Options menu, choose Pre-Queue for SMPTE/MTC to make Sound Forge open the wave device and pre-load data from the next region to be played in the Playlist. Pre-queuing helps ensure that audio will begin playing the moment the designated SMPTE time is detected by Sound Forge when synchronizing to MIDI time code (MTC).

This option is suspended when any other audio command is used such as Play, Stop, or Record.


Changing Sound Forge Preferences

Options Menu

From the Options menu, choose Preferences to display the Preferences dialog. This dialog contains many options for customizing Sound Forge.

Which preferences do you want to learn more about?

General

Display

Editing

File

MIDI/Sync

Performance

Playlist

Previews

Status

Toolbars

Wave

Video

Other


Window Menu

Which command do you want to learn more about?

New Window

Cascade

Tile Horizontally

Tile Vertically

Arrange Icons

Minimize All

Restore All

Close All


New Window

Creating a New Window Quickly

Ctrl+Shift+N

Window Menu

From the Window menu, choose New to create a new data window that will be given a generic name. This command uses the sound parameters that were set when the New command in the File menu was last used.


Cascade Windows

Shift+F5

Window Menu

From the Window menu, choose Cascade Windows to arrange all open data windows so they overlap with the title bar of each window remaining visible.


Tile Windows Horizontally

Shift+F4

Window Menu

From the Window menu, choose Tile Horizontally to arrange all open data windows top to bottom with no overlapping.

This command affects only nonminimized windows.


Tile Windows Vertically

Window Menu

From the Window menu, choose Tile Vertically to arrange open data windows left to right with no overlapping.

This command affects only nonminimized windows.


Arrange Icons

Arrange Minimized Window Icons

Window Menu

From the Window menu, choose Arrange Icons to arrange the minimized data windows.


Minimize All Windows

Window Menu

From the Window menu, choose Minimize All to minimize all open data windows.


Restore All Windows

Restore All Minimized Windows

Window Menu

From the Window menu, choose Restore All to restore all minimized windows to their previous window size and position.


Close All Windows

Window Menu

From the Window menu, choose Close All to close all open windows.


Help Menu

The Help menu provides information about using Sound Forge and provides quick access to Sound Forge pages on Sonic Foundry's Web site.

Which command do you want to learn more about?

Sonic Foundry Sound Forge Help

Keyboard Shortcuts

Tip of the Day

Sonic Foundry on the Web

About Sound Forge


Contents and Index

Sonic Foundry Sound Forge Help

From the Help menu, choose Sonic Foundry Sound Forge Help to display the Sound Forge help file. Use the Contents, Index, and Search tabs to find the topic you're looking for.


Keyboard Shortcuts

From the Help menu, choose Keyboard Shortcuts to display the Keyboard Shortcuts topic of the Help file. Here you will find numerous shortcuts to speed up your work in Sound Forge.


Tip of the Day

From the Help menu, choose this command to display the Tip of the Day window. This window displays helpful tips to help you use Sound Forge.

The Tip of the Day message appears every time you start Sound Forge. You may turn this option off on the General Preferences tab.


Sonic Foundry on the Web

This submenu contains links to various pages on our Web site. The commands on this submenu are listed below.

Which command do you want to learn more about?

Latest Sound Forge Updates

This command starts your Web browser and opens the Updates page, where you can download updates to Sound Forge.

Product News

This command starts your Web browser and opens the News page. Here you will find announcements about new and existing products.

Online Support

This command starts your Web browser and opens the Online Support page. This page is devoted to bringing you useful information for troubleshooting any problems you might be experiencing with Sound Forge.

Sound Forge Home Page

This command starts your Web browser and opens the Sound Forge home page. Here you will find specific information about Sound Forge.

Sonic Foundry Home Page

This command starts your Web browser and opens the Sonic Foundry home page. All the latest news about Sonic Foundry can be found here.


About Sound Forge

From the Help menu, choose About Sound Forge to display information about Sound Forge, such as the software license owner, copyright and system information, program version and serial number.

While contacting Technical Support, click the Computer tab to quickly access your computer information.


Toolbars-Overview

Sound Forge Toolbars

The Sound Forge provides toolbars to help you find and use commands quickly. You can use the Toolbars tab in the Preferences dialog to specify which toolbars you want to display on the Sound Forge workspace.

What do you want to do?

Show or hide toolbars

  1. From the View menu, choose Toolbars to display the Toolbars tab in the Preferences dialog.

  2. Specify which toolbars you want to see:

  • Select the check box [image] for the toolbars you want to see.

  • Clear the check box for the toolbars you want to hide.

  3. Click the OK button.

Dock or float (undock) a toolbar

You can dock toolbars to the Sound Forge workspace or allow them to float freely over the Sound Forge window.

Docking a floating toolbar

  1. Click the toolbar's title bar and drag it to one of the borders of the workspace.

  2. When the toolbar's outline changes, release the mouse button to dock it to the mouse position.

You can click an empty area of a toolbar and drag it to move the toolbar to a new location.

Floating a docked toolbar

  1. Click an empty area of the docked toolbar and drag it to the center of the workspace.

  2. When the toolbar's outline changes, release the mouse to dock it to the mouse position.

Learn more about a specific toolbar

Standard

Transport

Navigation Available only in Sound Forge

Views Available only in Sound Forge

Status/Selection

Regions/Playlist Available only in Sound Forge

Process Available only in Sound Forge

Effects Available only in Sound Forge

Tools Available only in Sound Forge

Levels Available only in Sound Forge

The ACID Loop Creation Toolbar


The Standard Toolbar

The Stardard toolbar provides quick access to commonly used file and edit commands.

Button | Description
 | New: click to create a new window.
 | Open: click to open a sound file.
 | Save: click to save the current file.
 | Save As: click to save the current file with a new name or format.
 | Cut: click to remove the selected sound data and copy it to the clipboard.
 | Copy: click to copy the selected sound data to the clipboard.
 | Paste: click to insert a copy of the clipboard contents at the current insertion point.
 | Mix: click to mix a copy of the clipboard contents at the current insertion point.
 | Play Clipboard: click to play the contents of the clipboard.
 | Trim/Crop: click to remove all data from the sound file except the selected data.
 | Undo: click to reverse the last action performed.
 | Redo: click to reverse an undo operation.
 | Repeat: click to repeat the last performed operation.
 | Edit Tool: click to select the Edit tool. Use the Edit tool to select data.
 | Magnify Tool: click to select the Magnify tool. Use the Magnify tool to zoom in to a particular region without losing your selection.
 | Pencil Tool: click to select the Pencil tool. Use the Pencil tool to edit the waveform by drawing on it.


The Transport Toolbar

Use the Transport toolbar to perform playback and recording functions.

Button | Description
 | Record: click to display the Record dialog.
 | Play All: click to play the entire sound file from beginning to end, regardless of cursor position, selection, or playlist.
 | Play: click to play back the file in current playback mode ( Normal , Looped , or Sample mode).
 | Pause: click to pause playback and leave the cursor at its current position.
 | Stop: click to stop playback and return the cursor to its position prior to playback.
 | Go to Start: click to move the cursor to the beginning of the current file.
 | Rewind: click to move the cursor backward through the current file.
 | Forward: click to move the cursor forward through the current file.
 | Go to End: click to move the cursor to the end of the current file.


The Navigation Toolbar

Available only in Sound Forge

Use the Navigation toolbar to navigate the data window. Some of the operations included are zooming, marking, moving the cursor, and moving to relevant points.

Button | Description
 | Zoom in Full: click to maximize the horizontal magnification to one sample per pixel on the screen.
 | Zoom Normal: click to change the data window display to the default horizontal and vertical zoom ratios.
 | Zoom Selection: click to maximize the selected area in the data window.
 | Drop Marker: click to place a marker at the current cursor position.
 | Mark In: click to set the beginning of a selection at the current cursor position. The data between this point and the Mark Out position will be selected.
 | Mark Out: click to set the end of a selection at the current cursor position. The data between this point and the Mark In position will be selected.
 | Go To: click to display the Go To dialog.
 | Center Cursor: click to adjust the display so that the cursor appears in the center of the data window.
 | Cursor to Selection Start: click to move the cursor to the start of the current selection.
 | Cursor to Selection Start: click to move the cursor to the end of the current selection.
 | Center Sustaining Start: click to center the beginning of a sustaining loop in the data window.
 | Center Sustaining End: click to center the end of a sustaining loop in the data window.
 | Center Release Start: click to center the beginning of a release loop in the data window.
 | Center Release End: click to center the end of a release loop in the data window.


The Views Toolbar

Available only in Sound Forge

Use the Views toolbar to store and retrieve data window views. A saved View maintains the selection, cursor position, magnification, and position scroll bar placement.

Views are maintained only as long as a data window is open. If you want to save a view after closing a file, save a workspace file.

What do you want to do?

Save the current view

  1. Click the Set button [image] on the Views toolbar.

If the Views toolbar is not displayed, choose Toolbars from the View menu and select the Views check box.

  2. Click the numbered View button where you want to store the current view.

Press Ctrl + the number you want to store.

Recall a saved view

Click a numbered View button (or press a number on your keyboard) to recall a view.


The Status/Selection Toolbar

Use the Status/Selection toolbar to set the status format for display and to control selection snapping.

Button | Description
 | Samples: click to display the time ruler, cursor position, and selection in samples.
 | Time: click to display the time ruler, cursor position, and selection in hours:minutes:seconds.seconds.
 | Frames: click to display the time ruler, cursor position, and selection in frames.
 | SMPTE: click to display the time ruler, cursor position, and selection in SMPTE time code.
 | Measures and Beats: click to display the time ruler, cursor position, and selection in measures:beats.quarter-beats.
 | Auto-Snap to Zero: click to force the ends of a selection to the nearest zero-crossing.
 | Auto-Snap to Time: click to force the ends of selections to the nearest whole time division.


The Regions/Playlist Toolbar

Available only in Sound Forge

Use the Regions/Playlist toolbar to display and hide the Regions List and Playlist, control MIDI synchronization, and display synchronization status.

Button | Description
 | Regions List: click to display and hide the Regions List.
 | Playlist: click to display and hide the Playlist.
 | MIDI Input Sync/Trigger: click to enable or disable triggering from MIDI commands received through the MIDI input port.
 | MIDI Output Sync/Trigger: click to enable Sound Forge to send MIDI time code through the MIDI output port.
 | Pre-Queue for MTC/SMPTE: click to make Sound Forge open the wave device and pre-load data from the next region to be played in the Playlist. Pre-queuing helps ensure that audio will begin playing the moment the designated SMPTE time is detected by Sound Forge when synchronizing to MIDI time code (MTC).
 | Playlist Position: displays the total playback time starting at 00:00:00:000 (not the play cursor time) when playing from the Playlist.
 | Sync Status: displays incoming MIDI time code and trigger signals.


The Process Toolbar

Available only in Sound Forge

Use the Process toolbar to perform functions from the Process menu.

Button | Description
 | Auto Trim/Crop: click to display the Auto Trim/Crop dialog.
 | Channel Converter: click to display the Channel Converter dialog.
 | Dither: click to display the Dither dialog.
 | DC Offset: click to display the DC Offset dialog.
 | Graphic EQ: click to boost or attenuate selected frequency bands.
 | Paragraphic EQ: click to display the Paragraphic EQ dialog.
 | Parametric EQ: click to display the Parametric EQ dialog.
 | Graphic Fade: click to draw a fade envelope that will be applied across the current data selection.
 | Fade In: click to perform a linear fade from -Inf. to 0 dB.
 | Fade Out: click to perform a linear fade from 0 dB to -Inf.
 | Insert Silence: click to display the Insert Silence dialog.
 | Invert/Flip: click to reverse the polarity of the sound data.
 | Mute: click to set the volume of a selection to -Inf dB (silence).
 | Normalize: click to display the Normalize dialog.
 | Pan/Expand: click to display the Pan/Expand dialog.
 | Resample: click to display the Resample dialog.
 | Reverse: click to reverse the current selection.
 | Smooth/Enhance: click to display the Smooth/Enhance dialog.
 | Time Stretch: click to display the Time Stretch dialog.
 | Volume: click to change the volume of a sound file selection.


The Effects Toolbar

Available only in Sound Forge

Use the Effects toolbar to apply effects to a file.

Button | Description
 | Acoustic Mirror: click to use Acoustic Mirror.
 | Amplitude Modulation: click to apply a sinusoidal or square-shaped periodic gain to the input signal. The frequency of the gain waveform can be specified to create effects varying from a slow tremolo to unusual sound distortions.
 | Chorus: click to add a pitch-modulated and delayed version of the input signal to the unprocessed input signal. The effect simulates the variances in pitch and timing that occur naturally when two or more people try to play or sing the same thing at the same time.
 | Multi-Tap Delay: click to simulate multiple echoes, reverberation and other delay-related effects.
 | Simple Delay: click to add a delayed copy of the sound signal to a selection. A single delay or decaying multiple delays can be added before or after the sound signal.
 | Distortion: click to tailor the gain at all input levels of a signal. You can create effects ranging from dramatic to subtle distortion, simple compression, expansion, and noise gates.
 | Graphic Dynamics: click to affect the dynamic range of the selection by applying compression, expansion, and limiting.
 | Multi-Band Dynamics: click to apply compression and limiting to up to four different frequency bands.
 | Envelope: click to modify the amplitude of a waveform to match a specified envelope shape.
 | Flange/Wah-Wah: click to apply flanging, phasing, and wah-wah effects to a sound.
 | Gapper/Snipper: click to cut chunks from the sound file or insert silence in the selection periodically at a set frequency.
 | Noise Gate: click to remove signals below a set threshold.
 | Pitch Bend: click to draw an envelope that corresponds to increasing or decreasing the pitch of a selection over time.
 | Pitch Shift: click to change the pitch of a sound with or without preserving the duration of the selection.
 | Reverb: click to simulate various acoustic spaces. Reverb consists of early reflections, which are the first reflections that arrive back to your ear, and the reverb itself.
 | Vibrato: click to apply periodic pitch modulation to a selection.


The Tools Toolbar

Available only in Sound Forge

Use the Tools toolbar for quick access to the commands on the Tools menu.

Button | Description
 | Create CD: click to display the Create CD dialog.
 | Extract Audio From CD: Click to display the Extract Audio from CD dialog.
 | Auto-Region: click to display the Auto Region dialog.
 | Crossfade Loop: click to display the Crossfade Loop dialog.
 | Extract Regions: click to display the Extract Regions dialog.
 | Find: click to display the Find dialog.
 | Preset Manager: click to display the Preset Manager dialog.
 | Repair Channel: click to replace a selection with data from the other channel in a stereo file.
 | Repair Interpolate: click to interpolate a region of sound based on the data at the beginning and end of the region.
 | Repair Replace: click to replace a region of sound with previous sound data.
 | Sampler: click to display the Sampler dialog.
 | Spectrum Analysis: click to start Spectrum Analysis .
 | Statistics: click to display the Statistics dialog.
 | DTMF/MF Tone Synthesis: click to display the DTMF/MF Tones dialog.
 | FM Synthesis: click to display the FM Synthesis dialog.
 | Simple Synthesis: click to display the Simple Synthesis dialog.


The Levels Toolbar

Available only in Sound Forge

Use the Levels toolbar to display the left- and right-channel levels at the cursor in a variety of different formats. Right-click the toolbar and choose a format from the shortcut menu to specify a time format.

If you have a range of data selected, the toolbar will display the level at the active end of the selection; press the Home key to move the cursor to the beginning of the selection, or press End to move to the end of the selection.


The ACID Loop Creation Toolbar

Use the ACID Loop Creation toolbar to edit looping audio.

Button | Description
 | Edit ACID Properties: click to display the Edit ACID Properties dialog.
 | Edit Tempo: click to display the Edit Tempo dialog.
 | Double Selection: click to double the current selection.
 | Halve Selection: click to reduce the current selection by half.
 | Shift Selection Left: click to move the current selection left by the length of the selection.
 | Shift Selection Right: click to move the current selection right by the length of the selection.
 | Rotate Audio: click to change the feel of a given loop.
 | Selection Grid Lines: click to display grid lines that divide the selection into four equal parts.
 | Tempo: the box at the right edge of the toolbar displays the tempo of the current selection.


The Status Bar

The Status Bar is displayed across the bottom of the Sound Forge window.

What do you want to do?

Edit the sample rate, bit-depth, or channels

Right-click the Sample Rate, Bit-Depth, or Channels box and choose a setting from the shortcut menu, or double-click a box to display the Format tab on the Properties dialog.

Change the status display format

Right click the Total Length box and choose a format from the shortcut menu.


Data Windows

Each sound file is opened in a data window. Each data window shows you a graphical representation of the waveform and other information about the file.

Which item do you want to learn about?

Title Bar

Displays the sound file's title. If no title is specified on the Summary tab of the Properties dialog, the file name will be displayed.

Double-click to maximize and restore the window.

Overview Bar

Allows for quick navigation and playback of any part of the file:

  • The bracketed region [image] represents the portion of the waveform shown in the waveform display, as well as the selected region.

  • Left-click to move the cursor.

  • Double-click to center the cursor in the waveform display.

  • Right-click to start playback or pause.

  • Left-click and drag to activate the Audio Event Locator. Similar to a scrub control, playback follows mouse movement and loops when the mouse is still. Releasing the mouse stops playback and centers the cursor on the last start position in the waveform display.

Time Ruler

Shows the current location in the data window as well as ruler tags.

  • Right-click to display the Time Ruler shortcut menu.

  • Drag to scroll the data window.

Edit Tool Selector

Click to toggle through the Edit, Magnify, and Pencil tools.

The Pencil tool is available only at magnification levels between 1:1 and 1:16.

Level Ruler

Shows the amplitude of the waveform.

  • Right-click to reach the Level Ruler shortcut menu.

  • Drag to shift the view up or down when zoomed in vertically.

Level Zoom

To zoom in and out vertically by small increments, click the Level Zoom In/Out buttons, or click and drag the area between the buttons to zoom quickly.

Playbar

Use the Playbar transport buttons to control playback:

Button | Description
 | Go to Start
 | Go to End
 | Stop
 | Play Normal
 | Play Looped
 | Play as Sample/Cutlist

Position Scroll Bar

Within the scroll bar, the box represents the portion of the waveform shown in the waveform display. Drag to scroll the sound file forward and backward in time to see parts of the file not currently visible in the waveform display.

Selection Status Bar

Shows the beginning, end, and length of a selection. If no selection has been made, only the cursor position is displayed:

  • Double-click the Selection Length box to display the Go To dialog.

  • Double-click the Selection Left or Selection Right box to display the Set Selection dialog.

  • Right-click to display the Status Format shortcut menu.

Time Zoom Resolution

Indicates the number of samples of data represented by each point on the screen horizontally. This determines the length of time shown in the waveform display. With a small resolution value (1:1, 1:2, 1:4, ...), a shorter length of time is displayed.

OLE Drag Source

Drag from this section of the data window into another application that supports Object Linking and Embedding (OLE) to link the sound file to other documents.

Maximixe Width

Click to stretch the width of the data window to fit within the Sound Forge workspace.

Time Zoom

To zoom in and out horizontally by small increments, click the Time Zoom In/Out buttons, or click and drag the area between the buttons to zoom quickly.


Shortcuts

The following sections contain a comprehensive list of the shortcuts available in Sound Forge:

Which shortcuts do you want to learn more about?

Keyboard shortcuts

Shortcut menus

Other shortcuts


Keyboard Shortcuts

Which shortcuts do you want to learn more about?

General keyboard shortcuts

Waveform display keyboard shortcuts

Regions list and playlist keyboard shortcuts


General Keyboard Shortcuts

What do you want to learn more about?

File commands

Command | Keyboard Shortcut
Create a new data window. | Ctrl+N
Open a sound file into a new data window. | Ctrl+O
Save modified sound data back to the file. | Ctrl+S
Close the active data window. | Ctrl+W
Exit Sound Forge. | Alt+F4

Data window management commands

Command | Keyboard Shortcut
Set input focus to the waveform display in the active window. | Alt+0
Set input focus to the Regions List. The following shortcut keys (Alt+1 through Alt+7) set input focus only. If the interface element is not visible, the shortcut key will display the element and bring it into focus, but will not hide the element if pressed again. | Alt+1
Set input focus to the Playlist/Cutlist. | Alt+2
Set input focus to the MIDI Keyboard window. | Alt+3
Set focus to the Time Display window. | Alt+4
Set focus to the Video Preview window. | Alt+5
Set focus to the Play Meter window. | Alt+6
Set input focus to the Undo/Redo History window. | Alt+7
Restore the Sound Forge application window. | Alt+F5
Maximize the Sound Forge application window. | Alt+F10
Restore the active data window. | Ctrl+F5
Go to the next data window. | Ctrl+F6
Maximize the active data window. | Ctrl+F10
Go to the previous data window. | Ctrl+Shift+F6
Tile the data windows vertically. | Shift+F4
Cascade the data windows. | Shift+F5

Edit commands

Command | Keyboard Shortcut
Select all data in the active window. | Ctrl+A
Copy the selected data onto the clipboard. | Ctrl+C
Paste the clipboard contents into a new data window. | Ctrl+E
Crossfade data from the clipboard with the active window. | Ctrl+F
Preview Cut or Clear in the active window. | Ctrl+K
Play to cursor with pre-roll. | Ctrl+Shift+K
Mix data from the clipboard with the active window. | Ctrl+M
Trim (crop) to the current selection. | Ctrl+T
Toggle Undo buffer creation for the active window. | Ctrl+U
Paste data from the clipboard into the active window. | Ctrl+V
Move (cut) the selected data onto the clipboard. | Ctrl+X
Repeat last process, effect or tool. | Ctrl+Y
Undo the last action. | Ctrl+Z
Redo the last undone action. | Ctrl+Shift+Z
Clear (delete) the selected data; nothing will be placed on the clipboard. | Delete

ACID loop creation tools

Command | Keyboard Shortcut
Shift current selection to the left by the length of the selection. | <
Shift current selection to the right by the length of the selection. | >
Cut the current selection length in half. | ;
Double the current selection length. | ‘
Rotate audio. | :

View, option and special commands

Command | Keyboard Shortcut
Toggle current selection on and off. | S
Toggle Auto Snap to Zero on and off for the active data window. | Ctrl+B
Maximize the width of the active data window. | Ctrl+Enter
Show the Set Selection dialog. | Ctrl+D
Show the Go To dialog. | Ctrl+G
Show the Loop Tuner for the active data window. | Ctrl+L
Record new data into a data window. | Ctrl+R
Stop or cancel the current action (including playback). | Esc
Open the Sound Forge Help file. | F1
Make the menu bar active. | F10
Display a shortcut menu. | Shift+F10
Toggle playback scrolling on and off. | F6
Toggle smooth playback scrolling on and off. | Shift+F6
Toggle Drag and Drop Snapping on and off. | F8
Turn on MIDI Input Sync/Trigger. | F7
Turn on MIDI Output Sync. | Shift+F7


Waveform Display Keyboard Shortcuts

What do you want to learn more about?

Cursor movement

Command | Keyboard Shortcut
Move one pixel right. | Right Arrow
Move one pixel left. | Left Arrow
Go to the last sample visible in the waveform display. | End
Go to the first sample visible in the waveform display. | Home
Go to the last sample in the data window. | Control+End
Go to the first sample in the data window. | Control+Home
Move 10% of the current view prior to the cursor position. | Page Up
Move 10% of the current view past the cursor position. | Page Down
Move 100% of the current view prior to the cursor position. | Ctrl+PageUp
Move 100% of the current view past the cursor position. | Ctrl+Page Down
Move 10 pixels past the cursor position. | Control+Right Arrow
Go to the next region, loop or marker boundary (if regions, loops, or markers exist in the file).
Move 10 pixels prior to the cursor position. | Control+Left Arrow
Go to the previous region, loop or marker boundary (if regions, loops, or markers exist in the file).
Center the cursor in the waveform display. | \ or .
Go to the next sample. | Numpad +
Go to the previous sample. | Numpad -
Move 10 samples past the current cursor | Control+Numpad +
Move 10 samples prior to the current cursor. | Control+Numpad -

Selecting data

Command | Keyboard Shortcut
Select from the cursor to the next screen pixel. | Shift+Right Arrow
Select from the cursor to the previous screen pixel. | Shift+Left Arrow
Select from the cursor to the last sample visible in the waveform display. | Shift+End
Select from the cursor to the first sample visible in the waveform display. | Shift+Home
Select from the cursor to the last sample in the data window. | Control+Shift+End
Select from the cursor to the first sample in the data window. | Control+Shift+Home
Select from the cursor to 10% of the current view prior to the cursor position. | Shift+Page Up
Select from the cursor to 10% of the current view past the cursor position. | Shift+Page Down
Select 100% of the current view prior to the cursor position. | Shift+Ctrl+PageUp
Select 100% of the current view past the cursor position. | Shift+Ctrl+Page Down
Select 10 pixels past the cursor position. | Control+Shift+Right Arrow
Select from the cursor to the next region, loop or marker boundary (if regions, loops, or markers exist in the file).
Select 10 pixels prior to the cursor position. | Control+Shift+Left Arrow
Select from the cursor to the previous region, loop or marker boundary (if regions, loops, or markers exist in the file).
Select from the cursor to the next sample. This shortcut will not work in Windows 98 or Me unless Num Lock is turned off. | Shift+Numpad +
Select from the cursor to the previous sample. This shortcut will not work in Windows 98 or Me unless Num Lock is turned off. | Shift+Numpad -
Select 10 samples past the current cursor. This shortcut will not work in Windows 98 or Me unless Num Lock is turned off. | Shift+Control+Numpad +
Select 10 samples prior to the current cursor. This shortcut will not work in Windows 98 or Me unless Num Lock is turned off. | Shift+Control+Numpad -
Switch the selection to the left channel, right channel, or both channels. | Tab/Shift+Tab

Navigation and playback

Command | Keyboard Shortcut
Save a view in cell <Number> where <Number> ranges from 1 to 8. | Ctrl+<Number>
Restore a view using cell <Number> where <Number> ranges from 1 to 8. | <Number>
Increase time magnification (zoom in closer to data). | Up Arrow
Decrease time magnification (zoom out farther from data). | Down Arrow
Increase level magnification. | Shift+Up Arrow
Decrease level magnification. | Shift+Down Arrow
Zoom to selection if a selection exists; otherwise Zoom In Full. | Ctrl+Up Arrow
Zoom Normal (zooms to default zoom ratio set in Preferences) | Ctrl+Down Arrow
Pan data window up if zoomed in vertically. | Ctrl+Shift+Up Arrow
Pan data window down if zoomed in vertically. | Ctrl+Shift+Down Arrow
Switch cursor to opposite end of selection. | Ctrl+Numpad 5
Set Mark In at the current cursor position. | [ or I
Set Mark Out at the current cursor position. | ] or O
Place a marker at the current cursor position. | M
Play or Stop the contents of the data window in default mode. | Spacebar
Play All or Pause. | Shift+Spacebar
Switch play mode through Normal, Looped, and Play as Sample modes. | Ctrl+Spacebar
Pause playback and leave the cursor at the current position. | Enter
Stop playback. | Esc
Preview cut (skip selection on playback with pre-roll). | Ctrl+K
Play to cursor with pre-roll. | Ctrl+Shift+K


Regions List and Playlist Keyboard Shortcuts

What do you want to learn more about?

Regions list

Command | Keyboard Shortcut
Play or stop the active marker or region. | Spacebar
Edit the active marker or region. | Enter
Delete the active marker or region. | Delete
Cycle through the Regions List display formats. | ` (grave accent)
Create region from the current selection. | R
Create region without displaying dialog. | Shift+R
Create loop from the current selection. | L
Create loop without displaying dialog. | Shift+L

Playlist

Command | Keyboard Shortcut
Play or stop from the active Playlist entry. | Spacebar
Edit the active Playlist entry. | Enter
Delete the active Playlist entry. | Delete
Add one to the active Playlist entry play count. | + (plus sign)
Subtract one from the active Playlist entry play count. | - (minus sign)
Add or remove a Stop Point on the active Playlist entry. | * (asterisk)
Toggle pre-roll on and off for the Playlist. | / (forward slash)
Cycle through the Playlist display formats. | ` (grave accent)


Shortcut Menus

Sound Forge is filled with context-sensitive shortcut menus that you can display by right-clicking almost anywhere in the Sound Forge window. These menus are listed below, organized by the area in which they appear.

Which menu do you want to learn more about?

Sound Forge d esktop shortcut menu

Waveform display shortcut menu

Playbar selection status shortcut menu

Regions list shortcut m enu

Playlist shortcut m enu

Time ruler shortcut menu

Display properties shortcut menu

Level ruler shortcut menu

Level toolbar shortcut menu

Marker ta g shortcut menu

Region tag shortcut menu

Loop tag shortcut menu

Status bar shortcut menus

Keyboard MIDI out shortcut menu

Play meters shortcut menu

Preview configuration shortcut menu

Record dialog shortcut menu

Time display shortcut menu

Undo/Redo history shortcut menu

Video strip shortcut menu

Video preview shortcut menu


Sound Forge Desktop Shortcut Menu

This shortcut menu is displayed when you right-click on the Sound Forge desktop workspace. The commands on this menu are listed below.

Command | Function
Recent Files | Choose Recent Files from the shortcut menu and choose a file from the submenu to quickly open a recently used file.
Arrange | If more than one window is open, choose Arrange from the shortcut menu and use the submenu to determine how the windows should be displayed.
New | Opens a new Sound Forge window. The New Window dialog is displayed.
Open | Displays the Open dialog box.
Record | Displays the Record dialog box.
Paste to New | If any data is on the Sound Forge clipboard, choose Paste to New to create a new window using the data.
Save All | Saves all the currently open files. You will be prompted for each unsaved file. If you hold the Shift key down when selecting this command, no prompts will be displayed.
Close All | Closes all open files. You will be prompted for each unsaved file.
Preferences | Displays the Preferences dialog box.


Waveform Display Shortcut Menu

This shortcut menu is displayed when you right-click on the waveform display in a Sound Forge window. The commands on this menu are listed below.

Command

Function

Zoom In Full

Maximizes the horizontal magnification to one sample per pixel on the screen. When you zoom in fully, the entire waveform display length will span a very small amount of time, usually around 20 milliseconds (depending on the sample rate and window size).

Zoom Out Full

Zooms out to the lowest magnification so that the entire sound file will fit on the screen.

Zoom Normal

Zooms out to the default zoom ratio preference setting. If the entire sound file can fit in the window at a closer magnification, zoom normal will only zoom out to that ratio.

To change default Normal zoom ratio, go to the Display tab in the Preferences dialog.

Zoom Selection

If any data is selected in the active window, choose Zoom Selection to redraw the data at the maximum zoom factor for the current window size.

Cut

Removes the selected data and places it onto the clipboard.

Copy

Copies the selected data and places it onto the clipboard.

Overwrite

Replaces a selection of sound data with the contents of the clipboard.

The Overwrite command replaces data using the following rules:

  • If the selected area is greater than the length of the clipboard, the data from the beginning of the selection is overwritten for the length of the clipboard.

  • If the selected area is less than or equal to the length of the clipboard, the data within the selection is overwritten with the clipboard for the length of the selection.

Trim/Crop

Removes all data from the sound file except the selected data.

The Trim/Crop command does not copy data onto the clipboard.

Cursor

Choose a command from the submenu to move the cursor.

Selection

If no data is selected, choose Selection to display the Set Selection dialog.

If data is selected, choose Selection and choose a command from the submenu to modify the current selection.

Scroll Playback

Choose Scroll Playback if you want the data window to scroll automatically during playback. When the cursor moves off of the current window, it will quickly scroll to show another full window of data.

Properties

Displays the Properties dialog, which lists attributes and information that is embedded in the currently active sound file.


Playbar Selection Status Shortcut Menu

This shortcut menu is displayed when you right-click on the playbar selection boxes in a Sound Forge window:

The commands on this menu are listed below.

Command | Function
Samples | Choose a display format from the shortcut menu to change the display scale of the selection boxes. For more information about display formats click here.
Time
Seconds
Time and Frames
Absolute Frames
Measures and Beats
SMPTE Non-Drop
SMPTE Drop
SMPTE EBU
SMPTE Film Sync


Regions List Shortcut Menu

This shortcut menu is displayed when you right-click on the Regions List. The commands on this menu are listed below.

To display the Regions List, choose Regions List from the View menu or press Alt+1.

Command

Function

Add

Adds a selection to the Regions List. The Add Marker/Region dialog is displayed.

Delete

Deletes the selected region.

Edit

Modifies a region. The Edit Marker/Region dialog is displayed.

Replicate

Copies the selected region.

Split

Divides a region into two separate regions. This split will occur at the cursor position and will split the region in which the cursor lies.

Update

Modifies the current marker/region location in the Regions List to correspond with the current cursor selection in the data window.

Markers to Regions

Converts all of the markers in the Region List into regions using the data between each consecutive marker as the region boundary.

Open

Imports another region file into the current sound file. This option offers the flexibility of having multiple Region Lists for the same sound file.

Opening a new region List will clear the present one. Make sure you have saved the current Region List before continuing.

Save As

Saves the current regions to an external file. This allows you to create multiple Region Lists for a single sound file.

Copy Onto Clipboard

Copies the text of the Regions List onto the clipboard for use with a text editor.

You can use the Copy Onto Clipboard command to make a hard copy of the Regions List.


Playlist Shortcut Menu

Playlist/Cutlist Shortcut Menu

Available only in Sound Forge

This shortcut menu is displayed when you right-click on the Playlist/Cutlist. The commands on this menu are listed below.

To display the Playlist/Cutlist, choose Playlist/Cutlist from the View menu or press Alt+2.

Command

Function

Add

Adds a region to the Playlist.

Delete

Deletes the selected region.

Edit

Modifies a region in the Playlist. The Edit Playlist dialog is displayed.

Replicate

Makes a copy of the selected region.

Stop Point

Designates the current region as a stop point in the Playlist. When the Playlist is invoked, it will continue to play through the regions until it finds a stop point. The Playlist will continue to play only after it is invoked again.

Stop points are useful when triggering play from incoming MIDI or time code and you only want certain sections of the playlist to be played at a time.

Pre-roll Playback

Starts playback at a specified time prior to the selected start point in the Playlist. The amount of pre-roll time can also be set in the Playlist tab of the Preferences dialog or in the Edit Playlist dialog.

Enabling pre-roll allows you to hear the transition between the two regions.

Open

Imports another playlist file into the current sound file. This option offers the flexibility of having multiple playlists for the same sound file.

Opening a new playlist will clear the present one. Make sure you have saved the current playlist before continuing.

Save As

Saves the current playlist to an external file. This allows you to create multiple playlists for a single sound file.

Copy Onto Clipboard

Copies the text of the Playlist onto the clipboard for use with a text editor.

You can use the Copy Onto Clipboard command to make a hard copy of the Playlist.

Convert to New

Creates a new sound file that contains the regions arranged sequentially as specified in the Playlist.

Treat as Cutlist

Displays the Cutlist window. Regions in the Cutlist will be skipped during playback when you use the Cutlist playback button.

Delete Cut Regions

Removes cutlist regions from your file.


Time Ruler Shortcut Menu

This shortcut menu is displayed when you right-click on the time ruler in a Sound Forge window. The commands on this menu are listed below.

Command | Function
Add Marker/Region | Choose Add Marker/Region to display the Add Marker/Region dialog.
Add ASF Command | Choose Add ASF Command to insert a new marker into the file that is pre-formatted for an ASF command. The default command text is for a URL flip. Any other command can be inserted into the text field.
Edit Sample | Choose Edit Sample to display the Edit Sample dialog.
Samples | Choose a display format from the shortcut menu to change the display scale of the selection boxes.
Time
Seconds
Time and Frames
Absolute Frames
Measures and Beats
SMPTE Non-Drop
SMPTE Drop
SMPTE EBU
SMPTE Film Sync


Display Properties Shortcut Menu

This shortcut menu is displayed when you right-click on the tool selector [image] at the upper left-hand corner of a data window.

The commands on this menu are listed below.

Command

Function

Status

Choose Status Bar to toggle the display of the transport controls and status information at the bottom of a data window:

Time Ruler

Choose Time Ruler to turn off the time ruler and tool selector at the top of a data window.

If you turn off the time ruler, the Display Properties shortcut menu is unavailable. To turn the time ruler on again, choose Properties from the File menu. Choose the Display tab and select the Time Ruler check box.

Time Zoom

Choose Time Zoom to toggle the display of the time zoom ratio and controls:

Overview

Choose Overview to toggle the display of the overview window directly underneath the title bar. The overview represents the length of the entire sound file, as if you were completely zoomed out. From the overview, you can determine what section of the entire sound file is being displayed, the selection made, and the cursor location.

Video

Choose Video to toggle the display of the video strip above the title bar. The video strip is displayed only for AVI files.

Level Ruler

Choose Level Ruler to turn off the level ruler and tool selector at the left edge of a Sound Forge window.

If you turn off the level ruler, the display properties shortcut menu is unavailable. To turn the level ruler on again, choose Properties from the File menu. Choose the Display tab and select the Level Ruler check box.

Level Zoom

Choose Level Zoom to toggle the display of the level zoom controls:

Scrollbar

Choose Scrollbar to toggle the display of the scrollbar below the waveform display. Turning off the scrollbar also removes time and level zoom controls.

Data Window Only

Choose Data Window Only to display only the waveform.

To turn off Data Window Only display, choose Properties from the File menu. Choose the Display tab and clear the Data Window Only check box.


Level Ruler Shortcut Menu

This shortcut menu is displayed when you right-click the level ruler in a Sound Forge window. The commands on this menu are listed below.

Command | Function
Zoom Out Full | Changes the magnification of the window so the full amplitude range is displayed and the waveform is centered.
Zoom Window | Zooms in or out vertically to the maximum ratio that allows you to view the entire waveform on the waveform display. Zoom Window also moves the centerline if the maximum positive and negative peaks are different.
Zoom Selection | Maximizes a selected area vertically and horizontally.
Label in Percent | Changes the scale of the level ruler to display -100% to 100%.
Label in dB | Changes the scale of the level ruler to display in decibels.


Level Toolbar Shortcut Menu

This shortcut menu is displayed when you right-click the level toolbar. The commands on this menu are listed below.

Command

Function

Integer

Displays the right- and left-channel levels at the cursor position as an integer. The range is from -8388608 to 8388607 in 24 bit audio, -32768 to 32767 in 16-bit audio and -128 and 127 in 8-bit audio.

Percent

Displays the right- and left-channel levels at the cursor position as a percentage. The range is from -100 to 100 percent.

dB

Displays the right- and left-channel levels at the cursor position in decibels. A value of 0 dB corresponds to maximum absolute amplitude and negative infinity (-Inf.) corresponds to complete silence. In 16-bit audio, -90.3 dB is the lowest possible dB value (sample value of 1).

Peak

Displays the peak sample value in the vicinity of the cursor as a dB value.

Sound Forge scans 50 milliseconds by default. To change the scan time, choose Preferences from the Options menu. Next, choose the Status tab and edit the value in the Peak level scan time box.

RMS Power

Displays the Root Mean Square (RMS) of the sample values in the vicinity of the cursor as a dB value. RMS is a more accurate measurement of loudness than the peak value.

Notes:

  • Sound Forge scans 50 milliseconds by default. To change the scan time, choose Preferences from the Options menu. Next, choose the Status tab and edit the value in the RMS level scan time box.

  • The maximum value of 0 dB is only achieved by a square wave (or DC offset) of maximum amplitude. A maximum amplitude sine wave reaches only -3 dB. Values below -96 dB can be achieved by combination of silence and very low levels, and only complete silence will register negative infinity.


Marker Tag Shortcut Menu

This shortcut menu is displayed when you right-click a marker tag [image] in the time ruler. The commands on this menu are listed below.

Command | Function
Go To | Moves the cursor to the selected marker position.
Delete | Removes the selected marker.
Edit | Displays the Marker/Region dialog for the selected marker.
Update | Moves the selected marker to the current cursor position.


Region Tag Shortcut Menu

This shortcut menu is displayed when you right-click a region tag [image] in the time ruler. The commands on this menu are listed below.

Command | Function
Select | Selects the area between the region end points.
Delete | Removes the selected region.
Edit | This command displays the Marker/Region dialog for the selected region.
Split | Splits the region at the current cursor position.
Update | Moves the region end points to match the current selection.


Loop Tag Shortcut Menu

This shortcut menu is displayed when you right-click a loop tag [image] in the time ruler. The commands on this menu are listed below.

Command | Function
Select | Selects the area between the loop end points.
Delete | Removes the selected loop region.
Edit | Displays the Edit Sample dialog for the selected loop region.
Update | Moves the loop tags to match the current selection.


Status Bar Shortcut Menu

This shortcut menu is displayed when you right-click on the status bar boxes at the bottom of the main Sound Forge window:

The commands on this menu are listed below.

Command

Function

Sample Rate

Right-click the Sample Rate box and choose a new playback rate from the shortcut menu. If the file does not match the specified sample rate, the audio will sound faster or slower than normal.

Bit-Depth

Right-click the Bit-Depth box and choose a new size from the shortcut menu.

Notes:

Sound Forge does not perform any dithering when you set the bit-depth from the status bar. The new bit-depth is used for playback only until you save your file. If you need to dither your file, use the Dither command.

If a file is opened in Direct mode, you cannot increase the file's bit-depth using this shortcut menu. Use the Save As command to increase the bit-depth.

Channels

Right-click the Channels box and choose Mono or Stereo from the shortcut menu.

When you choose Stereo and are using a mono file, Sound Forge will prompt you to specify the channels for the resulting stereo file:

  • Left Channel: Sends your audio to the left channel only (the right channel is left empty).

  • Right Channel: Sends your audio to the right channel only (the left channel is left empty).
  • Both Channels: Sends your audio to both channels.

When you choose Mono and are using a stereo file, Sound Forge will prompt you to specify which channels you want to include in the resulting mono file:

  • Left Channel: Only audio from the left channel is preserved.

  • Right Channel: Only audio from the right channel is preserved.
  • Mix Channels: Merges both channels into a mono file.

Total Length

Right-click the Total Length box and choose a display format.


Keyboard MIDI Out Shortcut Menu

Available only in Sound Forge

This shortcut menu is displayed when you right- or left-click the MIDI Out button on the MIDI Keyboard. It allows you to set the device to which the MIDI Keyboard will transmit.


Play Meters Shortcut Menu

Available only in Sound Forge

This shortcut menu is displayed when you right-click on the play meters. The commands on this menu are listed below.

Command | Function
Reset Clip | Resets the Clip indication at the top of the meters.
Resolution -24 to 0 dB -42 to 0 dB -60 to 0 dB -78 to 0 dB -90 to 0 dB | Select a display resolution from the submenu. Choosing a wide range allows you to see low-level signals at the expense of precision display at high levels.
Show Labels | Toggles the meter level labels on and off.
Hold Peaks | When selected, the highest peak levels are represented by a thin line on the meter.
Hold Valleys | When selected, the lowest peak levels are represented by a thin line on the meter.
Always on Top | When selected, the play meters will always be displayed above any other windows.


Preview Configuration Shortcut Menu

This shortcut menu is displayed when you right-click in a blank area of any dialog that has preview capabilities.

Command

Function

Pre-Roll

When selected, sound data preceding the current selection is played before the previewed data.

To change the amount of pre-roll, choose Preferences from the Options menu and choose the Previews tab. Select the Pre-roll check box and enter a new value in the edit box.

Post-Roll

When selected, sound data following the current selection is played after the previewed data.

To change the amount of post-roll, choose Preferences from the Options menu and choose the Previews tab. Select the Post-roll check box and enter a new value in the edit box.

Left

When selected, only the left channel will be processed when using a stereo sound file.

Right

When selected, only the right channel will be processed when using a stereo sound file.

Both

When selected, both channels will be processed when using a stereo sound file.

Select All Data

Selects all data in the current file.

Reset All

Resets all of the dialog’s parameters to their default values.

Save Current

Saves the current dialog settings to a new preset.

Configuration

Displays the Preview Configuration dialog when using non-DirectX plug-ins or non-real time preview. Displays the Real-Time Preview Configuration dialog when using real-time preview of DirectX plug-ins.


Record Dialog Shortcut Menu

This shortcut menu is displayed when you right-click anywhere in the Record dialog. The commands on this menu are listed below.

What do you want to learn more about?

Record meters

Command | Function
Reset Clip | Resets the Clip indication at the top of the meters.
Meter Range -24 to 0 dB -42 to 0 dB -60 to 0 dB -78 to 0 dB -90 to 0 dB | Select a display resolution from the submenu. Choosing a wide range allows you to see lower level signals at the expense of precision display at high levels.
Show Labels | Toggles the meter level labels on and off.
Hold Peaks | When selected, the highest peak levels are represented by a thin line on the meter.
Hold Valleys | When selected, the lowest peak levels are represented by a thin line on the meter.
Aggressive Update | When selected, Sound Forge will give more priority to the updating of the meters. This results in more accurate metering, but increases the overhead on the computer’s CPU.

Gap detection

This option determines what action to take if a gap is detected while recording.

Sound Forge detects most gaps by noticing when it is not able to save wave data as fast as the record device produces it. However, it is still possible for very short gaps to occur because of conflicts between drivers.

Command | Function
Ignore | When selected, gaps during the recording process will be ignored.
Mark | When selected, Sound Forge will insert markers to identify gaps during the recording process.
Stop | When selected, gaps during the recording process will cause recording to stop.

Blinking status

This command enables the blinking record status underneath the record meters.

Automatic labeling

This command opens the Automatic Labeling dialog. From here you can set up user options for how to name new record windows and takes. The items on the Automatic Labeling dialog are explained below.

Item

Description

New window title prefix

Specify the prefix you want to assign to new windows created when you click the New button or choose Create a new window for each take from the Mode drop-down list on the Record dialog.

New window names begin with this prefix and are automatically numbered.

Custom counter start value

Select this check box and specify the number you want to use to start automatic numbering of new windows created by recording.

Insert leading zeros in field width of

Select this check box and specify a field width if you want to use leading zeros in window names.

For example, if you specify a field width of 3, windows numbered 1 to 99 would be named [Prefix]001 to [Prefix]099.

New take (region) prefix

Specify the prefix you want to assign to new regions created when you choose Multiple takes creating Regions from the Mode drop-down list on the Record dialog.

New region names begin with this prefix and are automatically numbered.

Custom counter start value

Select this check box and specify the number you want to use to start automatic numbering of new regions created by recording.

Insert leading zeros in field width of

Select this check box and specify a field width if you want to use leading zeros in region names.

For example, if you specify a field width of 3, regions numbered 1 to 99 would be named [Prefix]001 to [Prefix]099.


Time Display Shortcut Menu

This shortcut menu is displayed when you right-click the Time Display window. It allows you to set the display format for the Time Display.

Command | Function
Position | When selected, the Time Display window displays the position of the edit or play cursor.
Sync/Trigger Status | When selected, the Time Display window displays incoming MIDI time code and trigger signals. The current MIDI Input port is set on the MIDI/Sync page of the Preferences dialog.
Playlist Position | When selected, the Time Display window displays the total playback time starting at 00:00:00:000 (not the play cursor time) when playing from the Playlist.
Passive Update | When selected, the Time Display status will only be displayed when the processor is idle. Use this when using a slow computer to prevent the audio from glitching.


Undo/Redo History Shortcut Menu

Available only in Sound Forge

This shortcut menu is displayed when you right-click in the Undo/Redo History window. The commands on this menu are listed below.

Command | Function
Clear | Clears all of the entries in the Undo/Redo History list for the current file. You will not be able undo or redo any previous changes after this operation.
Clear All | Clears all of the entries in the Undo/Redo History lists of all open files. You will not be able undo or redo any previous changes after this operation.


Video Strip Shortcut Menu

This shortcut menu is displayed when you right-click in the Video Strip. The commands on this menu are listed below.

Command | Function
Copy | Copies the selected frame to the clipboard as a bitmap.
Go To | Moves the cursor to the beginning of the frame.
Animate | When this command is enabled, the video strip will be animated during playback. When the command is not selected, still frames will be displayed.
Number Frames | Displays the frame number on each frame.


Video Preview Shortcut Menu

This shortcut menu is displayed when you right-click the Video Preview window. The commands on this menu are listed below.

Command | Function
Copy | Copies the current frame to the clipboard as a bitmap.
White Background | Displays the backgrounds of the Video Preview window and Video Strip in white.
Black Background | Displays the backgrounds of the Video Preview window and Video Strip in black.
Default Background | Displays the default backgrounds of the Video Preview window and Video Strip.
Stretch to Window | Each Video Preview frame is stretched to fit exactly into the Video Preview window. This mode is generally the slowest because resizing a frame by nonintegral fractions requires many calculations.
Integral Stretch | When selected the Video Preview frame will only be stretched by integral amounts. This is usually the fastest mode.
Preserve Aspect | When selected, the original aspect ratio (horizontal vs. vertical size) of the video will be preserved.
External Monitor | When selected, the video preview is sent to an external video monitor. Your video card must support this feature in order to use it.
Passive Update | When selected, the Video Display will only be updated when the processor is idle, which in slower computers is much less frequent. This will help to keep the audio from skipping when a computer can’t update video frames fast enough.


Other Shortcuts

What do you want to learn more about?

Drag-and-Drop Shortcuts

Mouse Shortcuts


Drag-and-Drop Shortcuts

Drag-and-drop allows you to quickly perform operations crossing between open data windows, the Playlist, the Regions List, and the Time Ruler.

Command

Function

Drag to New

To create a new file from the current selection, drag the selection to an open area of the Sound Forge desktop.

You can also drag regions from the Regions List to the desktop.

Drag Mix

To mix a selection into another data window, drag the selection from the source to the destination window. Processing begins at the point where you drop the region in the destination file.

When mixing a mono selection into a stereo file, you can mix the selection to both channels by dropping the selection on the destination centerline. Otherwise, the selection will be mixed into either the left or right channel only.

Drag Crossfade

To crossfade a selection into another data window, drag the selection from the source to the destination window. Processing begins at the point where you drop the region in the destination file. Press the Ctrl key while in the destination window.

When crossfading a mono selection into a stereo file, you can crossfade the selection to both channels by dropping the selection on the destination centerline. Otherwise, the selection will be crossfaded into either the left or right channel only.

Drag Paste

To paste a selection into another data window, hold the Alt key and drag the selection from the source to the destination window. Processing begins at the point where you drop the region in the destination file.

When pasting a mono selection into a stereo file, you can paste the selection to both channels by dropping the selection on the destination centerline. Otherwise, the sound data will be placed in the left or right channel only, with silence in the other.

Drag to Regions List

To add the current selection to the Regions List, drag it to the Regions List. You can also drag regions from the Regions List to the Playlist.

Drag to Playlist

To add a region from the Regions List to the Playlist, drag it from the waveform display or the Regions List to the Playlist.

You can also drag regions within the Playlist to rearrange the playback order.

Drag to Time Ruler

To create a region, drag the current selection to the Time Ruler.


Mouse Shortcuts

Command | Function
Select All | Double-click the waveform display to select the entire sound file. Triple-click when regions, loops or markers are present (if the Disable triple clicking to select all sound file data check box on the Editing tab in the Preferences dialog is cleared) .
Zoom Time and Level | Double-click the Level Ruler to zoom the current selection vertically and horizontally. If no selection exists, the entire waveform display data is zoomed. Double-click again to Zoom Out Full vertically and Zoom Normal horizontally.
Magnify Mode | To zoom in to a section, select an area while holding the Ctrl key.
Return Control Value to Default | Double-click a slider, fader, or spinner to reset it to its default value.
Fine Tune Control Value | To fine tune a trackbar, fader, or spinner, hold down right and left mouse buttons (or hold the Ctrl key) when dragging.
Preview | Shift-click the Preview button to hear the original sound. This is equivalent to enabling the Bypass check box. Control-click on the Preview button to display the Preview Configuration dialog.
Main Status Bar | Double-click the Sample Rate, Sample Size, or Channels (Stereo/Mono) field to display the Properties dialog.
Selection Status Bar | Double-click the Selection Length (left-most) box to display the Go To dialog. Double-click the Selection Right or Selection Left box to display the Set Selection dialog.
Go To Marker | Double-click a marker tag to move the cursor to the marker’s position.
Set Selection to Region/Loop | Double-click a region or loop tag in the ruler to change the current selection to the region or loop end points.
Edit Region or Marker | Double-click a region or marker in the Regions List to display the Edit Region/Marker dialog.
Edit Playlist | Double-click a Playlist entry to display the Edit Playlist dialog.
Play Normal Button | Ctrl+click to Preview Cut (skip selection) on playback. Ctrl+Shift+click to play to cursor with pre-roll.
Slow and Fast Selection Scroll Toggle | When making a selection past the end or beginning of the waveform display, click the right mouse button (while holding down the left mouse button) to toggle between fast scrolling and slow scrolling.
Zoom in horizontally | Rotate the mouse wheel forward.
Zoom out horizontally | Rotate the mouse wheel back.
Zoom in vertically | Ctrl + rotate the mouse wheel forward.
Zoom out vertically | Ctrl + rotate the mouse wheel back.
Scroll left 1/10 of the screen | Shift + rotate the mouse wheel forward.
Scroll right 1/10 of the screen | Shift + rotate the mouse wheel back.
Move cursor left (move current selection point left if selection exists) | Ctrl + Shift + rotate the mouse wheel forward.
Move cursor right (move current selection point right if selection exists) | Ctrl + Shift + rotate the mouse wheel back.


Appendix

What do you want to learn more about?

Sound Forge and the Microsoft Audio Compression Manager

Monitoring levels

Troubleshooting


Sound Forge and the Microsoft Audio Compression Manager

The Microsoft Audio Compression Manager (ACM) is a standard interface for audio compression in Windows. This interface allows applications such as Sound Forge to use compression algorithms provided by other companies.

Sound Forge fully supports audio compression through the ACM. This enables you to use any ACM-compatible compression. The best part of this support is you don’t have to learn anything new to use it! Sound Forge transparently opens compressed .wav files and provides all available compression formats for .wav files in the Save As dialog.

What do you want to learn more about?

Audio data compression and decompression

The first piece of the ACM allows you to compress and decompress audio data. Audio compression is used to decrease the amount of data required to represent a sound; this ultimately results in smaller sound files. However, there are drawbacks to using audio compression on your sound files:

  • Most audio compression algorithms will degrade the quality of the sound. This is referred to as lossy compression since information contained in the sound is lost when it is compressed. The amount of sound degradation is dependent on the compression algorithm.

  • Audio compression requires more processing time than uncompressed data. The amount of processing time is dependent on the algorithm, as well as your hardware setup. As a result, opening and saving compressed files will usually take longer than uncompressed files.

  • Compressed files are not as portable as uncompressed files. If you are distributing files in a compressed format, you must ensure the person receiving the files can use them. Also, not all audio software can use compressed .wav files, which could make using other programs with Sound Forge inconvenient.

In Sound Forge, any compressed .wav file can be opened as long as a compatible ACM driver is installed and enabled. If there is no compatible ACM driver available for a compressed .wav file, Sound Forge will inform you of the problem when you try to open it.

Saving compressed .wav files is as simple as choosing the compression algorithm in the Format drop-down list of the Save As dialog. Once a file has been saved as compressed, Sound Forge will always save changes to the file using the selected compression algorithm; you do not need to reselect the compression format each time you save. However, you can change the compression format or revert to an uncompressed format at any time with the Save As dialog.

Transparent playback and recording of nonhardware supported audio files

The Microsoft Sound Mapper allows audio data formats that are not directly supported by your sound card to be played and recorded. Sound Forge lets you use the Sound Mapper by selecting it for Playback and Record on the Wave tab of the Preferences dialog.

Using the Sound Mapper with Uncompressed Files

The primary use of the Sound Mapper for uncompressed sound files is for your convenience. You don’t have to convert the sound to a supported format before you listen to it:

  • If, for example, you have a sound file that is recorded at a nonstandard sample rate such as 22,257 Hz, and the closest sample rate that your sound card supports is 22,050 Hz, then the sound file normally cannot be played. You would have to change the sample rate of the file to 22,050 Hz before you could play it. However, changing the sample rate (without resampling) would cause the sound to play at a lower pitch. Using the Sound Mapper, you can play this sound file correctly without resampling the file first. The Sound Mapper will map the sound to the best format possible and perform the resampling in real time.

  • The Sound Mapper will allow you to play 16- or 24-bit sounds on an 8-bit sound card, play stereo sounds on a mono sound card, and record stereo files on a mono-only sound card. However, when you use the Sound Mapper to record in stereo from a mono source, the mono input of your sound card is simply duplicated in both channels--the Sound Mapper cannot create something that is better than what the sound card can supply.

Using the Sound Mapper with Compressed Files

The Sound Mapper allows you to play (and sometimes record) compressed sound files—even on sound cards that do not directly support compression—so you can play a sound file that is compressed with Microsoft ADPCM or the DSP Group’s TrueSpeech without decompressing the file first.

The Sound Mapper cannot always record compressed sound files because compressing sound data can be very processor intensive: the amount of time required is dependent on the compression algorithm and how it is implemented. Decompressing sound data is almost always faster than compressing the same sound data.

Sound Forge does not play and record compressed sound files directly. Rather, all compression and decompression is performed while opening and saving the sound files. Sound Forge saves compressed sound files using the best quality possible—something that cannot always be done in real time. Saving compressed sound files with Sound Forge will usually sound better than those recorded with audio compression.

Notes:

  • The Open dialog allows you to preview compressed .wav files if you have an appropriate ACM driver is installed. However, you must have your Playback device set to the Sound Mapper for this to work.

  • When saving uncompressed audio data to a compressed format with the Save As dialog, it is a good idea to close the file and reopen it after saving. Since Sound Forge performs the compression and decompression during saving and loading you will not be able to hear what the file sounds like with compression until after you’ve saved and reloaded the file.


Monitoring Levels in Digital Audio

Monitoring Levels

Sound Forge's play meters display peak levels during playback. Use the meters to monitor levels and ensure no clipping occurs in your file.

What do you want to learn more about?

Decibels

The standard method for digital metering is to use the maximum possible sample value as a reference point. This value is referred to as 0 dB. Decibels are used to represent fractions logarithmically. In this case, the fraction is: sample amplitude divided by the maximum possible amplitude. The actual equation used to convert to decibels is: dB = 20 log (amplitude/32,768)

To illustrate this, consider a sine wave with a peak amplitude of 50% of full scale. Inserting the values in the appropriate places yields 20 log (0.50) = -6.0 dB. In fact, each time a signal’s amplitude is divided by two, its dB value is decreased by 6 dB. Likewise, doubling the amplitude of a signal increases its dB value by 6 dB. Dividing the sine wave until its peak amplitude is equal to 1 produces lowest peak dB possible, -90.3 dB.

Why are dBs used when talking about audio? Decibels are typically used when dealing with sound pressure levels because of the vast range of sound (about 120 dB) that the human ear can perceive. It’s also easier to say -90 dB than 0.000030 (1/32,768).

Digital versus analog levels

When recording to an analog medium such as magnetic tape, recording engineers typically try to keep VU (volume unit) meters as close to zero as possible. This ensures a high signal-to-noise ratio while preserving adequate headroom as to keep the tape from saturating and distorting. In addition, occasional peaks above 0 do not cause problems because the tape saturation point is not an absolute.

However, this is not true in the digital realm, where amplitudes are stored as discrete numbers instead of continuous variables. The flexible recording ceiling of analog is replaced by the absolute maximum sample values of digital audio. Stored signals must never have a value above these maximums, as the wave peaks are literally clipped. This clipping adds audible distortion and though it can go unnoticed, it can also ruin an entire project. Therefore, sample with the understanding that digital audio has absolutely no headroom. The following image shows a simple sine wave that has been clipped to 0 dB:

Setting digital audio levels

Because digital audio has no headroom, setting the sampling level becomes critical. If the loudest section of the audio is identified in advance, the recording level should be set so that the peak is as close to 0 dB as possible to maximize the dynamic range of the digital medium. If the loudest section of audio is unknown, allow 3 to 6 dB of headroom for unexpected peaks.

From the Tools menu, choose Find and use the Find dialog to identify the largest peak in your file.


Troubleshooting

What do you want to learn more about?

Playing and recording problems

File support problems

Effects problems

Sampling and sequencing problems

AVI file problems


Glossary

A B C D E F H I L M N O P Q R S T V W Z

-A-

A-Law

A-Law is a compounded compression algorithm for voice signals defined by the Geneva Recommendations (G.711). The G.711 recommendation defines A-Law as a method of encoding 16-bit PCM signals into a nonlinear 8-bit format. The algorithm is commonly used in United States’ telecommunications. A-Law is very similar to µ-Law; however, each uses a slightly different coder and decoder.

Acoustic Signature

The acoustic signature of a system is data containing all of the sound characteristics of a system. This includes such things as reverb time, frequency response and other timbral qualities. Impulse files used by Acoustic Mirror can be thought of as acoustic signatures.

Activation Number

This number is based on the Computer ID number of the computer on which Sound Forge is installed. Each computer has a unique number, similar to a license plate. An activation number is created based on that number. When you register Sound Forge, Sonic Foundry will generate an activation number for you. Once the activation number is entered, Sound Forge will not time out. Since the activation number is based on the Computer ID, it is important that you have Sound Forge installed on the computer where you will be using it.

ActiveX

A Microsoft technology that enables different programs to share information. ActiveX extends Microsoft Windows-based architecture to include Internet and corporate intranet features and capabilities. Developers use it to build user interactivity into programs and World Wide Web pages.

Adaptive Delta Pulse Code Modulation (ADPCM)

A method of compressing audio data. Although the theory for compression using ADPCM is standard, there are many different algorithms employed. For example, Microsoft's ADPCM algorithm is not compatible with the International Multimedia Association's (IMA) approved ADPCM.

Advanced Streaming Format (ASF)

See Windows Media Format.

Aliasing

A type of distortion that occurs when digitally recording high frequencies with a low sample rate. For example, in a motion picture, when a car's wheels appear to slowly spin backward while the car is quickly moving forward, you are seeing the effects of aliasing. Similarly, when you try to record a frequency greater than one half of the sampling rate (the Nyquist Frequency), instead of hearing a high pitch, you may hear a low-frequency rumble.

To prevent aliasing, an anti-aliasing filter is used to remove high frequencies before recording. Once the sound has been recorded, aliasing distortion is impossible to remove without also removing other frequencies from the sound. This same anti-aliasing filter must be applied when resampling to a lower sample rate.

Amplitude Modulation

Amplitude Modulation (AM) is a process whereby the amplitude (loudness) of a sound is varied over time. When varied slowly, a tremolo effect occurs. If the frequency of modulation is high, many side frequencies are created that can strongly alter the timbre of a sound.

Analog

When discussing audio, this term refers to a method of reproducing a sound wave with voltage fluctuations that are analogous to the pressure fluctuations of the sound wave. This is different from digital recording in that these fluctuations are infinitely varying rather than discrete changes at sample time. See Quantization.

Attack

The attack of a sound is the initial portion of the sound. Percussive sounds (drums, piano, guitar plucks) are said to have a fast attack. This means that the sound reaches its maximum amplitude in a very short time. Sounds that slowly swell up in volume (soft strings and wind sounds) are said to have a slow attack.

Audio Compression Manager (ACM)

The Audio Compression Manager, from Microsoft, is a standard interface for audio compression and signal processing for Windows. The ACM can be used by Windows programs to compress and decompress .wav files.

Audio Event Locator

The Audio Event Locator is similar to a scrub function. However, rather than playing the sound file at a slow speed, it loops playback around the cursor position. This position can be selected by dragging the cursor around in the Sound Forge Overview window.

Audio Interchange File Format (AIFF)

An audio file format developed by Apple Computer.

ASX File

ASF Stream Redirector file. See Redirector file.

Attenuation

A decrease in the level of a signal.

-B-

Top of Page

Bandwidth

When discussing audio equalization, each frequency band has a width associated with it that determines the range of frequencies that are affected by the EQ. An EQ band with a wide bandwidth will affect a wider range of frequencies than one with a narrow bandwidth.

When discussing network connections, bandwidth refers to the rate of signals transmitted or the amount of data that can be transmitted in a fixed amount of time (stated in bits/second): a 56 Kbps network connection is capable of receiving 56,000 bits of data per second.

Baseline

The baseline of a waveform is also referred to as the zero-amplitude axis or negative infinity. In the following image, the red line represents the baseline.

Beats Per Minute (BPM)

The tempo of a piece of music can be written as a number of beats in one minute. If the tempo is 60 BPM, a single beat will occur once every second.

Bit

The most elementary unit in digital systems. Its value can only be 1 or 0, corresponding to a voltage in an electronic circuit. Bits are used to represent values in the binary numbering system. As an example, the 8-bit binary number 10011010 represents the unsigned value of 154 in the decimal system. In digital sampling, a binary number is used to store individual sound levels, called samples.

Bit Depth

The number of bits used to represent a single sample. For example, 8- or 16-bit are common sample sizes. While 8-bit samples take up less memory (and hard disk space), they are inherently noisier than 16- or 24-bit samples.

Buffer

Memory used as an intermediate repository in which data is temporarily held while waiting to be transferred between two locations. A buffer ensures that there is an uninterrupted flow of data between computers. Media players may need to rebuffer when there is network congestion.

Bus

A virtual pathway where signals from tracks and effects are mixed. A bus's output is a physical audio device in the computer from which the signal will be heard.

Byte

Refers to a set of 8 bits. An 8-bit sample requires one byte of memory to store, while a 16-bit sample takes two bytes of memory to store

-C-

Top of Page

Channel Converter

The Channel Converter is a function in Sound Forge that converts files from mono to stereo and stereo to mono with independent level control of the new channels. This function can also create interesting effects by converting stereo files to stereo with various levels and inversion of channels.

Chorus

Chorusing is an effect created by combining a signal with a modulating, delayed copy of itself. This effect creates the illusion of multiple sources creating the same sound.

Clipboard

The clipboard is where sample data is saved when you cut or copy it from a data window. You can then paste, mix, or crossfade the sample data stored on the clipboard with another data window. This sample data can also be used by other Windows applications that support Sound data on the clipboard, such as Sound Recorder.

Clipping

Occurs when the amplitude of a sound is above the maximum allowed recording level. In digital systems, clipping is seen as a clamping of the data to a maximum value, such as 32,767 in 16-bit data. Clipping causes sound to distort.

Codec

Coder/Decoder: refers to any technology for compressing and decompressing data. The term codec can refer to software, hardware, or a combination of both technologies.

Compression Ratio (audio)

A compression ratio controls the ratio of input to output levels above a specific threshold. This ratio determines how much a signal has to rise above the threshold for every 1 dB of increase in the output. For example, with a ratio of 3:1, the input level must increase by three decibels to produce a one-decibel output-level increase:

Threshold = -10 dB
Compression Ratio = 3:1
Input = -7 dB
Output = -9 dB

Because the input is 3 dB louder than the threshold and the compression ratio is 3:1, the resulting signal is 1 dB louder than the threshold.

Compression Ratio (file size)

The ratio of the size of the original noncompressed file to the compressed contents. For example, a 3:1 compression ratio means that the compressed file is one-third the size of the original.

Computer ID

Each computer has a unique number, similar to a license plate. An activation number is created based on that number. Since the activation number is based on the Computer ID, it is important that you have Sound Forge installed on the computer where you will be using it. The Computer ID is automatically detected and provided to you when you install Sound Forge.

The Computer ID is used for registration purposes only. It doesn't give Sonic Foundry access to any personal information and can't be used for any purpose other than for generating a unique activation number for you to use Sound Forge.

Copy Object Link (OLE)

This command on the Edit menu allows you to create an Object Linking and Embedding (OLE)-compatible link to the active sound file in Sound Forge for pasting into OLE-compatible applications.

Crossfade

Mixing two pieces of audio by fading one out as the other fades in:

Crossfade Loop

Sometimes a sample loop cannot be easily created from the given source material. In these instances, a crossfade can be applied to the beginning and end of the loop to aid in the smooth transition between the two. The Crossfade Loop function provides a method of creating sampling loops in material that is otherwise difficult to loop.

Cutoff frequency

The cutoff frequency of a filter is the frequency at which the filter changes its response. For example, in a low-pass filter, frequencies greater than the cutoff frequency are attenuated, while frequencies less than the cutoff frequency are not affected.

-D-

Top of Page

Data Window

Each opened sound file in Sound Forge has its own data window. At the top of each data window is a title bar displaying either the title of the sample or the name of the file. Also in each data window are the waveform display, Time and Level Rulers, playbar and other tools that give you information and allow you to navigate throughout the entire sound file.

DC Adjust

DC adjust is a function of the Record dialog in Sound Forge. Its function is to compensate for DC offset.

DC Offset

DC offset occurs when hardware, such as a sound card, adds DC current to a recorded audio signal. This current results in a recorded waveform that is not centered around the baseline (-infinity). Glitches and other unexpected results can occur when sound effects are applied to files that contain DC offsets. Sound Forge can compensate for this DC offset by adding a constant value to the samples in the sound file.

In the following example, the red line represents the baseline. The lower waveform exhibits DC offset; note that the waveform is centered approximately 2 dB above the baseline.

Decibel (dB)

A unit used to represent a ratio between two numbers using a logarithmic scale. For example, when comparing the numbers 14 and 7, you could say 14 is two times greater than the number 7; or you could say 14 is 6 dB greater than the number 7. Where did we pull that 6 dB from? Engineers use the equation dB = 20 x log (V1/V2) when comparing two instantaneous values. Decibels are commonly used when dealing with sound because the ear perceives loudness in a logarithmic scale.

In Sound Forge, most measurements are given in decibels. For example, if you want to double the amplitude of a sound, you apply a 6 dB gain. A sample value of 32,767 (maximum positive sample value for 16-bit sound) can be referred to as having a value of 0 dB. Likewise, a sample value of 16,384 can be referred to having a value of -6 dB.

Device Driver

A program that enables Windows to connect different hardware and software. For example, a sound card device driver is used by Windows software to control sound card recording and playback.

Destructive Editing

Destructive editing is the type of editing whereby all cuts, deletes, mixes and other processes are actually processed to the sound file. Any time you delete a section of a sound file in Sound Forge the sound file on disk is actually rewritten without the deleted section. This is different than nondestructive editing.

Digital Rights Management (DRM)

A system for delivering songs, videos, and other media over the Internet in a file format that protects copyrighted material. Current proposals include some form of certificates that validate copyright ownership and restrict unauthorized redistribution.

Digital Signal Processing (DSP)

A general term describing anything that alters digital data. Signal processors have existed for a very long time (tone controls, distortion boxes, wah-wah pedals) in the analog (electrical) domain. Digital Signal Processors alter the data after it has been digitized by using a combination of programming and mathematical techniques. DSP techniques are used to perform many effects such as equalization and reverb simulation.

Since most DSP is performed with simple arithmetic operations (additions and multiplications), both your computer's processor and specialized DSP chips can be used to perform any DSP operation. The difference is that DSP chips are optimized specifically for mathematical functions while your computer's microprocessor is not. This results in a difference in processing speed.

Direct Edit Mode

Opening a file from the Open dialog with the Operate directly on the sound file box check box selected opens the file in direct edit mode. This simply means that no temporary file is created for the file. The first time you open a file in direct edit mode, a peak data file will be created and stored in the folder where the file resides. Subsequently, opening and saving the file will be almost instantaneous regardless of the size of the file. Please note, however, that any edits you make to the file actually change the file. With Sound Forge's unlimited undo capability, this shouldn’t be a problem, but keep in mind that if the system crashes for any reason, the file will be saved in the state that it is in when it crashes and no undo will be available.

DirectX

A set of Application Program Interfaces designed by Microsoft for multimedia development. A DirectX plug-in, such as the Sonic Foundry Noise Reduction DirectX Plug-In, uses the DirectX Media Streaming Services (DMSS) API. Because DMSS is a standard API, a DirectX plug-in can be used in any application that supports DMSS.

Dithering

Dithering is the practice of adding noise to a signal to mask quantization noise.

Drag and Drop

A quick way to perform certain operations using the mouse. To drag and drop, you click and hold a highlighted selection, drag it (hold the left mouse button down and move the mouse) and drop it (let go of the mouse button) at another position on the screen.

Dynamic Range

The difference between the maximum and minimum signal levels. It can refer to a musical performance (high-volume vs. low-volume signals) or to electrical equipment (peak level before distortion vs. noise floor).

-E-

Top of Page

Endian (Little and Big)

Little and Big Endian describe the ordering of multi-byte data that is used by a computer’s microprocessor. Little Endian specifies that data is stored in a low-to-high byte format; this ordering is used by the Intel microprocessors. Big Endian specifies that data is stored in a high-to-low byte format; this ordering is used by the Motorola microprocessors.

Equalization (EQ)

Equalizing a sound file is a process by which certain frequency bands are raised or lowered in level.

-F-

Top of Page

Fast Fourier Transform (FFT) Analysis

A Fourier Transform is the mathematical method used to convert a waveform from the Time Domain to the Frequency Domain.

Since the Fourier Transform is computationally intensive, it is common to use a technique called a Fast Fourier Transform (FFT) to perform spectral analysis. The FFT uses mathematical shortcuts to lower the processing time at the expense of putting limitations on the analysis size.

The analysis size, also referred to as the FFT size, indicates the number of samples from the sound signal used in the analysis and also determines the number of discrete frequency bands. When a high number of frequency bands are used, the bands have a smaller bandwidth, which allows for more accurate frequency readings.

File Associations

This dialog allows you to associate sound file extensions (such as .wav, .au, .snd, etc.) with Sound Forge. This dialog is opened from the File tab of the Preferences dialog.

File Format

A file format specifies the way in which data is stored. In Windows, the most common audio file format is the Microsoft .wav format. For information on the different file formats supported by Sound Forge, click here.

Frame Rate

Audio uses frame rates only for the purposes of synchronizing to video or other audio. To synchronize with audio, a rate of 30 non-drop is typically used. To synchronize with video, 30 drop is usually used.

Frequency Modulation (FM)

Frequency Modulation (FM) is a process by which the frequency (pitch) of a sound is varied over time. Subaudio frequency modulation results in pitch-bending effects (vibrato). Frequency modulation within audio band frequencies (20 Hz - 20,000 Hz) creates many different side-band frequencies that drastically alter the timbre of the sound.

Frequency Modulation (FM) Synthesis

This type of synthesis relies on the principles of Frequency Modulation. Sound Forge’s FM Synthesis tool allows you to use frequency modulation (FM) and additive synthesis to create complex sounds from simple waveforms.

In frequency modulation, the frequency of a waveform (the carrier) is modulated by the output of another waveform (the modulator) to create a new waveform. If the frequency of the modulator is low, the carrier will be slowly detuned over time. However, if the frequency of the modulator is high, the carrier will be modulated so quickly that many additional frequencies, or sidebands, are created.

In Sound Forge, up to four waveforms (operators) can be used in a variety of configurations. Depending on the configuration, an operator can be a carrier, a modulator, or a simple, unmodulated waveform.

Frequency Spectrum

The frequency spectrum of a signal refers to its range of frequencies. In audio, the audible frequency range is between 20 Hz and 20,000 Hz. The frequency spectrum sometimes refers to the distribution of these frequencies. For example, bass-heavy sounds have a large frequency content in the low end (20 Hz - 200 Hz) of the spectrum.

-H-

Top of Page

Head-Related Transfer Function (HRTF)

Sounds are percieved differently depending on the direction the sound comes from. This occurs because of the echoes bouncing from your shoulders and nose and the shape of your ears. A head-related transfer function contains the frequency and phase response information required to make a sound appear to originate from a certain direction in 3-dimensional space.

Hertz (Hz)

The unit of measurement for frequency or cycles per second (CPS).

High-Pass Filter

A high-pass filter attenuates all frequencies below a cutoff frequency. It is usually used to remove low-frequency rumble from audio files.

-I-

Top of Page

Insertion Point

The insertion point (also referred to as the cursor position) is analogous to the cursor in a word processor. It is where markers or commands may be inserted depending on the operation. The insertion point appears as a vertical flashing black line and can be moved by clicking the left mouse button anywhere in the data window.

InterVoice Sound File Support

The InterVoice sound file format (.IVC), commonly used in telephony applications, is now supported and includes G.711 µ-Law and A-Law, G.721 ADPCM (32 kb/s) and G.723 ADPCM (24 kb/s) data formats.

Invert Data

Inverting sound data reverses the polarty of a waveform around its baseline. Inverting a waveform does not change the sound of a file; however, when you mix different sound files, phase cancellation can occur, producing a "hollow" sound. Inverting one of the files can prevent phase cancellation.

In the following example, the red line represents the baseline, and the lower waveform is the inverted image of the upper waveform.

-L-

Top of Page

Limiting

Limiting is essentially a hard compressor. Limiting is often used to keep signals from going above a certain level, but can also be applied to create heavily compressed effects. Limiting should only be performed on peaks; if the Threshold level is set too low, heavy distortion will occur.

Loop

Loops are small audio clips that are designed to create a repeating beat or pattern. Loops are usually one to four measures long.

Loop Tuner

The Sound Forge Loop Tuner can be found in the View menu. The Loop Tuner shows the start and end of a loop adjacent to each other so that a smooth loop can more easily be created. While the loop is playing, you may move either end by zero-crossings or individual samples.

Low-Pass Filter

A low-pass filter attenuates all frequencies above a cutoff frequency. Low-pass filters can be used as anti-alias filters or for general tonal shaping.

-M-

Top of Page

Marker

A marker is an anchored, accessible reference point in a file. Markers are stored in the Regions List and can be used for quick navigation.

Media Control Interface (MCI)

A standard way for Windows programs to communicate with multimedia devices such as sound cards and CD players. If a device has an MCI device driver, it can easily be controlled by most multimedia Windows software.

Microsoft Sound Mapper

The Sound Mapper is a special device that attempts to select the most appropriate sound card (map) on which to play a sound, or it will translate the sound into a format that can be played on your sound card.

Mid-Side recording

Mid-side (MS) recording is a microphone technique in which one mic is pointed directly towards the source to record the center (mid) channel, and the other mic is pointed 90 degrees away from the source to record the stereo image. For proper playback on most systems, MS recordings must be converted to your standard left/right (also called AB) track.

Musical Instrument Device Interface (MIDI)

MIDI is a standard language of control messages that provides for communication between any MIDI-compliant devices. Anything from synthesizers to lights to factory equipment can be controlled via MIDI. Sound Forge uses MIDI to trigger sound file playback, transfer audio data to samplers and synchronize to external software or gear.

MIDI Channels

MIDI allows for 16 discrete channels for sending data. When dealing with MIDI triggers, Sound Forge needs to know what MIDI channel to look at for receiving the trigger. The channel this information is sent to in Sound Forge depends on the device sending the MIDI messages.

MIDI Clock

A MIDI device-specific timing reference. It is not absolute time like MIDI Time Code (MTC); instead it is a tempo-dependent number of "ticks" per quarter note. MIDI clock is convenient for synchronizing devices that need to perform tempo changes mid-song.

MIDI Controllers

MIDI controllers are a specific type of MIDI message. Sound Forge can use MIDI controllers to trigger events and playback of sound files. Consult your MIDI sending device to see what controller messages it sends.

MIDI Notes

MIDI notes are a specific type of MIDI message. Sound Forge can use MIDI notes to trigger events and playback of sound files. Any MIDI sequencer or controller will send MIDI notes.

MIDI Port

A MIDI port is the physical MIDI connection on a piece of MIDI hardware. This port can be a MIDI in, out or through. Your computer must have a MIDI-capable card to output MIDI time code to an external device or to receive MIDI time code from an external device.

MIDI Time Code (MTC)

MTC is an addendum to the MIDI 1.0 specification and provides a way to specify absolute time for synchronizing MIDI-capable applications. MTC is essentially a MIDI representation of SMPTE time code.

Mix

Mixing allows multiple sound files to be blended into one file at user-defined relative levels.

Multiple-Bit-Rate Encoding

Multiple-bit-rate encoding (also known as Intelligent Streaming for the Windows Media platform and SureStream™ for the RealMedia G2 platform) allows you to create a single file that contains streams for several bit rates. A multiple-bit-rate file can accommodate users with different Internet connection speeds, or these files can automatically change to a different bit rate to compensate for network congestion without interrupting playback.

To take advantage of multiple-bit-rate encoding, you must publish your media files to a Windows Media server or a RealServerG2.

Musical Instrument Device Interface (MIDI)

A standard language of control messages that provides for communication between any MIDI-compliant devices. Anything from synthesizers to lights to factory equipment can be controlled via MIDI. Sound Forge uses MIDI for synchronization purposes.

-N-

Top of Page

Noise-shaping

Noise-shaping is a technique which can minimize the audibility of quantization noise by shifting its frequency spectrum. For example, in 44,100 Hz audio quantization noise is shifted towards the Nyquist Frequency of 22,050 Hz.

Nondestructive Editing

This type of editing involves a pointer-based system of keeping track of edits. When you delete a section of audio in a nondestructive system, the audio on disk is not actually deleted. Instead, a set of pointers is established to tell the program to skip the deleted section during playback. Sound Forge is a destructive editor except when using the Playlist.

Normalize

Refers to raising the volume so that the highest level sample in the file reaches a user-defined level. Use normalization to make sure you are using all of the dynamic range available to you.

Nyquist Frequency

The Nyquist Frequency (or Nyquist Rate) is one half of the sample rate and represents the highest frequency that can be recorded using the sample rate without aliasing. For example, the Nyquist Frequency of 44,100 Hz is 22,050 Hz. Any frequencies higher than 22,050 Hz will produce aliasing distortion in the sample if no anti-aliasing filter is used while recording.

-O-

Top of Page

Object Linking and Embedding (OLE)

OLE is a technology developed by Microsoft to allow independent applications to behave as though they are tightly integrated. This allows objects such as Sound Forge audio files to be integrated into other applications such as a Microsoft Word document.

Overview

The Overview is the area on the data window directly under the title bar. The entire length of the overview represents the entire sound file. Cursor, selection, and position information is shown relative to the entire length of the sound file.

One-Shot

One-shots are RAM-based audio clips that are not designed to loop. Things such as cymbal crashes and sound bites could be considered one-shots. Longer files can be treated as one-shots if your computer has sufficient memory.

-P-

Top of Page

Pan

To place a mono or stereo sound source perceptually between two or more speakers.

Peak Data File

The file created by Sound Forge when a file is opened for the first time. This file stores the information regarding the graphic display of the waveform so that opening a file is almost instantaneous. This file is stored in the directory where the audio file resides and has an .sfk extension. If this file is not in the same directory as the audio file or is deleted, it will be recalculated the next time you open the file.

Playlist

The Playlist is a list of regions set to play in a specific order. The Playlist allows for nondestructive editing and rearranging of a sound file quickly and easily. Multiple versions of the playlist can be saved in an external playlist file for easy comparison.

Play Meters

The Play Meters in Sound Forge display the peak output levels of the sound file currently playing. These meters have selectable resolution and options to hold peaks and valleys.

Pre-roll/Post-roll

Pre-roll is the amount of time elapsed before an event occurs. Post-roll is the amount of time after the event. Pre and post-roll have various uses in Sound Forge. Pre-roll can be added to a crossfade preview to listen to the sound before the crossfade begins to give context to it. Pre-roll can also be used in the Playlist to hear previous regions when playback is initiated from the middle of the Playlist.

Preset

A preset calls up a bulk setting of a function in Sound Forge. If you like the way you adjusted the EQ but do not want to have to spend the time getting it back for later use, save it as a preset. All presets show up in the drop-down list on the top of most function dialogs in Sound Forge.

Punch-In

Punching-in during recording means automatically starting and stopping recording at user-specified times.

Pulse Code Modulation (PCM)

PCM is the most common representation of uncompressed audio signals. This method of coding yields the highest fidelity possible when using digital storage. PCM is the standard format for .wav and .aif files.

-Q-

Top of Page

Quantization

Quantization is the process by which measurements are rounded to discrete values. Specifically with respect to audio, quantization is a function of the analog-to-digital conversion process. The continuous variation of the voltages of a analog audio signal are quantized to discrete amplitude values represented by digital, binary numbers. The number of bits available to describe these values determines the resolution or accuracy of quantization. For example, if you have 8-bit analog-to-digital converters, the varying analog voltage must be quantized to 1 of 256 discrete values; a 16-bit converter has 65,536 values.

Quantization Noise

Quantization noise is a result of describing an analog signal in discrete digital terms (see quantization). This noise is most easily heard in low-resolution digital sounds that have low bit depths and sounds like a shhhhh-type sound while the audio is playing. It becomes more apparent when the signal is at low levels, such as during a fade out.

-R-

Top of Page

Reactive Preview

Reactive previews allow for the adjustment of parameters in a function dialog while the preview is playing. When a parameter is changed, the preview will automatically rebuild and continue playback.

Real-Time Streaming Protocol (RTSP)

A proposed standard for controlling broadcast of streaming media. RTSP was submitted by a body of companies including RealNetworks and Netscape.

Redirector File

A metafile that provides information to a media player about streaming media files. To start a streaming media presentation, a Web page will include a link to a redirector file. Linking to a redirector file allows a file to stream; if you link to the media file, it will be downloaded before playback begins.

Windows Media redirector files use the .asx or .wax extension; RealMedia redirector files use the .ram, .rpm, or .smi extension.

Region

A region in Sound Forge is a subsection of a sound file. You can define any number of regions in a sound file which are stored in the Regions List.

Regions List

The Regions List is simply the list containing all of the regions and markers defined within the sound file. From this list you can preview and edit the regions as well as drag them to the Playlist or to the desktop to create new files from them.

Resample

The act of recalculating samples in a sound file at a different rate than the file was originally recorded. If a sample is resampled at a lower rate, sample points are removed from the sound file, decreasing its size, but also decreasing its available frequency range. Resampling to a higher sample rate, Sound Forge will interpolate extra sample points in the sound file. This increases the size of the sound file, but does not increase the quality. When downsampling, be aware of aliasing.

Root Mean Square (RMS)

The Root Mean Square (RMS) of a sound is a measurement of the intensity of the sound over a period of time. The RMS power of a sound corresponds to the loudness perceived by a listener when measured over small intervals of time.

Ruler, Level

The Level Ruler is the area on a data window to the left of the waveform display. It shows the vertical axis units as a percentage or in decibels.

Ruler, Time

The Time Ruler is the area on a data window above the waveform display. It shows the horizontal axis units as well as marker, region, and loop tags.

Ruler Tags

Ruler tags are the small tab-shaped controls on the Time Ruler that represent the location of markers, regions, and loop points in the waveform display.

-S-

Top of Page

Sample

The word sample is used in many different (and often confusing) ways when talking about digital sound. Here are some of the different meanings:

  • A discrete point in time which a sound signal is divided into when digitizing. For example, an audio CD-ROM contains 44,100 samples per second. Each sample is really only a number that contains the amplitude value of a waveform measured over time.

  • A sound that has been recorded in a digital format; used by musicians who make short recordings of musical instruments to be used for composition and performance of music or sound effects. These recordings are called samples. In this Help system, we try to use sound file instead of sample whenever referring to a digital recording.
  • The act of recording sound digitally, i.e. to sample an instrument means to digitize and store it.

Sample Dump

A sample dump is the process of transferring sample data between music equipment. Because of the large amounts of data required to store digital sound, sample dumps may take a very long time when using the MIDI Sample Dump Standard (SDS). However, when using the faster SCSI MIDI Device Interface (SMDI) protocol, sample dumps can be performed many times faster.

Sample Dump Standard (SDS)

The MIDI Sample Dump Standard is a way to transfer samples between music equipment. Samples transferred with SDS are sent across MIDI cables at the MIDI data rate of 31,250 Hz baud. SMDI is a much faster sample transfer method for musicians.

Sample Rate

The Sample Rate (also referred to as the Sampling Rate or Sampling Frequency) is the number of samples per second used to store a sound. High sample rates, such as 44,100 Hz provide higher fidelity than lower sample rates, such as 11,025 Hz. However, more storage space is required when using higher sample rates.

In the following example, each red dot represents one sample. Because the lower waveform is represented by twice as many samples as the top waveform, the samples are able to better approximate the original waveform.

Sample Size

See Bit Depth.

Sample Value

The Sample Value (also referred to as sample amplitude) is the number stored by a single sample. The number stored by a single sample:

  • In 32-bit audio, these values range from -2147483648 to 2147483647.

  • In 24-bit audio, they range from -8388608 to 8388607.
  • In 16-bit audio, they range from -32768 to 32767.
  • In 8-bit audio, they range from -128 to 127.

The maximum allowed sample value is often referred to as 100% or 0 dB.

Sampler

A sampler is a device that records sounds digitally. Although, in theory, your sound card is a sampler, the term usually refers to a device used to trigger and play back samples while changing the sample pitch.

Secure Digital Music Initiative (SDMI)

The Secure Digital Music Initiative (SDMI) is a consortium of recording industry and technology companies organized to develop standards for the secure distribution of digital music. The SDMI specification will answer consumer demand for convenient accessibility to quality digital music, enable copyright protection for artists' work, and enable technology and music companies to build successful businesses.

SCSI MIDI Device Interface (SMDI)

SMDI is a standardized protocol for music equipment communication. Instead of using the slower standard MIDI serial protocol, it uses a SCSI bus for transferring information. Because of its speed, SMDI is often used for sample dumps.

Send Mail

The Send Mail command on the File menu allows you to send sound files directly from Sound Forge through electronic mail.

Shortcut Menu

A context-sensitive menu that appears when you click on certain areas of the screen. The functions available in the shortcut menu depend on the object being clicked on as well as the state of the program. As with any menu, you can select an item from the shortcut menu to perform an operation. Shortcut menus are used frequently in Sound Forge for quick access to many commands.

Sign-Bit

Data that has positive and negative values and uses zero to represent silence. Unlike the signed format, two’s complement is not used. Instead, negative values are represented by setting the highest bit of the binary number to one without complementing all other bits. This is a format option when opening and saving RAW sound files.

Signed

Data that has positive and negative two’s complement values and uses zero to represent silence. This is a format option when opening and saving raw sound files.

Signal-to-Noise Ratio

The signal-to-noise ratio (SNR) is a measurement of the difference between a recorded signal and noise levels. A high SNR is always the goal.

The maximum signal-to-noise ratio of digital audio is determined by the number of bits per sample. In 16-bit audio, the signal to noise ratio is 96 dB, while in 8-bit audio its 48 dB. However, in practice this SNR is never achieved, especially when using low-end electronics.

Small Computer Systems Interface (SCSI)

SCSI is a standard interface protocol for connecting devices to your computer. The SCSI bus can accept up to seven devices at a time including CD ROM drives, hard drives and samplers.

Society of Motion Picture and Television Engineers (SMPTE)

SMPTE time code is used to synchronize time between devices. The time code is calculated in hours:minutes:second:frames, where frames are fractions of a second based on the frame rate. Frame rates for SMPTE time code are 24, 25, 29.97 and 30 frames per second.

Sound Card

The sound card is the audio interface between your computer and the outside world. It is responsible for converting analog signals to digital and vice-versa. There are many sound cards available on the market today, covering the spectrum of quality and price. Sound Forge will work with any Windows-compatible sound card.

Status Format

The status format is the format by which Sound Forge displays the Time Ruler and selection times. These include: Time, Seconds, Frames and all Standard SMPTE frame rates. The status format is set for each sound file individually.

Streaming

A method of data transfer in which a file is played while it is downloading. Streaming technologies allow Internet users to receive data as a steady, continuous stream after a brief buffering period. Without streaming, users would have to download files completely before playback.

-T-

Top of Page

Tempo

Tempo is the rhythmic rate of a musical composition, usually specified in beats per minute (BPM).

Threshold

A threshold determines the level at which the signal processor begins acting on the signal. During normalization, levels above this threshold are attenuated.

Time Format

The format by which Sound Forge displays the Time Ruler and selection times. These can include: Time, Seconds, Frames and all standard SMPTE frame rates.

Trim/Crop

Trim/Crop is a function that will delete all data in a sound file outside of the current selection. This is a necessary function when dealing with samples to be played by a sampler to get rid of blank time at the beginning and ending of samples.

-U-

Top of Page

µ-Law

µ-Law (mu-Law) is a companded compression algorithm for voice signals defined by the Geneva Recommendations (G.711). The G.711 recommendation defines µ-Law as a method of encoding 16-bit PCM signals into a nonlinear 8-bit format. The algorithm is commonly used in European and Asian telecommunications. µ-Law is very similar to A-Law, however, each uses a slightly different coder and decoder.

Undo Buffer

This is the temporary file created before you do any processing to a sound file. This undo buffer allows you to rewrite previous versions of the sound file if you decide you don’t like changes you’ve made to the sound file. This undo buffer is erased when the file is closed or the Clear Undo History command is selected.

Undo/Redo

These commands allow you to change a project back to a previous state, when you don't like the changes you have made, or reapply the changes after you have undone them.

Undo/Redo History

This is a list of all of the functions that have been done to a file that are available to be undone or redone. Undo/Redo History gives you the ability to undo or redo multiple functions as well as preview the functions for quick review of the processed and unprocessed material. This list can be displayed from within the View menu.

Unsigned

Data that has only positive values and uses half the maximum value to represent silence. This is a format option when opening and saving raw sound files.

-V-

Top of Page

Virtual MIDI Router (VMR)

A software-only router for MIDI data between programs. Sound Forge uses the VMR to receive MIDI time code and send MIDI clock. No MIDI hardware or cables are required for a VMR, so routing can only be performed between programs running on the same PC. Sonic Foundry supplies a VMR with Sound Forge called the Sonic Foundry Virtual MIDI Router.

-W-

Top of Page

Wave

An digital audio standard developed by Microsoft and IBM. One minute of uncompressed audio requires 10 MB of storage.

Waveform

A waveform is the visual representation of wave-like phenomena, such as sound or light. For example, when the amplitude of sound pressure is graphed over time, pressure variations usually form a smooth waveform.

Waveform Display

Each event shows a graph of the sound data waveform. The vertical axis corresponds to the amplitude of the wave. For 24-bit audio, they range from -8388608 to 8388607. For 16-bit sounds, the amplitude range is -32,768 to +32,767. For 8-bit sounds, the range is -128 to +127. The horizontal axis corresponds to time, with the left-most point being the start of the waveform. In memory, the horizontal axis corresponds to the number of samples from the start of the sound file.

Windows Media Format

Microsoft's Windows Media file format that can handle audio and video presentations and other data such as scripts, URL flips, images and HTML tags. Advanced Streaming Format files can be saved with the .asf or .wma extensions.

-Z-

Top of Page

Zero-Crossing

A zero-crossing is the point where a fluctuating signal crosses the baseline.

By making edits at zero-crossings with the same slope, the chance of creating glitches is minimized.

Zipper Noise

Zipper noise occurs when you apply a changing gain to a signal, such as when fading out. If the gain does not change in small enough increments, zipper noise can become very noticeable. Sound Forge’s fades are accomplished using 64-bit arithmetic, thereby creating no audible zipper noise.


Choosing an Appropriate Bit Rate

When you encode files for streaming over the Internet, you will be asked to specify a connection type for the target audience. The connection type establishes a maximum bandwidth for your streaming media. Bandwidth is the amount of data that can be sent through an Internet or network connection during a set period of time. For example, a 28.8 Kbps modem is capable of transmitting 28,800 bits per second. However, actual transmission rates are lower than nominal values due to network overhead; a 28.8 Kbps modem’s actual bandwidth is approximately 20 Kbps, and a 56 Kbps modem’s actual bandwidth is approximately 34 Kbps).

Sound Forge encodes media files with audio and video codecs to compress these rather large files to a manageable size for network transmission. To play back encoded files, the media player must receive and decode the files. In order for encoded files to stream smoothly, the data transfer rate (bit rate) must reach a calculated minimum.

When encoding media files, the content should not exceed the bit rate of your targeted audience. In order to ensure a stable network connection, it is important not to consume all of the bandwidth available to the Internet/intranet browser.


DirectX Plug-In Properties

Right-click the title bar of a DirectX plug-in window and choose Properties from the shortcut menu to view information about a plug-in.

Click the Remove button to unregister a plug-in library.


JavaScript Tetris

In this JavaScript implementation of Tetris, you can control the falling pieces by clicking the mouse. In addition, in version 4 of both major browsers on Windows platforms, you can use the keyboard to control the falling piece.

Browser requirements:

  • Netscape Navigator 3.0 (Navigator 4.0 recommended) or

  • Microsoft Internet Explorer 4.0 or newer

Copyright © 1999 Alexei Kourbatov


Inserting a RealMedia Command

RealMedia commands are embedded metadata you can place throughout a media file. Each command is synchronized with a specific time in the multimedia stream and is handled by the media player.

Commands allow streaming media files to jump to other Web pages and display text such as headings and captions.

What do you want to learn more about?

Placing a command

  1. From the Special menu, choose Drop Marker to place a marker where you want to insert a command.

  2. Right-click the marker and choose Edit.

  3. Use the Edit Marker/Region dialog to specify parameters for your command:

  • Specify a command parameter in the Name box.

  • Specify a time in the Start box.

  • Choose a time format from the Input Format drop-down list.

  3. Click the OK button.

Types of RealMedia commands

Command

Function

URL

Gives an instruction to the user’s Web browser to change the content being displayed, regardless of the state of the display. The URL command causes the user’s browser to display the URL you indicate at a specific time during playback.

ASF URL:http://<Web address to link>

If you want to display your hyperlink in a specific frame, append the frame name to your URL. For example, enter http://www.sonicfoundry.com&&bodyframe to display the Sonic Foundry home page in a frame named bodyframe.

Title

The Title command allows you to specify the title of a RealMedia presentation. The title is displayed in the RealPlayer’s title bar and when a user selects About This Presentation from the shortcut menu on the RealPlayer display.

A title specified using the Title command overrides any title entered on the information entered on the Save Options dialog Summary tab starting when the command is executed. For example, if a single RealMedia file contains clips from several movies, you could use the Title command to change the title for each clip.

RM Title:<Title to display>

Author

The Author command allows you to specify the author of a RealMedia presentation. The Author is displayed when a user selects About This Presentation from the shortcut menu on the RealPlayer display.

Author information specified using the Author command overrides any information entered on the Save Options dialog Summary tab starting when the command is executed. For example, if a single RealMedia file contains clips from several authors, you could use the Author command to change the author information for each clip.

RM Author:<Author name>

Copyright

The Copyright command allows you to specify copyright information about a RealMedia presentation. The copyright information is displayed when a user selects About This Presentation from the shortcut menu on the RealPlayer display.

Copyright information specified using the Copyright command overrides any information entered on the Save Options dialog Summary tab starting when the command is executed. For example, if a single RealMedia file contains clips from several sources, you could use the Copyright command to change the copyright information for each clip.

RM Copyright:<Copyright date>

Hot Spot Play

The Hot Spot Play command allows you to define an area in the RealPlayer video display that users can click to jump to another RealMedia file.

RM HotSpotPlay:hh:mm:ss.s (x1,y1,x2,y2) <"alternate text"> <URL to file you want to play>

For example, entering 00:01:30.0 (0,0,100,100) “<Sonic Foundry>” in the Comment box would create a hot spot 100 pixels high and 100 pixels wide in the top-left corner of the display. The hot spot would be active for 1 minute and 30 seconds, and the alternate text "Sonic Foundry" would be displayed when the cursor passed over the hot spot.

Hot Spot Browse

The Hot Spot Browse command allows you to define an area in the RealPlayer video display that users can click to jump to a Web page that you specify.

RM HotSpotBrowse:hh:mm:ss.s (x1,y1,x2,y2) <"alternate text"> <URL to page you want to display>

Hot Spot Seek

The Hot Spot Seek command allows you to define an area in the RealPlayer video display that users can click to jump to a point in the current RealMedia file.

RM HotSpotPlay:hh:mm:ss.s (x1,y1,x2,y2) <"alternate text"> <hh:mm:ss.s to which you want to seek>


MIDI Trigger Events

Item

Description

Enable/Disable Triggers

Click to assign no MIDI trigger to the selected event or to remove an existing trigger.

Play All

Plays the entire sound file from beginning to end, regardless of cursor position, selection, or playlist.

Play

Plays the sound file in the current playback mode.

Pause

Pauses playback and leaves the cursor at its current position.

Stop

Stops playback and returns the cursor to its position prior to playback.

Record Start/Stop

Starts or stops recording when the Record dialog is open.

Start

Moves the cursor to the beginning of the active data window.

End

Moves the cursor to the end of the active data window.

Next Window

Makes the next data window on the Window menu active.

Previous Window

Makes the previous data window on the Window menu active.

Play Normal

Starts playback in Normal mode:

  • If there is no selection, playback occurs from the cursor to end of file.

  • If there is a selection, playback occurs from the beginning of the selection to the end of the selection.

Play Looped

Starts playback in Looped mode:

  • If there is no selection, the entire sound file is played in an endless loop.

  • If there is a selection, the selection is played in an endless loop.

Play as Sample or Cutlist

Starts playback in Sample/Cutlist mode:

  • If the file contains loops, the loops will repeat as many times as specified on the Edit Sample dialog. Use this to listen to a sound file as it would sound when played by a sampler.

  • If cutlist regions have been defined, the file will be played once and cutlist regions will be skipped. Use this to preview the effects of your cutlist.

  • If the file does not contain any loops and no cutlist has been defined, the file will be played once from beginning to end.

Preview Cut/Cursor

Plays the data before and after the current selection. This command lets you preview the result of a Cut or Clear operation without altering the file.

Pre-Roll to Cursor

Plays the data before the cursor position for the default pre-roll length (specified on the Other tab in the Preferences dialog).

Forward Slow

Moves the cursor through the data window in the current zoom ratio. For example, if the zoom ratio is 1:1024, this will move the cursor forward 1024 samples.

Forward Medium

Moves the cursor through the data window 25 times faster than Forward Slow.

Forward Fast

Moves the cursor through the data window 75 times faster than Forward Slow.

Rewind Slow

Moves the cursor through the data window in the current zoom ratio. For example, if the zoom ratio is 1:1024, this will move the cursor back 1024 samples.

Rewind Medium

Moves the cursor through the data window 25 times faster than Rewind Slow.

Rewind Fast

Moves the cursor through the data window 75 times faster than Rewind Slow.

Drop Marker

Places a marker at the current cursor position.

Create Region

Creates a region quickly using the currently selected data.

Mark In

Sets the beginning of a selection at the current cursor position. The data between this point and the Mark Out position will be selected.

Mark Out

Sets the end of a selection at the current cursor position. The data between this point and the Mark In position will be selected.

Zoom Level In

Zooms in vertically.

Zoom Level Out

Zooms out vertically.

Zoom Time In

Zooms in horizontally.

Zoom Time Out

Zooms out horizontally.

Pan Down

Pans down vertically. This is useful when the entire amplitude range is not visible in the data window.

Pan Up

Pans up vertically. This is useful when the entire amplitude range is not visible in the data window.

Go To Next Marker

Moves the cursor to the next marker.

Go To Previous Marker

Moves the cursor to the previous marker.


Saving a Windows Media Format File

Saving a file in Windows Media Format renders your file in a compressed format for streaming over the Internet. For more information about Windows Media Technologies, refer to the Microsoft Web site.

What do you want to do?

Save a file using an existing encoding template

  1. Click anywhere in the data window to select it.

  2. From the File menu, choose Save As or click the Save As button on the toolbar [image] to display the Save As dialog.

  3. Use the Save As dialog to specify a folder and file name.

  4. Choose Windows Media Audio (*.wma) or Windows Media (*.asf) from the Save as type drop-down list.

  5. Click the Save button to display the Save to Windows Media dialog.

  6. Choose an encoding template from the Template drop-down list. For information about creating your own templates, click here.

  7. If you want to create a redirector file, select the Generate Redirector files check box and click the ASX Settings button. For more information about redirector files, click here.

  8. Enter summary information about your media file in the Properties boxes. This information can be displayed by the Windows Media Player, and the Rating setting (None, G, PG, or R) can be used to prevent distribution of inappropriate material to vulnerable Internet users when using a content-sensitive Web browser.

  9. Select the Use markers in the source file check box if you want to include any markers that are defined in the source file. If the checkbox is unchecked, the encoder will ignore the markers.

  10. Select the Use script commands in the source file check box if you want to include any script commands that are defined in the source file. If the checkbox is unchecked, the encoder will ignore the commands.

  11. Click the OK button.

Create or edit an encoding template

  1. Click anywhere in the data window to select it.

  2. From the File menu, choose Save As or click the Save As button on the toolbar [image] to display the Save As dialog.

  3. Use the Save As dialog to specify a folder and file name.

  4. Choose Windows Media Audio (*.wma) or Windows Media (*.asf) from the Save as type drop-down list.

  5. Click the Save button to display the Save to Windows Media dialog.

  6. Click the Custom button on the Save to Windows Media dialog to create a new template, or select a template from the Template drop-down list and click Edit to edit an existing template.

Only custom encoding templates can be selected for editing.

  7. Enter or edit the template name and description and click the Next button. This information is used to identify the template on the Save to Windows Media dialog.

  8. Specify the bandwidths for which the encoding template will be used:

  • Click the radio button that corresponds to the type of connection your target audience will use to connect to the Internet and click the Next button.

  • If you're encoding an AVI file, you can choose Use multiple bit-rate video or Single bit-rate video. A multiple-bandwidth video file includes multiple video streams in a single file and can switch to a lower bandwidth to compensate for network congestion.

Using multiple-bit-rate video requires an encoding platform that has at least a Pentium II processor running at 266 megahertz (MHz). Multiple-bit-rate video content can only be accurately decoded by Windows Media Player 3.0 and Windows Media Server 3.0 or higher.

  9. Specify whether Sound Forge should resample the audio component of your file:

a. Select the Resample prior to encode check box to enable audio resampling using Sonic Foundry's algorithms.

b. Click the down arrow to the right of the Resample rate drop-down list and select a new sampling rate.

High sampling rates produce high-quality audio, but can result in stuttering audio with low-speed Internet connections. When the check box is cleared, codecs resample audio using default resampling algorithms.

c. Click the Next button.

  10. Choose audio and video codecs.

a. Click the down arrow and select an audio codec from the drop-down list.

If the selected codec has multiple formats available, use the Format drop-down list to select the amount or type of compression. The format of a codec is the sampling rate (in kilohertz [kHz] or hertz [Hz]) and sample depth (in bits). The larger the sampling rate and sample depth, the more information is recorded. When more information is recorded, the audio content usually sounds better; however, the audio portion of the total bandwidth allocated is also larger. Remember that the audio file must share the bandwidth with any video or script commands.

b. Select the Use Video check box if the encoding template will be used with video files.

c. Click the down arrow and select a video codec from the drop-down list.

d. Click the Advanced button to display the Advanced Video Settings dialog.

  11. Click the Finish button.

Generate a redirector file

You can use the Save to Windows Media dialog to set up parameters for creating a redirector file for your encoded Windows Media Format presentation.

The Save to Windows Media Format dialog is displayed when you choose Windows Media Audio (*.wma) or Windows Media (*.asf) from the Save as type drop-down list and click the Save button on the Save As dialog.

  1. Select the Generate redirector files check box.

  3. Click the ASX Settings button. The ASX Settings dialog is displayed.

  4. In the ASF server path box, specify the path where the Windows Media Format file will be stored on the Web server. This is the directory path where you will transfer your media file with an FTP program.

  5. Select the Use alternate destination folder for ASX files check box if your redirector file will be stored in a different folder than your media file.

  6. Click the Browse button to specify a folder.

  7. Specify the amount of the file that you want the redirector file to play back. If the Play start position and Play length settings are set to 0 (default), the entire file will be played.

a. In the Play start position box, specify the start of a segment that will be played from the encoded file. This information is stored in the redirector file.

b. In the Play length box, specify the length of a segment that will be played from the encoded file. This information is stored in the redirector file.

By specifying a Play start position and a Play length in a redirector file, you may create multiple playback options using a single encoded file. For example, one redirector link on an HTML page might play a ten-second preview of a video, while another link plays the entire file.

  8. Click the OK button.


Troubleshooting AVI File Problems

When opening an AVI file, if the audio stream format is 44.1 kHz stereo file Microsoft or IMA ADPCM, the audio track does not open correctly.

This is due to a known bug in Video for Windows. It only happens if the file is both 44.1 kHz, stereo, and compressed using Microsoft or IMA ADPCM. To get around this problem, resample the audio to 22 kHz before saving.


Troubleshooting Effects Problems

After applying an effect to a file, why is there a loss in volume level?

Most effects that can alter the volume level of a file have two faders, Dry Out and Effect Out (where Effect is the name of the specific effect). These controls should be adjusted for the proper balance of processed and unprocessed sound and also determine the combined volume level. For example, if you run an effect with both controls set to 40% and the level after processing is too low, simply raise both faders an equal amount to raise the final level. However, take care to keep the output signal from clipping.

Why do some effects take so long to process?

Some processing functions used by Sound Forge are very math intensive. Examples include EQ, Pitch Shift (without preserving duration), and Reverb. This means that millions of integer and floating-point arithmetic operations must be performed for each second of sampled data. The speed of processing these functions is directly dependent upon your CPU's ability to perform floating-point operations.

We recommend that you break the files into smaller ones and then mix the smaller files together after you are done processing.

One way to prevent disk-related editing delays is to use the Regions List and Playlist to make all arrangements nondestructively and then use the Convert to New function on your Playlist. Another useful feature in Sound Forge is the Preview Cut command: you can use this function to verify your Cut and Clear operations before actually changing the file.


Troubleshooting File Support Problems

When saving files as Macintosh AIFF and transferring them to my Macintosh, why doesn't the Macintosh recognize them as sound files?

The Macintosh uses special information within its operating system to keep track of the types of files it can access. Sound Forge can save the audio data in the correct file format, but it can’t tell the Macintosh what type it is.

To do this, you must use a program on the Macintosh (such as ResEdit) to change the file’s type. You simply need to set the Type field to AIFF for the Macintosh to recognize the file as a sound file. There is also a third-party utility called AIF Typer that is available for download from our Web site.

Why won't Sound Forge open my compressed files like Microsoft ADPCM?

Sound Forge has built-in support for the Microsoft Audio Compression Manager (ACM). This allows you to open files that are compressed with a variety of algorithms including Microsoft ADPCM, IMA ADPCM, and other third-party compression schemes such as the DSP Group’s TrueSpeech.

If you can’t open a Microsoft ADPCM file, you may not have the Microsoft ADPCM driver installed and enabled for the ACM.

After converting .wav files to Redbook audio using the software that came with my compact disc recorder, there are audible clicks at the end of the track.

Not all software for converting .wav files to Redbook audio handles the file structure correctly. Some software simply skips the first 44 bytes of data in the file and then considers everything else in the file to be audio data. This means that if you have saved Summary Information, Sampler Information, or Regions and Playlist data in the .wav file, it will be interpreted as audio data.

If you are experiencing this problem, simply use the Save As command in Sound Forge to save a new .wav file with the Save Summary Information, Save Sampler Information, and Save Regions/Playlists check boxes cleared.

My compact disc recorder uses a file type with an .rbk extension. What is an .rbk file and can I open it with Sound Forge?

You can open an existing RBK file as the file raw file type in Sound Forge’s Open dialog box and choose the Redbood .rbk files preset. Remember that you will have to swap the channels if you want to maintain the correct left/right channel settings.

RBK files are simply raw PCM sound data files. These files are used by some compact disc recorders to store Redbook audio onto a compact disc. RBK files are data only and contain no other information. They are stored as 16-bit, stereo data with a sample rate of 44,100 Hz. There are a number of things that make them different than a normal 16-bit raw file:

  • The channels are stored in reverse order.

  • The data is stored in Big Endian format (Motorola).

  • The data length of the file has to be a multiple of 2,352 bytes (1 CD sector). The size of a CD sector is calculated as follows:

1 second of 44.1k, 16 bit, stereo audio = 176,400 bytes

CD audio has 75 sectors of data for each 1 second of audio

Sector size = 176,400/75 = 2,352 bytes


Troubleshooting Playback or Recording Problems

When playing files from my SCSI drive, why does the sound have a warbling effect?

When playing files from a SCSI drive that is connected to a SCSI controller that utilizes a DMA channel (such as an older ISA controller) you may experience a warbling effect in the sound playback. This can occur if your sound card uses DMA and its DMA channel is set to a higher number than your SCSI controller.

To fix this problem, set the DMA channel used by your sound card to a lower number than that used by your SCSI controller. For example, if your SCSI controller is set to DMA channel 5 and your sound card is set to DMA channel 7, try reconfiguring them so the sound card uses DMA channel 5 and your SCSI controller uses DMA channel 7.

When I start Sound Forge my Play and/or Record buttons are unavailable. Why can't I play or record?

When Sound Forge starts, it checks to see if you have a wave playback and record device installed in your system. If you don’t, it makes the appropriate operations unavailable.

If you are sure that you have a sound card installed in your system, check the Wave tab in the Preferences dialog. The settings in the Playback and Record drop-down lists determine the playback and record devices Sound Forge will use. By default, Sound Forge uses the Wave Mapper (it may also be called the Sound Mapper) device which should automatically pick an appropriate device for use by Sound Forge. If the playback or recording device is set to (None), Sound Forge can not execute the corresponding operation.

I have sound files that won't play on my system. Sound Forge loads the files; why won't it play them?

Sound Forge allows you to load many different types of sound files, including those that your system may not be capable of playing. There are a variety of reasons that your sound card may not be capable of playing a file:

  • Some sound cards only allow playback and recording at specific sample rates. Typically these rates are limited to 11,025, 22,050, and 44,100 Hz. If you try to play a file that is 32,000 Hz, the sound card will not allow you to play it.

  • If you have an older sound card that supports only mono playback, simply convert any stereo files to mono and you will be able to play them.

  • If you have an older sound card, it may only support 8-bit playback. If this is the case simply change the bit-depth of the file to 8 bits.

Why is it when I play my sound files the play pointer that Sound Forge displays doesn't match what I am hearing?

Sound Forge relies on your sound card’s driver to provide the correct cursor position. Sound Forge provides a way to compensate for this by setting the play and record position bias in the Wave tab in the Preferences dialog.

Why doesn't Sound Forge respond to levels from my microphone or my CD Player?

Most sound cards come with multiple inputs from which you can record sound. These may include microphone, CD, auxiliary, MIDI, and line inputs. Although some cards record from all of these inputs at the same time, many cards require you to choose a recording device (also known as the input source). These cards come with software that allows you to pick which device is the input source. Please refer to your sound card manual to determine how to set the input source.

Most sound cards also come with some kind of application that controls the input level of the recording device. You may need to increase the level of your input sources in order to record from them. Again, please refer to your sound card manual to learn how to adjust these levels.

When I record or play files, I hear small clicks in the sound.

When Sound Forge is recording or playing audio data, it moves large amounts of data between your hard drive and your sound card. If Sound Forge can’t move the data fast enough, you will hear small gaps between blocks of data that typically sound like clicks or puttering. Please see Optimizing Sound Forge for information about reducing the overhead during the time Sound Forge is moving sound data.

When I record (or play) data at high sample rates, I can't stop playback by clicking the Stop Button.

Sound Forge works to prevent gaps during recording and playback. As a result, there may be delays between the time that you click the Stop button and the time that Sound Forge actually stops. Note that you can always press and hold the Escape key to stop record or playback no matter how bad the situation is. Just be a little patient and wait a few seconds. These delays are usually only observed when one or more components of your system can not keep up with the data rate. Typical faults are:

  • Very slow (older) hard drives.

  • Poorly written sound card drivers.

  • Setting your Storage directory to a slow device like a network drive or a Compressed hard drive.

If at all possible, use the fastest uncompressed storage device available with Sound Forge. For more information on configuring your system, see see Optimizing Sound Forge.

When playing sound files with sample rates above 44,100 Hz on my Turtle Beach Multisound or Tahiti, my system crashes.

This is caused by a bug in the Turtle Beach Multisound and Tahiti sound card drivers. Contact Turtle Beach for updated drivers.

When playing sound files at 8,000 Hz on my Turtle Beach Multisound, the play pointer moves but I don't hear any output.

This is caused by a bug in the Turtle Beach Multisound driver. Contact Turtle Beach for updated drivers.

When playing sound files at rates other than 11,025 Hz, 22,050 Hz, or 44,100 Hz, the pitch is wrong.

Some sound drivers incorrectly play sounds with sample rates that are not supported by the sound card hardware. For example, a sound that is supposed to play at 13,000 Hz might be played at 11,025 Hz instead. This will cause the pitch to be lower and the playback time to be slower than it should be.

Contact your sound card manufacturer for updated drivers.

When playing sound files sometimes when the sound starts I hear a blip, drop-out, or click.

Some sound drivers do not deal correctly with the preload buffer option of Sound Forge. If you have set your preload size in the Wave tab of the Preferences dialog to a value greater than 0, try setting it back to 0. If this solves the problem, contact your sound card manufacturer for updated drivers.


Troubleshooting Sampling and Sequencing Problems

When using SMPTE/MTC to drive my sequencer, my sequencer sometimes loses sync.

Depending on the performance of your system (and your sequencer) you may experience SMPTE sync drop-out problems. This is typically due to too many processes occurring than your computer is capable of maintaining. For example, if you have wave playback, synchronization messages, sequencing, and more occurring at the same time, you may experience sync drop-out.

To compensate for this, many sequencers allow you to set a freewheel time, and you can adjust Sound Forge's freewheel time on the MIDI/Sync tab in the Preferences dialog. This is a slack time between SMPTE messages during which the sequencer will continue to play even if SMPTE/MTC messages are being missed. By increasing the freewheel time, you allow Sound Forge and your sequencer to be less tightly dependent on SMPTE messages, but this may also decrease your synchronization accuracy. Start with a small freewheel time and, if you experience sync drop-out problems, increase the freewheel time until the drop-outs go away.

After installing the Sonic Foundry Virtual MIDI Router in Windows 98 or Me, my system is having trouble with MIDI devices or the VMR.

If you have a large number of MIDI devices in your system or a multiport MIDI board, you may have problems installing additional VMR MIDI interface ports. Windows 98 and Me limit the number of MIDI devices that can be supported (typically between 10 and 12 devices). If MIDI devices cause system errors after installing the VMR, reduce the number of ports in use by the VMR, remove the VMR, or reduce the number of MIDI devices in your system.


Welcome

Go to the Sound Forge Home Page

Copyright ©2001 Sonic Foundry, Inc.

Visit Sonic Foundry on the Web All Rights Reserved

Rev. 2/15/2001


Display Preferences

Options Menu:
Preferences

Use the Display tab in the Preferences dialog to specify options for adjusting the appearance of the Sound Forge window. To display this tab, choose Preferences from the Options menu and click the Display tab.

What do you want to do?

Change the default zoom ratio

Choose a zoom ratio from the Normal zoom ratio drop-down list to specify the default horizontal magnification. This magnification level is used when you load a sound file, create a new window, or use the Zoom Normal command.

High values show more data, and small values show more detail.

Change the height of the waveform

Drag the Default sound file window height slider to specify the default data window height for a sound file. This magnification level is used when you load a sound file or create a new window.

Change the size of the video strip

Drag the Default video strip height slider to specify the default height of the video strip when you open an AVI (Audio-Video Interleaved) file.

Change the default colors of screen items

The color preferences section allows you set a custom color for a variety of graphics within Sound Forge. Each graphic has a default color or you can set a custom color by checking the Custom box and setting the component Red, Green, and Blue of each color.

For each mode of opening sound files, Normal, Direct, and Read Only, you can assign a different color for data window graphics.

  1. Choose a screen element from the Color preference for drop-down list.

  2. Set the color of the selected item:

  • Click the Custom radio button and drag the Red, Green, and Blue sliders to adjust the color.

  • Click the Default radio button to restore a custom color the default setting.

  3. Click the OK button.

Item | Description
Normal: Data Left | Specifies the color used to draw left-channel or mono wave data in a normally opened data window.
Normal: Data Left Selected | Specifies the color used to draw selected left-channel or mono wave data in a normally opened data window.
Normal: Data Right | Specifies the color used to draw right-channel wave data in a normally opened data window.
Normal: Data Right Selected | Specifies the color used to draw selected right-channel wave data in a normally opened data window.
Normal: Window Background | Specifies the color used to draw the background of a normally opened data window.
Normal: Selected Background | Specifies the color used to draw the background of selected data in a normally opened data window.
Normal: Center Line | Specifies the color used to draw the center line of the wave axis in a normally opened data window.
Normal: -6.0 dB Line | Specifies the color used to draw the line at half volume for the wave axis in a normally opened data window.
Normal: Play Cursor | Specifies the color of the cursor which is drawn while playing a file in a normally opened data window.
Direct: Data Left | Specifies the color used to draw left-channel or mono wave data in a direct-mode data window.
Direct: Data Left Selected | Specifies the color used to draw selected left-channel or mono wave data in a direct-mode data window.
Direct: Data Right | Specifies the color used to draw right-channel wave data in a direct-mode data window.
Direct: Data Right Selected | Specifies the color used to draw selected right-channel wave data in a direct-mode data window.
Direct: Window Background | Specifies the color used to draw the background of a direct-mode data window.
Direct: Selected Background | Specifies the color used to draw the background of selected data in a direct-mode data window.
Direct: Center Line | Specifies the color used to draw the center line of the wave axis in a direct-mode data window.
Direct: -6.0 dB Line | Specifies the color used to draw the line at half volume for the wave axis in a direct-mode data window.
Direct: Play Cursor | Specifies the color of the cursor which is drawn while playing a file in a direct-mode data window.
Read Only: Data Left | Specifies the color used to draw left-channel or mono wave data in a read-only data window.
Read Only: Data Left Selected | Specifies the color used to draw selected left-channel or mono wave data in a read-only data window.
Read Only: Data Right | Specifies the color used to draw right-channel wave data in a read-only data window.
Read Only: Data Right Selected | Specifies the color used to draw selected right-channel wave data in a read-only data window.
Read Only: Window Background | Specifies the color used to draw the background of a read-only data window.
Read Only: Selected Background | Specifies the color used to draw the background of selected data in a read-only data window.
Read Only: Center Line | Specifies the color used to draw the center line of the wave axis in a read-only data window.
Read Only: -6.0 dB Line | Specifies the color used to draw the line at half volume for the wave axis in a read-only data window.
Read Only: Play Cursor | Specifies the color of the cursor which is drawn while playing a file in a read-only data window.
Regions: Marker | Specifies the color used to display marker tags on the data window Time Ruler.
Regions: Section | Specifies the color used to display region tags on the data window Time Ruler.
Sample Loop: Sustaining | Specifies the color used to display sustaining loop tags on the data window Time Ruler.
Sample Loop: Release | Specifies the color used to display release loop tags on the data window Time Ruler.
Record Prepared | Specifies the color used in the Record dialog to indicate Record Prepared status.
Record Pre-roll | Specifies the color used in the Record dialog to indicate record pre-roll status.
Record Recording | Specifies the color used in the Record dialog to indicate recording status.
Graph Axis | Specifies the color used to display an axis in a graph such as in Paragraphic EQ.
Graph Fill | Specifies the color used to display a filled graph, such as in Paragraphic EQ.
Graph Fill Alternate | Specifies the color used when displaying multiple filled graphs such as in Multi-Band Dynamics.
Envelope Axis | Specifies the color used when displaying the axis of envelope controls.
Envelope Highlight | Specifies the color used when displaying a highlight in envelope controls.
Regions: Command Marker | Specifies the color used to display command marker tags in the data window Time Ruler.


Editing Preferences

Options Menu:
Preferences

Use the Editing tab in the Preferences dialog to specify preferences for editing and undo operations. To display this tab, choose Preferences from the Options menu and click the Editing tab.

What do you want to do?

Disable or enable triple-click selection of all data

Select the Disable triple-clicking to select all sound file data check box if you don’t want Sound Forge to select all data when you triple-click in a data window. You might want to select this option if triple-clicks are falsely detected when you make a selection and then try to perform a drag operation. Otherwise, decrease Windows' double-click threshold time.

When this check box is cleared, you can triple-click anywhere in a data window to select all data.

Change zero-crossing settings

  1. Use the Snap to zero-crossing slope drop-down list to specify how zero-crossings are detected when you choose Snap to Zero.

Item | Description
Negative Slope | Zero-crossings are detected only on a negative slope.
Any Crossing | Zero-crossings are detected on both positive and negative slopes.
Positive Slope | Zero-crossings are detected only on a positive slope

It is usually best to use either Positive Slope or Negative Slope so that noticeable pops and clicks are not generated by cutting data.

  2. In the Zero-cross scan time box, specify the maximum time (in samples) that Sound Forge will search for the next zero-crossing.

  3. In the Zero-cross level threshold box, specify the sample value below which data will be considered a zero-crossing.

Setting this value above zero can compensate for DC offset. However, if possible, you should remove DC offset first.

Disable automatic snapping at low zoom ratios

Select the Disable auto-snapping below 1:4 zoom ratios check box if you do not want selections to snap to time or zero-crossings when the data window zoom ratio is 1:1 or 1:2.

This is useful if you commonly zoom in fully to adjust selection points manually yet still want to use automatic snapping when zoomed out.

Limit undo buffers

Select the Limit number of undo buffers to check box and specify a number in the edit box to determine the maximum number of Undo operations that will be saved.

When the check box is cleared, Undo operations are not limited.

Having many Undo operations available will increase use of hard-disk space.

Limit redo buffers

Select the Limit number of redo buffers to check box and specify a number in the edit box to determine the maximum number of Redo operations that will be saved.

When the check box is cleared, Redo operations are not limited.

Having many Redo operations available will increase use of hard-disk space.

Disable undo buffers for new windows

Select this check box to prevent Sound Forge from creating undo buffers for new windows.

When this check box is selected, you can enable Undo creation for each window by deselecting Disable Undo/Redo from the Edit menu.

Adjust drag-and-drop window activation

Drag the Drag & drop auto rise delay slider to specify the time before a window underneath the cursor becomes active during drag-and-drop operations.


File Preferences

Options Menu:
Preferences

Use the File tab in the Preferences dialog to specify preferences for opening and saving files. To display this tab, choose Preferences from the Options menu and click the File tab.

What do you want to do?

Change File preferences

Item | Description
Warn if Save changes the sound data | Select this check box if you want Sound Forge to display a warning when you perform file conversions (such as performing bit-depth conversions, converting to stereo/mono, or compressing audio) that change your sound data. You will not hear the conversion’s effect on the sound until you reopen the file.
Automatically reopen if Save changes the sound data | Select this check box if you want Sound Forge to reopen files when you save to a different format. Changes in bit size, channels, or compression format will result in reopening, and will allow you to listen to any changes in sound quality.
Use 32-bit (IEEE float) temporary files | Select this check box if you want to use 32-bit, IEEE floating-point temporary files for audio files that are not opened in Direct mode. When the check box is cleared (or when you open a file in Direct mode), the bit-depth of the temporary file will match the source file.
Default Dialogic VOX sample rate for open | Specify the default sample rate used when opening Dialogic .vox sound files. This option is necessary because Dialogic .vox files do not contain sample rate information. Typical settings for this option are 6,000 Hz and 8,000 Hz.

Associate file types with Sound Forge

When a file is associated with Sound Forge, you can simply double-click on a sound file in the Windows Explorer and it will open for editing.

  1. Click the Associate Sound File Extensions button.

  2. Select the check box [image] for each sound file format you want to associate with Sound Forge.

    The File association details box displays information about the selected file type, as well as the current association.

  3. Click the OK button.


General Preferences

Options Menu:
Preferences

Use the General tab in the Preferences dialog to set miscellaneous Sound Forge options. To display this tab, choose Preferences from the Options menu and click the General tab.

What do you want to do?

Change general options

Select the check box to enable an option.

Option

Description

Show a Tip of the Day on startup

When this check box is selected, a Tip of the Day is displayed every time you run Sound Forge.

Show logo splash-screen on startup

When this check box is selected, a Sound Forge splash screen will be displayed briefly upon startup.

Show beat marks in data selections

Select this check box to display grid lines that divide the selection into four equal parts. These lines make creating loops from existing material easier.

Always ask for Region and Loop names

Select this check box if you want to display the Edit Region or Edit Loop dialog when you create regions or loop points. When this option is turned off, a default name based on location will be used.

Open default Workspace on startup

If this check box is selected, Sound Forge will automatically load any files that were open when you last exited the program.

Open drag-and-drop files in Direct mode

If this check box is selected, any files opened by dragging them onto the Sound Forge desktop (from outside of the program) will be opened in Direct mode.

Open command-line files in Direct mode

If this check box is selected, any files specified in a DOS-prompt command will be opened in Direct mode. For example, if Sound Forge is launched by another application (such as a multi-track editor), Sound Forge will edit the original file directly.

Do not prompt for reopen after save

Select this check box if you do not want Sound Forge to prompt you to reopen a sound file after saving to a different format.

Default to slow scroll when drag selecting

In some very fast computers, automatic scrolling while selecting is too fast to use accurately. When this option is turned on, drag-selecting will cause a slow scroll.

Click the right mouse button while selecting to toggle slow scrolling.

Warn when Mix or Crossfade rates mismatch

Select this check box if you want Sound Forge to warn you before mixing or crossfading data that has different sample rates. Mixing or crossfading data of different sample rates may produce unintended results.

Always open full-screen

Enabling this option forces Sound Forge to always open in full-screen mode. If this option is disabled Sound Forge opens in the size and position it was in when it was last closed.

Confirm on close

Select this check box if you want Sound Forge to prompt you with a confirmation message box before exiting Sound Forge.

If you are a system administrator, you may want to enable this option for users who are new to Windows, and who may click the Close box by accident.

Compatible draw mode (for broken video drivers)

Because Sound Forge's drawing routines are highly optimized, they increase the chance of causing little-known video card problems to arise. Some video cards have bugs in their drivers that can make your system lock up when Sound Forge tries to draw a waveform.

Compatible draw mode uses a different method of drawing the waveform that, although not as smooth, puts less stress on the video card. With some video cards, this mode actually increases the draw speed. However, more flashing can occur.

This problem is known to happen with ATI's Mach64 card when using High Color (16-bit) in Windows 95.

Compatible scroll mode (for other broken video drivers)

When this check box is selected, Sound Forge will use a less optimized method of scrolling the Waveform Display. In some instances, this can reduce interference problems between your audio and video card when Smooth Scrolling playback is selected.

Show a textured background in the Workspace

When this check box is selected, a stucco texture will be used for Sound Forge's application background.

Ignore fact chunk when opening compressed .wav files

When this check box is selected, Sound Forge will ignore fact chunks in compressed .wav files.

Compressed .wav files use fact chunks to specify how many actual samples are represented in the file. If a compressed file is improperly authored, this may cause some of the compressed data to not be loaded. If you suspect that not all sound data is being loaded from a compressed file, try checking this option and reopening the file.

Show all ACM convert formats in Save As

When this check box is selected, Sound Forge will enumerate all compression formats available for each ACM compressor. However, this enumeration process can be slow on slow machines. For simple ACM codecs (Microsoft ADPCM, IMA ADPCM, etc.), this option is unnecessary (they have only one compression type per input) and could be disabled to speed up the selection.

Show ACM driver name in Save As

When this check box is selected, Sound Forge will display the driver name next to each ACM codec. This is only necessary if you have more than one driver installed for a particular codec.

Turn off Voxware key for ASF

When this check box is selected, you will need a software key supplied by Voxware to save ASF files using a Voxware codec. This is only necessary if you have a later Voxware codec installed in your than the one included with NetShow 2.0.

Show free storage space on Status Bar

When this check box is selected, the total amount of free disk space available on your specified temporary drive is displayed on the status bar.

Show shuttle controls on Data Window transport

When this check box is selected, Rewind and Forward buttons will appear on each data window's transport controls.

Auto-power MIDI keyboard window

Select this check box if you want Sound Forge to open up the MIDI device assigned to the MIDI Keyboard (if it is not already open) when you press a key on the MIDI Keyboard. You may want to disable this option if you are using the same MIDI output device for MIDI synchronization or for your sequencer. If this option is disabled you need to press the On button on the Keyboard prior to using it to send notes.

Ignore device capabilities in Mixer window

Normally, when Sound Forge loads audio devices found in the system, it checks to see if the drivers support volume control. Devices that report that they do not support volume control are grayed in the mixer devices list. However, some devices do not report their capabilities correctly.

If this option is enabled, Sound Forge will ignore the device capabilities and attempt to set the levels for any device you select in the Mixer window.

Show OLE drag source on Data Window transport

When this check box is selected, the OLE Drag Source control is displayed on the right side of the status bar in all data windows. This provides a convenient method of creating Sound Forge audio objects that can be embedded into other documents.

If you do not use this feature and want to reclaim the space for the status bar, simply clear this check box.

Offset video when saving using MPEG Layer 3

Files saved with the MPEG Layer 3 codec have a slight amount of silence inserted at the beginning of the file.

Select this check box to insert video frames to compensate for this delay. This preserves audio and video synchronization.

Offset markers/regions when saving using MPEG Layer 3

Files saved with the MPEG Layer 3 codec have a slight amount of silence inserted at the beginning of the file.

Select this check box to shift all markers and regions to compensate for this delay when saving.

Enable forced write-through on Record (Windows 98 and Me only)

This option forces recording directly to the hard drive, eliminating large amounts of data to be cached. It is recommended that this option remain enabled for optimum recording performance.

Always prompt to save new files with Scott chunks

Select this check box if you want Sound Forge to display the Scott Studios Information dialog when you save a new file or click the Save As button.

When this check box is selected, the Make EOM Start and Scott InCue commands are added to the Marker shortcut menu.

Always launch send after saving Scott files

Select this check box if you want Sound Forge to start the Scott Studios Send application after you save a file with Scott Studios information. Send allows you to send the newly created file to several different network locations.

Strictly conform to AVI2 specification

Select this check box to create files that conform strictly to the AVI2 specifications. If you have problems using your AVI files in other applications, clear this check box.

Display or modify the recently used file list

Select the check box if you want to display a list of recently used files on the File menu. Use the edit box to specify the number of files you want to display.

If you do not want to display recently used files on the File menu, clear this check box.


Other Preferences

Options Menu:
Preferences

Use the Other tab in the Preferences dialog to specify miscellaneous Sound Forge preferences. To display this tab, choose Preferences from the Options menu and click the Other tab.

What do you want to do?

Specify a pre-roll for looped playback

In the Play Looped adjust pre-roll box, specify the number of seconds that will be played before the loop end point when playing in Loop Preview mode.

To play a loop in Loop Preview mode, hold the Ctrl key while clicking the Play Looped button [image]. This is useful when loop-tuning a long loop.

Configure the Audio Event Locator

Use the Audio Event Locator Pre-roll and Loop time settings to control how the Audio Event Locator plays audio:

  • In the Pre-roll box, specify the amount of data played prior to the cursor position.

  • In the Loop time box, specify the amount of time that will loop when you stop the cursor while clicking and dragging in the overview bar.

To use the Audio Event Locator, click on the overview bar and drag the mouse. Playback will loop around the cursor position until the mouse button is released.

Configure the Preview Cut/Cursor command

Use the Cut preview configuration Pre-roll and Post-roll settings to control the amount of data that is played back when you choose Preview Cut/Cursor from the Edit menu:

  • In the Pre-roll box, specify the amount of data played prior to the selection or cursor position.

  • In the Post-roll box, specify the amount of data played after the selection or cursor position.


Performance Preferences

Options Menu:
Preferences

Use the Perform tab in the Preferences dialog to specify preferences for opening and saving files. To display this tab, choose Preferences from the Options menu and click the Perform tab.

What do you want to do?

Specify a folder for temporary files

Specify a folder for storing temporary files, or click the Browse button to specify a new folder.

Sound Forge stores its temporary data in this folder. Using temporary file space allows you to edit very large files and keeps Sound Forge from using large portions of RAM on your computer. Your temporary directory must have enough space to accommodate the total size of all files you plan to edit along with space for any clipboard data and undo buffers.

If you change the temporary storage folder, you will have to restart Sound Forge for the change to take effect.

Specify a peak file (.sfk) ratio

Choose a ratio from the drop-down list to specify the zoom ratio above which Sound Forge will use a peak file instead of scanning all of the data to draw the waveform.

Lower values allow for faster scrolling at those ratios, but increase the peak file's size. For example, setting this value to 1:128 instead of 1:256 will make the peak file two times larger, but will make scrolling at 1:128 faster and scrolling at 1:65536 or higher ratios slower.

To calculate the size of the resulting peak files, divide the size of the file by the peak ratio. For example, a 100 MB sound file will need a 0.39 MB (100/256) peak file when using 1:256.

Specify a wait cursor threshold

Choose a value from the drop-down list to specify the zoom level above which an hourglass cursor will be displayed between data window repaints. If the cursor seems to flicker on and off when redrawing wave data, you may want to increase this value. This value is ignored during playback.

Show the position of the playback cursor

When this check box is selected, the Position field in the status bar will show the cursor position during playback. Disable this option if you have a very slow computer or video card.

Show the record counter while recording

Select this check box if you want the record time displayed in the Record dialog while recording. Clear the check box if you have a very slow computer or video card.


Playlist Preferences

Availiable only in Sound Forge

Options Menu:
Preferences

Use the Playlist tab in the Preferences dialog to specify preferences for working with the Regions List and Playlist/Cutlist. To display this tab, choose Preferences from the Options menu and click the Playlist tab.

What do you want to do?

Change the display format of Regions List regions

Choose a setting from the drop-down list to specify how regions are displayed within the Regions List:

  • Start and End: Regions are displayed with the start and end time of each region.

  • Start and Length: Regions are displayed with the start time and length of each region.

Change the display format of Playlist/Cutlist regions

Choose a setting from the drop-down list to specify how regions are displayed within the Regions Playlist/Cutlist:

  • Start and End: Regions are displayed with the start and end time of each region.

  • Start and Length: Regions are displayed with the start time and length of each region.

Sort the Regions List alphabetically

Select this check box if you want to want to sort the Regions List alphabetically. When this check box is cleared, regions are displayed in the order in which they were added.

Specify pre-roll for Playlist/Cutlist regions

Enter a value in the edit box or use the up and down arrows to specify the amount of pre-roll that will be used when playing entries in the Playlist. This allows you to easily hear the transition from one region to another without having to play all the way through the first region.


Preview Preferences

Options Menu:
Preferences

Use the Previews tab in the Preferences dialog to specify preferences for opening and saving files. To display this tab, choose Preferences from the Options menu and click the Previews tab.

What do you want to do?

Limit previews

Select the Limit previews to check box and specify the length of audio that will be used when generating a preview. Low values decrease the amount of time needed to generate a preview when tuning effects or processing values.

Specify preview pre-roll

Select the Pre-roll check box and specify how many seconds of unprocessed audio will be played before the processed selection. Use this to listen to the transition from unprocessed to processed data.

Specify preview post-roll

Select the Post-roll check box and specify how many seconds of unprocessed audio will be played after the processed selection. Use this to listen to the transition from processed to unprocessed data.

Fade the edges of previews

Select the Fade out last 10 milliseconds check box to fade out the last 10 milliseconds of a preview effect so that large pops are not heard at the end of a preview buffer.

Loop previews

Select the Loop preview continuously check box to loop preview buffers infinitely rather than playing a single time. This can be useful when listening to the difference between the original sound and the sound after an effect or process has been applied.

Automatically update preview buffers

Select the Reactive Previewing check box to automatically recalculate and play back of the preview buffer if the parameters of an effect change. This allows for immediate feedback of the effects of a change.

This option is most useful when using a fast computer, limiting preview times, and not using processor-intensive effects.

You can temporarily suspend Reactive Previewing by holding down the Shift key while making parameter changes.


Real-Time Preview Configuration

This dialog allows you to set parameters for previewing and processing DirectX plug-ins. To display the dialog, right-click the title bar of a DirectX effect dialog's title bar and choose Preview Configuration from the shortcut menu.

Item

Description

Buffers to Process per Second

Specify how many playback buffers are processed per second. A larger number may increase real-time playback reliability.

Total Playback Buffers

Specify the number of playback buffers. A larger number may increase real-time playback reliability.

Do Not Allow In-Place Buffer Size Increases

Select this check box only if a plug-in fails to correctly handle buffer size information.

When this check box is selected, the available data size and the actual data buffer size are forced to be equal. Plug-ins based on Microsoft's original Gargle Filter example may require this option to be enabled.

Use Plug-In's Requested Minimum Buffer Size

Select this check box only if a DirectX plug-in fails to connect and process audio. Some plug-ins may only work with specific buffer sizes.

Crossfade Edges

Select this check box to crossfade the edges of the processed and unprocessed audio at the start and end of the current selection. Crossfading prevents glitching when applying an effect in the middle of a sound clip.

Crossfading is not available in real-time preview.

If Plug-In Extends Length

These options determine how Sound Forge handles the extra audio tail of plug-ins, such as reverb:

  • Select the Insert Tail radio button to insert the audio tail. All audio to the right of the tail will be moved over to accommodate the extra audio.

  • Select the Mix Tail radio button to mix the tail into the adjacent material. This is the most natural-sounding option.

  • Select the Ignore Tail radio button to ignore the tail. The effect will end abruptly at the end of the selection.

Reset

Click to restore the default Real-Time Preview Configuration settings.


Status Preferences

Options Menu:
Preferences

Use the Status tab in the Preferences dialog to specify preferences for displaying information in the status bar. To display this tab, choose Preferences from the Options menu and click the Status tab.

What do you want to do?

Specify the default SMPTE format

Choose a format from the drop-down list to specify the SMPTE type used when selecting a SMPTE format option from the Status Bar shortcut menu:

  • Non-Drop 30 FPS: Calculates status values using 30 frames per second SMPTE code.

  • Drop 29.97 FPS: Calculates status values using 29.97 frames per second SMPTE code. This is accomplished by dropping two frames every minute except for minutes 00, 10, 20, 30, 40, and 50.

  • EBU 25 FPS: Calculates status values using 25 frames per second SMPTE code. This format is the European Broadcast Union time code.

  • Film Sync 24 FPS: Calculates status values using 24 frame per second SMPTE code. This format is for standard 24 fps film media.

Specify the default time format

Choose a format from the Default SMPTE format drop-down list to specify the time format (Time or Seconds) used when selecting the Time option from the Status Bar shortcut menu.

Specify the default frame rate

In the Default frames per second box, specify the default frame rate used to calculate frame values.

Frame values are useful when trying to synchronize sound with animation. Most animation players specify a playback frame rate at which video frames are shown to the user. If you are using an animation that has a frame rate of 15.0 frames per second, you would set the frame rate to 15.0. When status values are shown by Sound Forge, they will be shown in values of frames. This allows you to find the frame to which a given point in the sound file corresponds.

Specify the default beats per measure

In the Default beats per measure, specify the number of beats in each measure for displaying in measures and beats. For example, 2/4 time would have two beats per measure.

Specify the default beats per minute

In the Default beats per minute, specify the number of beats per minute, i.e. the tempo of a song for displaying lengths.

Specify the default scan time for calculating RMS level

In the RMS level scan time box, specify the amount of sound data surrounding the cursor used to calculate the RMS level in the Levels toolbar.

Specify the default scan time for calculating peak level

In the Peak level scan time box, specify the amount of sound data surrounding the cursor used when searching for a peak level to display in the Levels toolbar.

Specify the default SMPTE display format

Choose a setting from the Display format for SMPTE code drop-down list to specify how SMPTE values will be formatted for display.


Video Preferences

Options Menu:
Preferences

Use the Video tab in the Preferences dialog to specify preferences for displaying video. To display this tab, choose Preferences from the Options menu and click the Video tab.

What do you want to do?

Specify a video decompression mode

From the Video decompression mode drop-down list, select the color resolution that will be used by Sound Forge when it decompresses video frames before displaying. Note that when a high bit-depth is used, the performance demands on your system are increased. The available modes are:

  • 8 bits always: Sound Forge will always decompress the video to 8 bits per pixel (256 color).

  • Best for display: Sound Forge will decompress the video to the best format that matches your system's color capabilities.

  • Full decompress always: Sound Forge will always decompress the video to its original bit depth when displaying. This is useful if you want to ensure that the video frames you see contain all the color information stored in the file. Also, if you want to paste frames to the clipboard, this setting ensures maximum resolution.

Configure hardware scaling of video frames

  1. Select the Allow hardware scaling during decompression check box if you want to allow video frames to be scaled to a different size.

  2. In the Only scale frames larger than boxes, specify a Height and Width. Video frames that are this size or smaller will not be scaled.

  3. In the Attempt to scale during decompression to boxes, specify a Height and Width. Video frames that are larger than the Only scale frames larger than setting will be scaled to this size.

Disable scanning for external monitors

Select the Disable scan for External Monitor support check box if you do not want Sound Forge to look for an external video monitor every time an AVI file is opened. If you do not have an external monitor, selecting this check box will cause AVI files to open more quickly.

Adjust a synchronization offset

If your audio is not synchronized with your external monitor, you can configure an offset for your hardware.

Drag the External monitor sync offset (frames) slider to synchronize audio and video.

This setting affects synchronization for previewing on an external monitor. Audio and video synchronization in your file is unaffected.


Wave Preferences

Options Menu:
Preferences

Use the Wave tab in the Preferences dialog to specify which hardware devices Sound Forge should use for playing back and recording audio. To display this tab, choose Preferences from the Options menu and click the Wave tab.

What do you want to do?

Choose a playback device

From the Playback drop-down list, choose the device that you want to use for playing sound data.

Selecting a device such as the Wave Mapper or Microsoft Sound Mapper allows Windows to select an appropriate device to use for the current sound data.

Interpolate play position

Select the Interpolate play position for inaccurate devices check box if you want Sound Forge to interpolate the position of the cursor during playback. If this option is not checked, Sound Forge relies on the sound card device driver to provide the correct position of the pointer during playback.

Many sound card drivers do not report their position accurately. When you play sounds back, the position of the cursor may seem to lag or precede the sound you are hearing. If your sound card driver does not have accurate position reporting, your Drop Marker and Mark In/Out positions will also be incorrect when placing markers during playback.

Adjust play position bias

Drag the Play position bias slider handle to specify an offset value that Sound Forge will add to the position values returned by the sound card wave driver during playback.

Many sound card drivers do not report their position accurately. When you play sounds back, the position of the cursor may seem to lag or precede the sound you are hearing. If your sound card driver does not have accurate position reporting, your Drop Marker and Mark In/Out positions will also be incorrect when placing markers during playback.

When adjusting bias, start with smaller values and work toward larger values in increments of 4 (a value of 1 is equal to 512 bytes) until the play position pointer is accurate. Recommended settings are 4, 8, 16, and 32. These settings correspond to the typical bias values for these drivers of -2048, -4096, -8192 and -16384 (negative multiples of 2048) bytes.

Choose a recording device

From the Record drop-down list, choose the device that you want to use for recording sound data.

Selecting a device such as the Wave Mapper or Microsoft Sound Mapper allows Windows to select an appropriate device to use for the current sound data.

Interpolate recording position

Select the Interpolate record position for inaccurate devices check box if you want Sound Forge to interpolate the position of the cursor during recording. If this option is not checked, Sound Forge relies on the sound card device driver to provide the correct position of the pointer during recording.

Adjust recording position bias

Drag the Record position bias slider handle to specify an offset value that Sound Forge will add to the position values returned by the sound card wave driver during recording.

Many sound card drivers do not report their position accurately. When you play sounds back, the position of the cursor may seem to lag or precede the sound you are hearing.

When adjusting bias, start with smaller values and work toward larger values in increments of 4 (a value of 1 is equal to 512 bytes) until the play position pointer is accurate. Recommended settings are 4, 8, 16, and 32. These settings correspond to the typical bias values for these drivers of -2048, -4096, -8192 and -16384 (negative multiples of 2048) bytes.

Adjust the playback/recording buffer size

Drag the Total buffer size slider handle to select the amount of RAM you would like to use for buffering sounds during playback and recording. Using a large value can optimize performance at high sample rates, but may also cause a slight delay before playback begins.

Adjust .wav data preloading

Drag the Preload size slider handle to select the total amount of wave data that will be queued to the sound driver before playback starts.


The Add Marker/Region Dialog

Special Menu:
Regions List

From the Special menu, choose Regions List and choose Add from the submenu (or right-click on the Regions List and choose Add from the shortcut menu) to display the Add Marker/Region dialog. The options on this dialog are explained below.

Item

Description

Name

Enter a name to identify the marker or region.

Type

Click a radio button to specify whether you want to add a marker or a region:

  • A marker is a single point in your file.

  • A region is defined by a start and end point and has an associated length.

Start

Specify the beginning point of the marker or region. Sound Forge automatically fills in this value based on your selection or cursor position.

Start is the only available setting when the Marker radio button is selected.

End

Specify the ending point of the region. Sound Forge automatically fills in this value based on your selection or cursor position.

Length

Specify the length point of the region. Sound Forge automatically fills in this value based on your selection or cursor position.

Input format

Choose an input format from the drop-down list. This format is used to display the values in the Start, End, and Length boxes.

Play looped

Select this check box and click the Play button to preview your marker or region:

  • If the Marker radio button is selected, the entire sound file will play back when you click the Play button.

  • If the Region radio button is selected, only the specified region will play back when you click the Play button.

Trigger

Select a trigger type from the drop-down list if you want to trigger a region or marker using MIDI commands.

Channel

Specify the MIDI input channel for triggering.

Note

Specify the MIDI note that will trigger region playback. This value can be entered as a MIDI note value such as C4 or as a MIDI note number such as 60.

Notes:

  • If you have the MIDI Input Sync/Trigger mode enabled while using this dialog, you can auto-complete the Channel and Note values by pressing a key on your MIDI Keyboard.

  • Triggers in the Regions List are different from triggers specified in the MIDI Triggers dialog (Options menu) and the Playlist. When using triggers in the Playlist, Regions List, or MIDI Triggers dialog, be aware that they can interact with each other to create unexpected results. Sound Forge first looks at the MIDI Triggers, then the Regions List, and then the Playlist when determining what to do when a MIDI command is detected. If you only want to use the triggers in the Regions List, turn off all the triggers in the MIDI Triggers dialog and the Playlist.


Adding a Region to a Playlist or Cutlist

Special Menu:
Playlist/Cutlist

  1. Select a region in the Regions List. If the Regions List is not visible, press Alt+1.

  2. From the Special menu, choose Playlist/Cutlist and choose Add from the submenu to add the selected region.

The Add command is not available unless the Regions List is visible. Press Alt+1 to display the list.

Shortcuts:

  • To add an existing region to the Playlist/Cutlist, drag the region from the Regions window to the Playlist/Cutlist window.

  • To create a region and add it to the Playlist/Cutlist, select a range of data and drag it to the Playlist/Cutlist window. Sound Forge will display the Add Marker/Region dialog so you create a region using the selection, and the new region will be added to the Playlist/Cutlist.


Adding Markers or Regions

Special Menu

What do you want to do?

Add a marker during playback

  1. Press the M key. A marker is inserted at the current cursor position.

  2. Right-click the marker tag [image] and choose Edit from the shortcut menu to display the Edit Marker/Region dialog, where you can edit the default marker name and other parameters.

Add a region quickly

  1. Select a range of data.

  2. From the Special menu, choose Create Region (or press the R key).

  3. Use the Edit Marker/Region dialog to edit the default region name and other parameters.

    The dialog is displayed automatically if the Always ask for regions and loop names check box is selected on the General Preferences tab. If the dialog is not displayed automatically, right-click the region tag [image] and choose Edit from the shortcut menu.

Add a region or marker using the Add Marker/Region Dialog

  1. From the Special menu, choose Regions List and choose Add from the submenu.

  2. Use the Add Marker/Region dialog to specify parameters for your region or marker.

Right-click on the Regions List and choose Add from the shortcut menu.

Drag and drop a selection to the regions list

  1. Make a selection in a data window.

  2. Drag and drop the selection to the regions list.

  3. Use the Add Marker/Region dialog to specify parameters for your region or marker.

Convert markers to regions

From the Special menu, choose Regions List and choose Markers to Regions from the submenu. All existing markers will be converted to regions using the data between each consecutive marker as the region boundary. For example, if your file contains three markers, this command will create two regions; the first region will span the area between the first and second markers, and the second region will span the area between the second and third markers.


Clearing Playlist/Cutlist Regions

Special Menu:
Regions List

From the Special menu, choose Playlist/Cutlist and choose Clear from the submenu to remove all regions from the Playlist/Cutlist.

This command will not remove regions defined in the file.


Converting Markers to Regions

Special Menu:
Regions List

From the Special menu, choose Regions List and choose Markers to Regions from the submenu. All existing markers will be converted to regions using the data between each consecutive marker as the region boundary.

For example, if your file contains three markers, this command will create two regions; the first region will span the area between the first and second markers, and the second region will span the area between the second and third markers.

Right-click on the Regions List and choose Markers to Regions from the shortcut menu.


Copying Regions to the Clipboard

Special Menu:
Regions List

From the Special menu, choose Regions List and choose Copy onto Clipboard to copy the text of the Regions List onto the clipboard for use with a text editor.

Right-click on the Regions List and choose Copy onto Clipboard from the shortcut menu.


Copying the Playlist/Cutlist to the Clipboard

Special Menu:
Playlist/Cutlist

From the Special menu, choose Playlist/Cutlist and choose Copy onto Clipboard to copy the text of the Playlist/Cutlist onto the clipboard for use with a text editor.

Right-click on the Playlist/Cutlist and choose Copy onto Clipboard from the shortcut menu.


Creating a New File from a Playlist/Cutlist

Special Menu:
Playlist/Cutlist

From the Special menu, choose Playlist/Cutlist and choose Convert to New to create a new sound file that contains the regions arranged sequentially as specified in the Playlist. The new file will contain the exact sequence of regions you hear when playing from the Playlist/Cutlist.

Right-click the Playlist/Cutlist and choose Convert to New from the shortcut menu.

When a new AVI file is created from a Playlist/Cutlist, each region's start and end points must align with a frame boundry. If the regions do not align, they are automatically aligned in the following manner:

  • Region start points are moved backward.

  • Region end points are moved forward.

  • The new area is filled with silence.


Defining a Playlist Stop Point

*

Special Menu:
Playlist/Cutlist

When the Playlist is invoked, it will continue to play through the regions until it encounters a stop point. The Playlist will continue to play only after it is invoked again. This is useful when triggering playback from incoming MIDI or time code and you only want certain sections of the playlist to be played at a time.

Defining a stop point

  1. Select a region in the Playlist/Cutlist.

If the Playlist/Cutlist is not visible, choose Playlist/Cutlist from the View menu or press Alt+2.

  2. From the Special menu, choose Playlist/Cutlist and choose Stop Point from the submenu or right-click a region in the Playlist/Cutlist and choose Stop Point from the shortcut menu.

Press * when a playlist region is selected.


Removing a Region from a Playlist or Cutlist

Special Menu:
Playlist/Cutlist

  1. Select a region in the Playlist/Cutlist. If the Playlist/Cutlist is not visible, press Alt+2.

  2. From the Special menu, choose Playlist/Cutlist and choose Delete from the submenu to remove the selected region.

With a region selected in the Playlist/Cutlist, press the Delete key.


Deleting Cutlist Regions

Special Menu:
Playlist/Cutlist

From the Special menu, choose Playlist/Cutlist and choose Delete Cut Regions from the submenu to remove Cutlist regions from a file. This command is not available unless Treat as Cutlist is selected.

Right-click the Cutlist and choose Delete Cut Regions from the shortcut menu.


Deleting Regions

Special Menu:
Regions List

  1. Select a region in the Regions List.

If the Regions List is not visible, choose Regions List from the View menu or press Alt+1.

  2. From the Special menu, choose Regions List and choose Delete from the submenu or press the Delete key.

Right-click a region in the Regions List and choose Delete from the shortcut menu.


Editing a Marker or Region

Editing Markers or Regions

Special Menu:
Regions List

Use the Edit Marker/Region dialog to change information about an existing marker or region in a file.

What do you want to do?

Open the Edit Marker/Region dialog

  1. Select an entry in the Regions List.

If the Regions List is not visible, choose Regions List from the View menu or press Alt+1.

  2. From the Special menu, choose Regions List and choose Edit from the submenu (or double-click an entry in the regions list) to display the Edit Marker/Region dialog.

Right-click a marker [image] or region tag [image] and choose Edit from the shortcut menu.

  3. Edit the items on the Edit Marker/Region dialog to change the parameters of the marker or region. The items on the dialog are explained below.

  4. Click the OK button.

Change a marker/region name

By default, markers and regions are named using the cursor position or selection (such as Region 00:00:00.00 to 00:00:01.04 or Marker 00:00:00.19).

Use the Name box to enter a new name to identify a marker or region.

Change marker or region type

Click the Marker or Region radio button to specify whether you want to add a marker or a region:

  • A marker is a single point in your file.

  • A region is defined by a start and end point and has an associated length. If you change a marker to a region, the marker position is used as the start of the region. Use the End or Length boxes to specify the region's span.

Change a marker/region position or length

Set marker position or region start point

In the Start box, specify the beginning point of the marker or region. Sound Forge automatically fills in this value based on your selection or cursor position.

Start is the only available setting when the Marker radio button is selected.

Set region end or length

In the End box, specify the ending point of the region. Sound Forge automatically fills in this value based on your selection or cursor position.

In the Length box, specify the length point of the region. Sound Forge automatically fills in this value based on your selection or cursor position.

Specify an input format

Choose an input format from the Input Format drop-down list. This format is used to display the values in the Start, End, and Length boxes.

Preview a marker or region

Click the Play button:

  • If the Marker radio button is selected, the entire sound file will play back starting at the marker position.

  • If the Region radio button is selected, only the specified region will play back.

Trigger a marker or region using MIDI commands Available only in Sound Forge

  1. Select a trigger type from the Trigger drop-down list if you want to trigger a region or marker using MIDI commands.

  2. In the Channel box, specify the MIDI input channel for triggering.

  3. In the Note box, specify the MIDI note that will trigger region playback. This value can be entered as a MIDI note value such as C4 or as a MIDI note number such as 60.

Notes:

  • If the MIDI Input Sync/Trigger command is selected while using this dialog, you can auto-complete the Channel and Note values by pressing a key on your MIDI Keyboard.

  • Triggers in the Regions List function differently from triggers specified in the MIDI Triggers dialog and the Playlist. When using triggers in the Playlist, Regions List, or MIDI Triggers dialog, be aware that they can interact with each other to create unexpected results. Sound Forge first looks at the MIDI Triggers, then the Regions List, and then the Playlist when determining what to do when a MIDI command is detected. If you only want to use the triggers in the Regions List, turn off all the triggers in the MIDI Triggers dialog and the Playlist.


Editing a Playlist Region

Special Menu:
Playlist/Cutlist

The Edit Playlist dialog allows you to specify the number of times a playlist region will be played, set up MIDI triggers, and establish pre-roll.

What do you want to do?

Open the Edit Playlist dialog

  1. Select a Playlist/Cutlist region.

If the playlist is not visible, choose Playlist/Cutlist from the View menu or press Alt+2.

  2. From the Special menu, choose Playlist/Cutlist and choose Edit from the submenu (or double-click a region in the Playlist).

Right-click a playlist region and choose Edit from the shortcut menu.

Specify a region's play count

Enter a value in the Play Count box or use the up and down arrows to specify the number of times the playlist region will repeat before playing the next region.

Setting this value to 0 will cause the region to be skipped during playback.

Trigger a playlist region using MIDI commands

  1. Select a method from the Trigger drop-down list to specify how the playlist region will be invoked.

  2. Specify trigger parameters in the Channel, Note, and SMPTE time boxes.

If the MIDI Input Sync/Trigger command is selected while using this dialog, you can auto-complete the Channel and Note values by pressing a key on your MIDI Keyboard.

Item | Description
Channel | If the playlist region will be triggered by a MIDI note, this will be the receive channel for that region.
Note | If the playlist region will be triggered by a MIDI note, this is the MIDI note number that will trigger this playlist region. This value can be entered as a MIDI note value (such as C4) or as a MIDI note number (such as 60).
SMPTE time | If the playlist region will be triggered from a SMPTE time cue, this is the point in SMPTE time that will trigger the region.

When a region has a trigger associated with it, a musical note is displayed next to the region's Play button:

Pre-roll playback

Select the Pre-roll playback check box and specify a value to set the amount of pre-roll that will be heard from the end of the previous region when starting the playlist sequence from the current region.

Example: two regions are defined in the Playlist and the pre-roll time is set to 0.5 seconds. When you start playback of the Playlist from Region 2, the last 0.5 seconds of Region 1 will be played back before starting Region 2. This allows you to hear the transition between the two regions.

Press / (forward slash) when a playlist region is selected to select the Pre-roll playback check box without opening the Edit Playlist dialog.

Set a playlist stop point

Select the Stop point check box to stop playback with the selected region.

When the Playlist is invoked, it will to play through the regions until it encounters a stop point. The Playlist will continue to play only after it is invoked again. This is useful when triggering playback from incoming MIDI or timecode and you only want certain sections of the playlist to be played at a time.

Press * when a playlist region is selected to select the Stop point check box without opening the Edit Playlist dialog.

Synchronize playback with MIDI timecode

You can use MIDI timecode to synchronize Sound Forge playback to another device.

  1. From the Options menu, choose Preferences, and click the MIDI/Sync tab.

  2. On the MIDI/Sync tab, choose the device to which you want to synchronize from the Input drop-down list and click the OK button.

  3. From the Options menu, select MIDI Input Sync/Trigger to enable MIDI input.

  4. From the View menu, choose Toolbars. Select the Regions/Playlist check box and click the OK button. The timecode is displayed in the Regions/Playlist toolbar when you start your MIDI device.

  5. Create a region that includes the sound data that you want to trigger.

  6. Add your region to the playlist.

  7. Double-click the playlist region to open the Edit Playlist dialog.

  8. In the Edit Playlist dialog, choose SMPTE: Play at Time from the Trigger drop-down list and enter the time at which you want to start playback in the SMPTE time box.


Opening a Regions/Playlist File

Special Menu

From the Special menu, choose Regions List or Playlist/Cutlist and choose Open from the submenu to import an existing regions/playlist file into the current sound file. This command offers the flexibility of using multiple playlists for the same sound file.

  1. From the Special menu, choose Regions List or Playlist/Cutlist and choose Open from the submenu.

Right-click on the Regions List or Playlist/Cutlist and choose Open from the shortcut menu.

  2. Use the Open Regions/Playlist dialog to locate an existing regions/playlist file.

  3. Specify the type of regions you want to import from the Files of Type drop-down list:

  • Choose Playlist File (.sfl) to import a Sound Forge regions/playlist file.

  • Choose Session 8 File (.prm) to import a file that supports both Session 8 and Sound Forge regions.

  • Choose Windows Media Script File (.txt) to import a Windows Media Format script table.

  • Choose Wave File (.wav) to import markers and regions from another sound file.

  4. Click the Open button.

Opening a new regions/playlist file will clear the current regions and playlist entries. Make sure you have saved the current regions/playlist before continuing.


Play as Sample/Cutlist Mode

Ctrl+Spacebar

Special Menu:
Transport

From the Special menu, choose Transport and choose Play as Sample/Cutlist Mode from the submenu to set playback to Sample or Cutlist mode.

When the Treat as Cutlist command is selected, this button is displayed as [image].

When you click the Play button [image] while in Sample or Cutlist mode, playback will adhere to the following rules:

  • If the file contains loops, the loops will repeat as many times as specified on the Edit Sample dialog. Use this to listen to a sound file as it would sound when played by a sampler.

  • If cutlist regions have been defined, the file will be played once and cutlist regions will be skipped. Use this to preview the effects of your cutlist. Sound Forge only

  • If the file does not contain any loops and no cutlist has been defined, the file will be played once from beginning to end.


Pre-Roll Playlist Entries

Special Menu:
Playlist/Cutlist

From the Special menu, choose Playlist/Cutlist and choose Pre-roll Playback (or right-click a region in the Playlist and choose Pre-roll Playback from the shortcut menu) to begin playback a specified amount of time prior to the selected region. You can specify the pre-roll time on the Edit Playlist dialog or on the Playlist tab in the Preferences dialog.

Press / (forward slash) when a playlist region is selected.

Example: two regions are defined in the Playlist and the pre-roll time is set to 0.5 seconds. When you start playback of the Playlist from Region 2, the last 0.5 seconds of Region 1 will be played back before starting Region 2. This allows you to hear the transition between the two regions.


Replicating a Playlist/Cutlist Region

Special Menu:
Playlist/Cutlist

Replicating a Playlist/Cutlist region creates an exact copy of an existing region in a Playlist/Cutlist. You can use the Edit Playlist dialog to modify the properties of the replicated region.

  1. Select a region in the Playlist/Cutlist.

If the Playlist/Cutlist is not visible, choose Playlist/Cutlist from the View menu or press Alt+2.

  2. From the Special menu, choose Playlist/Cutlist and choose Replicate from the submenu.

Right-click a region in the Playlist/Cutlist and choose Replicate from the shortcut menu.


Using a Cutlist

Special Menu:
Playlist/Cutlist

From the Special menu, choose Playlist/Cutlist and choose Treat as Cutlist from the submenu to use the Playlist/Cutlist in Cutlist mode. Regions in the Cutlist will be skipped during playback when you click the Play as Cutlist button [image].

Right-click on the Playlist/Cutlist and choose Treat as Cutlist from the shortcut menu.


Advanced RealMedia Settings Dialog

Advanced RealMedia Settings

This dialog allows you to change the default settings used for encoding RealMedia files.

To display this dialog, choose RealNetworks G2 from the Save as type drop-down list in the Save As dialog, click the Save button, and then click the Advanced button on the Save Options dialog.

The settings on the Advanced RealMedia Settings dialog are global settings and will affect any application using the settings.

Which tab do you want to learn more about?

Audio tab

Item

Description

Target Audience

Click the down arrow and select a target audience from the drop-down list. The Target Audience setting refers to the maximum connection speed of the users who will receive your streaming media.

Audio Codecs:

-Voice Only

-Voice with Background Music

-Music

-Stereo Music

Sound Forge chooses a default codec for each audio format based on the Target Audience setting. You can modify these codecs by clicking the down arrow and selecting a new codec from the drop-down list.

The value in the Frequency Response box refers to the highest frequency the codec is capable of reproducing. The area below each codec provides a brief description of the selected codec, including the appropriate target audience for the codec.

Restore Defaults

Click to return the all RealMedia settings (Audio, Video, and Target Bitrate Tabs) to the default setting.

Video tab

Item

Description

Target Audience

Click the down arrow and select a target audience from the drop-down list. The Target Audience setting refers to the maximum connection speed of the users who will receive your streaming media.

Video Codec

Stream Anywhere chooses a default video codec based on the Target Audience setting. You can modify this codec by clicking the down arrow and selecting a new codec from the drop-down list.

Max Frame Rate

The value in the Max Frame Rate box refers to the number of video frames the codec displays per second. Drag the slider next to the Max Frame Rate box to change the setting.

High frame rates reproduce high-motion video smoothly, but do not play back well for modem users, especially with medium-to-large frame sizes. Low frame rates improve image clarity at the expense of smooth motion. Consider the video components that you want to emphasize when selecting a codec: image size, image clarity, or motion.

Restore Defaults

Click to return the all RealMedia settings (Audio, Video, and Target Bitrate Tabs) to the default setting.

Target Bitrate tab

Item | Description
Target Audience | Click the down arrow and select a target audience from the drop-down list. The Target Audience setting refers to the maximum connection speed of the users who will receive your streaming media.
Target Bitrate | Enter the Target Bit Rate for the selected Target Audience. The bit rate should allow for connection and packet overhead. For more information, see Choosing an Appropriate Bit Rate .


Advanced Video Settings Dialog

To adjust advanced Windows Media Format video settings, click the Advanced button on the Windows Media Services Encoder Template Wizard's Compression and Formats page.

What do you want to do?

Adjust the encoded image size

Click the radio button that corresponds to the desired height and width of video encoded with the current template:

  • QCIF (Quarter Common Interface format) and CIF (Common Interface format) are predefined image standards. These standards are provided because their image size is a standard that is supported by many codecs and video editing tools.

  • The 160x130 and 320x240 options provide video windows that are slightly smaller than QCIF and CIF, respectively. The slight decrease in image size allows for more bandwidth to be used for video frames, and can improve content quality in some scenarios. Use these options if video sharpness is more important than video size for your content.

  • Click Custom and specify a height and width to define your own image size. When resizing a Windows Media Format stream with the Custom setting, be aware that many codecs require image size settings in multiples of 16.

Adjust the frame rate

Enter a value from 1 to 30 in the Frames/Second box to determine the number of video frames that wll be displayed in eack second of your encoded video.

The frame rate you choose is dependent on the type of video you are encoding and your target audience:

  • High-motion video requires a high frame rate to display smoothly; however, high frame rates produce large files and will not stream properly without a high-bandwidth network connection.

  • Low-motion video can be encoded with a low frame rate to decrease file size and produce files that can be viewed with relatively low-bandwidth network connections. However, high-motion video will appear disjointed with a low frame rate.

Set the interval between I-frames (key frames)

Enter a value from 0 to 30 in the Second/I-Frame box to determine the interval between I-Frames.

I-Frames contain all information required to display an image. Frames between I-frames are called delta frames, and they contain only the information used to display change. Delta frames are considerably smaller than I-frames; however, the visual quality of delta frames is poor.

As I-frames get farther apart, the size of the video (in bytes) gets smaller, but the video quality decreases. As I-frames get closer together, the size of the video gets larger, and the video quality increases.

Choose a color depth (pixel format)

Choose a setting from the Pixel Format to specify the color depth standard for encoded video.

The video card that the computer is using to receive the video source has certain color standards that it can display best, for example, RGBH = 64 thousand colors and RGBT = 16 million colors. For information about which pixel format works best with your video card, refer to the video card’s documentation.

Set a delay buffer

Enter a value from 1 to 10 in the Delay Buffer box to determine the number seconds of encoded video that will be buffered before playback begins.

Adjust image quality

Drag the Image Quality slider to fine-tune the image quality. You can emphasize either video smoothness or image crispness: video content is smooth when movement shown on the screen has easy transition from one position to another; content is crisp when the edges of objects are clearly delineated.


Clearing Markers and Regions

Clearing Marker and Regions

Special Menu:
Regions List

From the Special menu, choose Regions List and choose Clear from the submenu to remove all markers and regions from the current file. This command will also clear any Playlist or Cutlist you have defined for the file.


Extended Summary Dialog

The Extended Summary dialog allows you to edit all available summary information about an audio file.

To display this dialog, choose Properties from the File menu, select the Summary tab, and click the Advanced button.

What do you want to learn more about?

Including or excluding Extended Summary information

Select the check box [image] to include an Extended Summary information field with your file.

Notes:

  • If a field has no information specified, (Empty) is displayed after the field description.

  • If a field is empty, enabling the check box has no effect on a saved file. Field information is only saved if text information exists for that field.

Editing Extended Summary information

  1. Select an item in the Fields box.

  2. Enter or edit information in the Comments box.

  3. Click the OK button to return to the Properties dialog.

Loading default information

  1. Click the Load button. Sound Forge will ask you to confirm that you want to load default values

  2. Click the Yes button to replace all summary information with the default values.

Entering information for a Scott Studios system

  1. Click the Scott Info button. The Scott Studios Information dialog is displayed.

  2. Use the Scott Studios Information dialog to enter information about your media file.

  3. Click the OK button.

For more information about Scott Studios data, please refer to your Scott Studios documentation.

Setting new default summary information

  1. Edit the fields in the Extended Summary dialog as desired.

  2. Click the Default button. Sound Forge will ask you to confirm that you want to change the default values

  3. Click the Yes button to replace the default summary information with the values on the Extended Summary dialog.

This information will be used for all new files or when you click the Load button on the Properties dialog's Summary tab.

Extended Summary fields

Item | Description
IARL Archival Location | Indicates where the subject of the file is archived.
IART Artist | The artist of the original subject of the file.
ICMS Commissioned | The name of the person or organization that commissioned the subject of the file.
ICMT Comments | General comments about the file or the subject of the file. If the comment is several sentences long, end each sentence with a period. Do not include new-line characters.
ICOP Copyright | Copyright information for the file. For example, © Copyright 1999 Sonic Foundry, Inc. If there are multiple copyrights, separate them by a semicolon followed by a space.
ICRD Creation Date | The date the subject of the file was created. List dates in year-month-day format, padding one-digit months and days with a zero on the left. For example, 1964-03-02 for March 2, 1964.
ICRP Cropped | Describes whether an image or sound has been cropped and, if so, how it was cropped. For example, Third movement, first through fourth bars.
IDIM Dimensions | The size of the original subject of the file. For example, 8.5 in h, 11 in w.
IDPI Dots Per Inch | The dots-per-inch setting of the digitizer used to produce the file.
IENG Engineer | The name of the engineer who worked on the file. If there are multiple engineers, separate the names by a semicolon and a blank: Sayre, Jack; Feith, John.
IGNR Genre | Describes the classification of the original work.
IKEY Keywords | Separate multiple keywords with a semicolon and a blank: Madison; aerial view; scenery.
ILGT Lightness | Describes the changes in lightness settings on the digitizer required to produce the file. The format of this information depends on hardware used.
IMED Medium | Describes the format of the original subject of the file.
INAM Name/Title | The title of the subject of the file, such as Madison From Above.
IPLT Palette Setting | The number of colors requested when digitizing an image.
IPRD Product | The name of the title the file was originally intended for, such as Encyclopedia of Midwest Geography.
ISBJ Subject | Describes the contents of the file, such as Aerial view of Madison.
ISFT Software | The name of the software package used to create the file.
ISHP Sharpness | Identifies the changes in sharpness for the digitizer required to produce the file. The format of this information depends on the hardware used.
ISRC Source | The name of the person or organization who supplied the original subject of the file.
ISRF Source Form | The original form of the material that was digitized, such as slide, paper, map, and so forth. This is not necessarily the same as IMED.
ITCH Technician | The technician who digitized the file.
DISP Sound Scheme Title | Sets the title that is displayed for Microsoft Sound Systems.


Forward

Special Menu:
Transport

From the Special menu, choose Transport and choose Forward from the submenu to move the cursor forward through the current file.


Go to End

Ctrl+End

Special Menu:
Transport

From the Special menu, choose Transport and choose Go to End from the submenu to move the cursor to the end of the current file.


Go to Start

Ctrl+Home

Special Menu:
Transport

From the Special menu, choose Transport and choose Go to Start from the submenu to move the cursor to the beginning of the current file.


Importing a Windows Media Script File

Special Menu:
ASF Markers/Commands

Windows Media script files contain data about the commands, markers, and properties of Windows Media Format files. Scripts can be useful if you frequently encode streaming media files with the same markers, commands, and summary information. To see a sample script file, click here.

  1. From the Special menu, choose ASF Markers/Commands and choose Import from the submenu.

You can also import Windows Media Format script files using the Open Regions/Playlist dialog.

  2. Use the Load a Windows Script dialog to specify a folder and filename.

  3. Click the Open button.


Inserting a Windows Media Command

Special Menu:
ASF Markers/Commands

Windows Media commands are embedded metadata you can place throughout a media file. Each command is synchronized with a specific time in the multimedia stream and is handled by the media player.

Commands allow streaming media files to jump to other Web pages and display text such as headings and captions.

What do you want to learn more about?

Placing a command

  1. From the Special menu, choose ASF Markers/Commands and choose Add Command from the submenu.

  2. Use the Add Marker/Region dialog to specify parameters for your command:

  • Specify a command parameter in the Name box.

  • Specify a time in the Start box.

  • Choose a time format from the Input Format drop-down list.

  3. Click the OK button.

Types of Windows Media commands

Command

Function

URL

Gives an instruction to the user’s Web browser to change the content being displayed, regardless of the state of the display. The URL command causes the user’s browser to display the URL you indicate at a specific time during playback.

ASF URL:http://<Web address to link>

If you want to display your hyperlink in a specific frame, append the frame name to your URL. For example, enter http://www.sonicfoundry.com&&bodyframe to display the Sonic Foundry home page in a frame named bodyframe.

The URL command works for files saved in Windows Media Format or RealMedia format.

Text

A Text command displays your text in the captioning area of the Windows Media Player below the video display area.

ASF TEXT:<Text to display>

The Text command works only for files saved in Windows Media Format.

For more information about Windows Media, please refer to the Microsoft Web site: http://www.microsoft.com/windows/windowsmedia/default.asp


Interpolating Sound Data

Available only in Sound Forge

Effects Menu:
Repair

From the Tools menu, choose Repair and choose Interpolate from the submenu to interpolate a region of sound based on the data at the beginning and end of the region. This function is useful for repairing small glitches or clicks.

To manually interpolate sound data

  1. From the View menu, choose Zoom Time and choose In Full from the submenu.

  2. Select the glitch. The selection should be very small (less than 2 ms in most cases).

If no selection is made, a glitch of less than one millisecond is assumed, and the cursor position is treated as the middle of the glitch.

  3. From the Tools menu, choose Repair, and choose Interpolate from the submenu. The beginning and end of the selection are connected with a straight line.

Use this method when a straight connect-the-dots technique is all that is required to remove the glitch. Otherwise, you may create another glitch.


Open Raw Data File

Opening a Raw Data File

The Raw File Type dialog is displayed when you select Raw File from Files of Type list in the Open dialog to open a file. Use this function to open a file that is not stored in one of the standard sound file formats supported by Sound Forge. The options on this dialog are explained below.

To open a raw data file

  1. From the File menu, choose Open or click the Open button [image] on the toolbar. The Open dialog is displayed.

Press Ctrl+O, Ctrl+F12, or Ctrl+Alt+F2.

  2. Choose the folder where the file you want to open is stored:

  • Choose a drive and folder from the Look in drop-down list.

—or—

  • Choose a folder from the Recent drop-down list to quickly select a folder from which you have previously opened files.

  3. Select a file in the browse window or type a name in the File name box. Detailed information about the selected file appears at the bottom of the dialog box.

  4. Choose Raw File from the Files of Type drop-down list.

  5. Click the Open button. The Raw File Type dialog is displayed.

  6. Choose a preset from the Name drop-down list, or specify format parameters for your file:

a. Choose the sample rate used in your file from the Sample Rate drop-down list or enter a number in the edit box. This setting specifies the sample playback rate that will be used by Sound Forge when playing the file.

b. In the Sample Type box, click the radio button that corresponds to the format used to store each sample value.

c. In the Format box, click the radio button that corresponds to the sample format of data storage. Sound files on the PC are most often saved using the Signed format.

d. Click the Mono or Stereo radio button to select the number of tracks stored in the file.

e. Click the Little endian or Big endian radio button to specify the order in which the high and low bytes of a 16-bit sample are stored. Little Endian is used by Intel microprocessors, while Big Endian is used by Motorola microprocessors.

f. In the Header Bytes box, specify the number of bytes stored in the file before the sound data.

g. In the Trailer Bytes box, specify the number of bytes stored in the file after the sound data.

  7. Click the OK button.


Open Video Stream

The Open Video Stream Dialog

This dialog is displayed when you select an AVI file that has multiple audio or video streams. It allows you to select a specific video stream and an audio stream to open in Sound Forge. Most files have just one video stream and one audio stream, in which case this dialog doesn’t appear.

The black diamond [image] on the left side of a stream indicates that it has been selected to be opened. If you have more than one audio stream or video stream open, click on the left of the stream to select it for opening. Additional information about each stream is available by clicking on the [image] to expand the list.


Overwrite

Ctrl+H

Edit Menu:
Paste Special

From the Edit menu, choose Paste Special and then choose Overwrite to replace an area of sound data with the contents of the clipboard.

The Overwrite command replaces data using the following rules:

  • If the selected area is greater than the length of the clipboard, the data is overwritten from the beginning of the selection for the length of the clipboard.

  • If the selected area is less than or equal to the length of the clipboard, the data is overwritten for the length of the selection only.

To overwrite data:

  1. Copy the sound you want use to overwrite the current data.

  2. Select the data you want to replace.

  3. From the Edit menu, choose Paste Special and then choose Overwrite. The selected data is replaced with the contents of the clipboard.


Paste to New

Ctrl+E

Edit Menu:
Paste Special

From the Edit menu, choose Paste Special and then choose Paste to New to create a new data window that contains the contents of the clipboard.


Pause

Enter
Shift+Spacebar

Special Menu:
Transport

From the Special menu, choose Transport and choose Pause from the submenu to pause playback and leave the cursor at its current position.

Right-click the Overview bar during playback.


Play

Spacebar

Special Menu:
Transport

From the Special menu, choose Transport and choose Play from the submenu to play the file in current playback mode (Normal, Looped, or Sample mode).

Right-click the Overview bar.


Play All

Shift+Spacebar

Special Menu:
Transport

From the Special menu, choose Transport and choose Play All from the submenu to play the entire sound file from beginning to end, regardless of cursor position, selection, or playlist.


Play Looped Mode

Ctrl+Spacebar

Special Menu:
Transport

From the Special menu, choose Transport and choose Play Looped from the submenu to set playback to Looped mode.

When you click the Play button [image] while in Looped mode, playback will adhere to the following rules:

  • If there is no selection, the entire sound file is played in an endless loop.

  • If there is a selection, the selection is played in an endless loop.


Play Normal Mode

Ctrl+Spacebar

Special Menu:
Transport

From the Special menu, choose Transport and choose Play Normal from the submenu to set playback to Normal mode.

When you click the Play button [image] while in Normal mode, playback will adhere to the following rules:

  • If there is no selection, playback occurs from the cursor to end of file.

  • If there is a selection, playback occurs from the beginning of the selection to the end of the selection.


Playing Clipboard Contents

View Menu:
Clipboard

From the View menu, choose Clipboard and choose Play from the submenu to play the contents of the clipboard.

If no data is in the clipboard, this command is unavailable.


Recording Modes

Mode | Description
Automatic retake (automatically rewind) | Recording begins at the position specified in the Start box and replaces any sound data that already exists after that position. When recording is stopped, the next record start position is automatically rewound to the original starting position, allowing you to immediately replace the last take if necessary.
Multiple takes creating regions | Records successive takes of data and defines them as regions. A new region will be defined every time you click the Stop button.
Multiple takes no regions | Records successive takes of data without creating a region for each take.
Create a new window for each take | Creates a new window every time you click Record and then Stop.
Punch-in (record a specific length) | Records over an existing region of sound using the Start, End, and Length boxes to specify when recording will begin and end. This allows you to rerecord a portion of a previous take without recording a whole new file.


Replacing a Channel

Replacing Sound Data with Data from Another Channel

Available only in Sound Forge

Effects Menu:
Repair

From the Tools menu, choose Repair, and choose Copy Other Channel from the submenu to repair a glitch or click in a single channel of a stereo file. When a click or glitch occurs in only one channel, you can use the undamaged channel's audio to replace the data in the corrupted channel.

This function works only when both channels contain similar audio material and the nonselected audio does not contain a glitch.

What do you want to do?

Replace a selection

  1. Select the corrupted audio in a single channel of a stereo file. For most cases, the selection should be between 1 and 50 milliseconds in length. The selected area should be about 3 or 4 times the length of the glitch.

  2. From the Tools menu, choose Repair, and choose Copy Other Channel from the submenu. The audio in the nonselected channel is the used to replace the current selection. A very short crossfade is applied to prevent glitching.

If the glitch still exists after using Replace Channel, apply the function to a bigger selection surrounding the glitch. This ensures that the crossfade has ended by the time the glitch occurs.

Find and replace a glitch

  1. From the Tools menu, choose Find.

  2. Use the Find dialog to specify the type of glitch you want to find and click the OK button.

  3. Press Tab to select the channel containing the click.

  4. From the Tools menu, choose Repair, and choose Copy Other Channel from the submenu. The audio in the nonselected channel is used to replace 5 milliseconds before and after the cursor position.


Replacing Sound Data

Replacing Sound Data with Previous Data

Available only in Sound Forge

Effects Menu:
Repair

From the Tools menu, choose Repair and choose Replace from the submenu to replace a region of sound with previous sound data. This function is useful for replacing regions of sound that have longer-lasting noises, such as scratches.

What do you want to do?

Replace a selection

  1. Select the corrupted audio. For most cases, the selection should be between 5 and 50 milliseconds in length. The maximum allowed replace time is 0.5 seconds.

  2. From the Tools menu, choose Repair, and choose Replace from the submenu. The selected audio is replaced with the data preceding the selection, and the edges of the replaced audio are crossfaded to prevent glitching.

Hold Ctrl while replacing data to replace the selected audio with the data following the selection.

Find and replace a glitch

  1. From the Tools menu, choose Find.

  2. Use the Find dialog to specify the type of glitch you want to fix and click the OK button.

  3. From the Tools menu, choose Repair, and choose Replace from the submenu. A 15-millisecond range of data surrounding the cursor is replaced with the preceeding data, and the edges of the replaced audio are crossfaded to prevent glitching.


Replicate

Edit Menu:
Paste Special

From the Edit menu, choose Paste Special and then choose Replicate to copy multiple copies of the clipboard contents to the current data window.

The Replicate command will paste as many copies of the clipboard as will fit to a selected area. If no selection is currently made in the data window, the function will have no effect.

Replicating data

  1. Copy the sound you want to paste.

  2. Select the area where you want to paste the contents of the clipboard.

  3. From the Edit menu, choose Paste Special and then choose Replicate. The Replicate dialog is displayed.

  4. Use the Replicate dialog to specify how you want to paste data.

Item | Description
Copy partials | Click to fill the selected region completely, using a partial copy of the clipboard if needed.
Whole copies | Click to use only whole copies of the clipboard contents to fill the selected region. The selected region will not be completely filled if its length is not an exact multiple of the clipboard length.

  5. Click the OK button.

Example:

  1. Copy a 1-second section of sound data onto the clipboard.

  2. Insert 5.5 seconds of silence in the data waveform.

  3. Select the 5.5 second area and select Replicate:

  • If you choose Whole copies, 5 copies of the clipboard will be placed in the area the silence previously occupied and 0.5 seconds of silence will remain at the end.

  • If you choose Copy partials, 5.5 copies of the clipboard will be placed in the data rather than just 5. No silence will remain.

The Replicate command is useful when you are trying to replace silent sections of audio with background noise. It can also be used to introduce stuttering effects or echoes.


Replicating Markers or Regions

Special Menu:
Regions List

Replicating a marker or region creates an exact copy of an existing marker or region in a file. You can use the Edit Marker/Region dialog to modify the properties of the replicated entry.

  1. Select an entry in the Regions List.

If the Regions List is not visible, choose Regions List from the View menu or press Alt+1.

  2. From the Special menu, choose Regions List and choose Replicate from the submenu.

Right-click a region or marker in the Regions List and choose Replicate from the shortcut menu.


Rewind

Special Menu:
Transport

From the Special menu, choose Transport and choose Rewind from the submenu to move the cursor backward through the current file.


Saving a Regions/Playlist File

Special Menu

You can save a file's regions and playlist to an external file. This command offers the flexibility of using multiple playlists for the same sound file.

  1. From the Special menu, choose Regions List or Playlist/Cutlist and choose Save As from the submenu.

Right-click on the Regions List or Playlist/Cutlist and choose Save As from the shortcut menu.

  2. Use the Save Regions/Playlist dialog to specify a folder and filename.

  3. If you want to save the Regions List in a format for use in an application other than Sound Forge, select a file type from the Save as Type drop-down list:

  • Choose Session 8 File (*.prm) to maintain regions edited in both Session 8 and Sound Forge.

  • Choose Windows Media Script File (*.txt) to save markers and regions in a Windows Media Format script table.

  4. Click the Save button.


Saving a Windows Media Script File

Special Menu:
ASF Markers/Commands

Windows Media script files contain data about the commands, markers, and properties of Windows Media Format files. Scripts can be useful if you frequently encode streaming media files with the same markers, commands, and summary information. To see a sample script file, click here.

  1. From the Special menu, choose ASF Markers/Commands and choose Save As from the submenu.

You can also save Windows Media Format script files using the Save Regions/Playlist dialog.

  2. Use the Save as Windows Script File dialog to specify a folder and file name.

  3. Click the Save button.


Selecting Data Using the Mouse

What do you want to do?

Make a selection

  1. Select the Edit tool [image].

  2. Drag the mouse over an area of the data window to select data.

    When you are working with stereo files, you can select data from the right channel, the left channel, or both channels:

  • Drag in the top portion of the window to select the left channel only. The cursor will be displayed as a [image].

  • Drag in the bottom portion of the window to select the right channel only. The cursor will be displayed as a [image].

  • Drag in the middle portion of the window to select both channels. The cursor will be displayed as a [image].

  • Press the Tab key to switch the selection to the left channel, right channel, or both channels in a stereo file.

Adjust the length of a selection

  1. Select the Edit tool [image].

  2. Move the mouse over the edge of a selection. The cursor will be displayed as a [image].

  3. Drag to change the length of the selected region.

Shift a selection left or right

  1. Select the Edit tool [image].

  2. Move the mouse over the edge of a selection. The cursor will be displayed as a [image].

  3. Hold the Shift key.

  4. Drag to change the length of the selected region.


Snap Edge to Time

Shift+T

Edit Menu

From the Edit menu, choose Selection and then choose Snap Edge to Time to force active edge of a selection to a whole time division as designated by the marks on the Time Ruler above the data window.

The active edge of a selection is defined by the blinking cursor.


Snap Edge to Zero

Shift+Z

Edit Menu

From the Edit menu, choose Selection and then choose Snap Edge to Time to force the active edge of a selection to the next zero-crossing of the waveform.

The active edge of a selection is defined by the blinking cursor.

The Editing tab in the Preferences dialog allows you to choose whether this is a negative, positive or any zero-crossing.


Snap to Time

T

Edit Menu

From the Edit menu, choose Selection and then choose Snap to Time to force both edges of a selection to a whole time division as designated by the marks on the Time Ruler above the data window.


Snap to Zero

Snapping a Selection to Zero

Z

Edit Menu

From the Edit menu, choose Selection and then choose Snap to Zero to force both edges of a selection to the next zero-crossing of the waveform.

The Editing tab in the Preferences dialog allows you to choose whether this is a negative, positive or any zero-crossing.


Splitting Regions

Special Menu:
Regions List

Splitting a region divides an existing region at the current cursor position, producing two separate regions.

  1. Position the cursor where you want the split to occur.

  2. From the Special menu, choose Regions List, and choose Split from the submenu.

In the Regions List, right-click the region in which the cursor is positioned and choose Split from the submenu.


Stereo-to-Mono (or Mono-to-Stereo) Conversion

What do you want to do?

Convert a mono file to stereo

  1. Perform either of the following actions to display the Mono to Stereo dialog:

  • Right-click the Mono box in the status bar and choose Stereo from the shortcut menu.

  • Click the Stereo radio button on the Format tab of the Properties dialog and click the OK button.

  2. Specify the channel where you want to put the sound data:

  • Click the Left Channel radio button to place the mono data in the left channel and set the right channel to silence.

  • Click the Right Channel radio button to place the mono data in the right channel and set the left channel to silence.

  • Click the Both Channels radio button to place the mono data in the right and left channels.

  3. Click the OK button.

Convert a stereo file to mono

  1. Perform either of the following actions to display the Stereo to Mono dialog:

  • Right-click the Stereo box in the status bar and choose Mono from the shortcut menu.

  • Click the Mono radio button on the Format tab of the Properties dialog and click the OK button.

  2. Specify which channel you want to use in the resulting mono file:

  • Click the Left Channel radio button to preserve only the data in the left channel.

  • Click the Right Channel radio button to preserve only the data in the right channel.

  • Click the Mix Channels radio button to place the mono data in the right and left channels.

  3. Click the OK button.

Customize the mix

The Channel Converter allows independent level settings for each channel and can be used to inter-mix the left and right channels of a stereo file to create interesting pan effects. For simple conversions, use the included presets.


Stop

Spacebar

Special Menu:
Transport

From the Special menu, choose Transport and choose Stop from the submenu to stop playback and return the cursor to its position prior to playback.


The Crossfade Dialog

Ctrl+F

Edit Menu:
Paste Special

The Crossfade dialog allows you to specify how audio will be crossfaded. The options on this dialog are explained below.

For information about crossfading data, click here.

Item

Description

Name

Choose a preset from the drop-down list, or click the Save As button to save the current dialog settings in a new preset.

Source Start and End levels

Drag the Start Level and End Level faders to adjust the linear fade applied to the source data before mixing with the destination.

The fade is applied to the overlapping area between the source and destination data (displayed as Crossfade length in the lower right-hand corner of the dialog). If you perform a crossfade close to the end of a file, the crossfade length may be shortened, producing a more abrupt fade.

Destination Start and End levels

Drag the Start Level and End Level faders to adjust the linear fade applied to the destination data.

Destination data following the crossfade end point is not affected.

Start crossfade at

When no selection is present, the linear fade starts at the cursor position. When there is a selection in the destination data window, you can perform the crossfade starting at the beginning or end of the selection:

  • Click the Start of selection radio button to start the crossfade at the beginning of the selection.

  • Click the End of selection radio button to start the crossfade at the end of the selection.

Tune

When crossfading two sound files, phase cancellation of some frequencies often occurs. Very small delays can cause audible differences in tone quality. The Tune control allows you to minimize (or maximize, if you so desire) this effect.

Notes:

  • This command has no effect if the clipboard is empty.

  • Crossfading data of different sample rates will cause the data on the clipboard to play at the same rate as the destination file.


The Edit Tool

Edit Menu:
Tool

From the Edit menu, choose Tool and then choose Edit from the submenu to select the Edit tool. Use the Edit tool to select data.


The Magnify Tool

Edit Menu:
Tool

From the Edit menu, choose Tool and then choose Magnify from the submenu to select the Magnify tool.

Use the Magnify tool to zoom in to a particular region without losing your selection. Drag the mouse over an area to zoom in. Sound Forge will draw a dotted rectangle around the area and will magnify the area when the mouse button is released.

While holding the left mouse button, click the right mouse button to toggle through the three magnification modes:

  • Zoom Time only: magnifies horizontally without changing the vertical level of the data window.

  • Zoom Level only: magnifies vertically without changing horizontal zoom level of the data window.

  • Time/ Zoom Level: magnifies horizontally and vertically.

While using any tool, if you hold the Ctrl key down before making a selection with the mouse, you will switch to the Magnify Tool. This is handy for quickly magnifying a particular section of your sound file.


The Mix Dialog

Ctrl+M

Edit Menu:
Paste Special

The Mix dialog allows you to specify how audio will be mixed. The options on this dialog are explained below.

For information about mixing data, click here.

Item

Description

Name

Choose a preset from the drop-down list, or click the Save As button to save the current dialog settings in a new preset.

Source Volume

Drag the fader to control the amount of gain applied to the source data before mixing with destination data.

Destination Volume

Drag the fader to control the amount of gain applied to the destination data before mixing with source data.

Invert data

Select this check box to invert the sound file at the baseline (reverse the polarity). Inverting data can help match transitions and compare the phase relationship of the two sound files.

Start mix at

When no selection is present, the data is always mixed starting at the cursor position. When there is a selection in the destination data window, you can perform the mix starting at the beginning or end of the selection:

  • Click the Start selection radio button to start the mix at the beginning of the selection.

  • Click the End selection radio button to start the mix at the end of the selection.

Apply destination value to overlapping data only

When this check box is selected, the Destination Volume gain is applied only where the destination and source data are mixed. When the check box is cleared, the Destination Volume gain is applied to the entire destination sound file.

Pre/Post-fade destination edges

Select this check box to apply a fade to the destination data before and after the mixing region. The left edit box determines the fade time before the mix start, and the right edit box determines the fade-time after the mix end.

For example, when mixing vocals over a music track, you can fade the music track before and after the region where vocals are mixed so that the vocals are more pronounced (this technique is sometimes referred to as ducking).

Tune

Use the up or down arrows or enter a value in the edit box to adjust the mix start position in the destination file. Use this to perform fine adjustments of the mix without having to leave the Mix dialog.

When mixing two sound files, phase cancellation of some frequencies often occurs. Very small delays can cause very audible differences in tone quality. The Tune control allows you to minimize (or maximize, if you so desire) this effect.

Notes:

  • This command has no effect if the clipboard is empty.

  • Mixing data of different sample rates will cause the data on the clipboard to play at the same rate as the destination file.


The Pencil Tool

Edit Menu:
Tool

From the Edit menu, choose Tool and then choose Pencil from the submenu to select the Pencil tool.

Use the Pencil tool to edit the waveform by drawing on it. For example, if you have a glitch in the sound data, zoom in to the glitch and smoothly redraw the waveform.

While holding down the left mouse button, you can also use the arrow keys to fine tune the pencil position.

The Pencil tool is available only at magnification levels between 1:1 and 1:32.


The Record Dialog

Ctrl+R

Special Menu:
Transport

This dialog allows you to record new data into an existing data window or to a new data window. To display the Record dialog, choose Transport from the Special menu and choose Record from the submenu.

Item

Description

Recording attributes

Displays the parameters that will be used for recording your data. To change these settings, click the New button and specify new settings on the New Window dialog.

Mode

Choose a recording mode from the drop-down list.

Start

Specify when recording should start. Sound Forge automatically fills in this value based on your selection or cursor position.

End

Specify when recording should end. Sound Forge automatically fills in this value based on your selection or cursor position.

This control is used only when Punch-in is selected in the Mode drop-down list.

Length

Specify the length of the selection you want to record. Sound Forge automatically fills in this value based on your selection or cursor position.

This control is used only when Punch-in is selected in the Mode drop-down list.

Input format

Choose an input format from the drop-down list. This format is used to display the values in the Start, End, Length, and Time Recorded boxes.

Monitor

Select this check box to enable the meters and monitor the level of the input signal.

The meters light up as a function of the volume of the recording input. For best results, the level should be somewhere in the yellow range with an occasional red. This button also activates the peak value. The peak value shows the maximum input level recorded since the monitor input box has been checked. If the peak value displays Clip, clipping has occurred and the audio quality has been compromised. Click the peak value to reset it.

Prepare

Click to prepare your system for recording. This means that the record device is opened and all preparation that can be done prior to recording is completed. This allows the system to begin recording as quickly as possible after the Record button is clicked.

You do not need to use the Prepare button unless you want to begin recording immediately after clicking the Record button.

Record

Click to start recording. During recording, the button changes to a Stop button [image]; click again to stop recording.

Press Alt+R to start and stop recording.

Play

Click to hear the section of data over which you are going to record. After recording, you can click to hear the data you have just recorded. During playback, the button changes to a Stop button; click again to stop playback.

Press Alt+P to start and stop playback.

Drop marker

Click to place a marker at the current cursor position. Markers allow for easy location of mistakes or points of interest.

Press Alt+M to place a marker.

Go to beginning

Click to return the cursor to the beginning of the current sound file.

Press Alt+Z.

Rewind

Click to move the cursor to the beginning of the previously recorded take.

Forward

Click to move the cursor to the beginning of the next take.

Go to end

Click to move the cursor to the end of the current sound file.

Time recorded

Displays the total time recorded for the current sound file. The display is in the units selected in the Input Format drop-down list.

Time left on drive

Displays the total time available on the drive for recording. The display is in the units selected in the Input Format drop-down list.

Review pre/post roll

Select the check box and use the edit boxes to specify the amount of time that will be played prior to and after regions when reviewing a take.

Pre- and post-roll settings affect playback only. This data is not played prior to recording.

Close

Click to close the Record dialog.

Remote

Click to enter Remote Recording mode. This mode will hide the main Sound Forge window and show only the Record Remote Dialog . This allows you to easily record while using other components of your system such as a CD player, mixer, or sequencer.

Go To

Click to display the Go To dialog. Use the Go To dialog to position the cursor within the current sound file.

Selection

Click to display the Set Selection dialog. Use the Set Selection dialog to select a range of data within the current sound file.

This command is available only when Punch-In is selected in the Mode drop-down list.

Window

Click to display the Record Window dialog. Use the Record Window dialog to select the window to which you want to record new audio. The available windows will be displayed in the Record destination window drop-down list.

Sync

Click to display the Record Synchronization dialog . Use this dialog to set options for synchronizing Sound Forge with external devices or software.

DC Adjust

Select this check box before recording to enable automatic compensation for any DC offset produced by your audio hardware during the record process.

Calibrate
When you click this button, Sound Forge will calculate the DC offset while monitoring incoming sound data. The numbers below the button show the value, in sample amplitude, of the adjustment. If you change sound cards or are recording from different digital sources or at different sample rates, it is suggested that you recalibrate the DC Offset before recording.


The Record Synchronization Dialog

Use this dialog to set options for synchronizing Sound Forge with external devices or software.

To display the Record Synchronization dialog, click the Sync button on the Record dialog.

Item

Description

Enable MTC/SMPTE output synchronization

Select this check box to allow Sound Forge to generate MTC/SMPTE synchronization while recording.

Start
Select this check box and enter a value in the edit box to specify an exact time when Sound Forge will start recording.

Pre-roll
Select this check box and enter a value in the edit box to begin SMPTE output at a specified time before recording.

Enable MTC/SMPTE input synchronization

Select this check box to trigger recording in Sound Forge from incoming MTC/SMPTE synchronization.

Start
Select this check box and enter a value in the edit box to specify an exact time when Sound Forge will start recording.

End
Select this checkbox and enter a value in the edit box to specify an exact time when Sound Forge will stop recording.

Back

Click to switch the focus back to the main Record dialog.


The Set Selection Dialog

Ctrl+D

Edit Menu

This dialog allows you to select data by specifying starting and ending points or choosing a selection from a list of regions. To display the Set Selection dialog, choose Selection from the Edit menu and choose Set from the submenu.

What do you want to do?

Select data

  1. From the Edit menu, choose Selection and choose Set from the submenu.

  2. Choose a selection type from the Selection drop-down list, or choose Custom and specify a custom selection:

a. Type a value in the Start edit box or use the spin controls to specify a starting point for your selection.

b. Type a value in the End edit box or use the spin controls to specify an ending point for your selection.

Specifying a value in the End box will modify the value in the Length box. Specifying a value in the Length box will modify the value in the End box.

c. Type a value in the Length edit box or use the spin controls to specify the length of your selection.

  3. Choose Left, Right, or Both from the Channel drop-down list to specify which channels will be selected.

  4. Click the OK button.

Sepecify an input format

Choose a setting from the Input Format drop-down list. This setting specifies the units for the dialog's Start, End, and Length boxes.

Preview your selection

Click the Play button to preview the selection. During playback, the button will change to a Stop button. Click again to stop playback.

Select the Play Looped check box to enable looped playback of the current selection. You can modify the selection during playback.

Snap selection ends to zero crossings

Click the Snap Zero button to snap the beginning and end of the current selection to the nearest zero crossing.

Snap selection ends to the Time Ruler

Click the Snap Time button to snap the beginning and end of the current selection to the nearest division on the Time Ruler.


Trigger Types

MIDI: Note On - Play
The region will be played when the specified note on message is received and will play for the full length of the region.

MIDI: Note On - Play / Note Off - Stop
The region will be played when the specified note on message is received and will stop when the full region is played or the specified Note Off message is received.

MIDI: Note On - Queue / Note Off - Play
The region will be queued for play when the specified note on message is received and will play when the corresponding Note Off message is received. This is used to reduce the time between receiving a trigger and playing a region.


Updating Marker or Region Positions

Special Menu:
Regions List

Updating a marker or region modifies a marker/region to correspond with the cursor.

  1. Indicate the new position of the marker or region:

  • If you want to update a marker's position, place the cursor where you want to move the marker.

  • If you want to update a region's position, select a range of data in the data window.

  2. From the Special menu, choose Regions List and choose Update from the submenu (or right-click a marker [image] or region tag [image] and choose Update from the submenu):

  • If you are updating a marker, the marker is updated to match the cursor position. If you have a range of data selected, the cursor will blink at one end of a selection; press the Home key to move the cursor to the beginning of the selection, or press End to move to the end of the selection.

  • If you are updating a region, the beginning and ending points of the region are updated to match the current selection, and the length of the region is modified if the selection is a different length than the original region.


Using Processing Dialogs

All processing dialogs share common controls along the right-hand side of the dialog. Use these controls to save and delete custom presets, preview your changes, and modify the selection.

Item | Description
OK | Closes the dialog and processes the dialog settings.
Cancel | Closes the dialog without making changes.
Save As | Saves the dialog settings in a new preset.
Delete | Deletes the custom preset specified in the Name drop-down list.
Preview | Click to begin previewing the processed sound file.
Bypass | Select this check box and click Preview to hear the unprocessed audio. This is a useful feature when comparing the affected and unprocessed signal.
Create Undo | Select this check box to create an undo buffer before processing the current sound file.
Selection | Click to display the Set Selection dialog.


Using Sound Forge

This topic will help you quickly find your way around Sound Forge by giving you step-by-step instructions for using the most important features of the program. Before you start your first editing session, make sure you have installed the sound drivers that Windows requires for your sound card. For more information about sound drivers, refer to the Windows User's Guide or your sound card documentation.

Sound Forge is a deep program. There are many features that you may not discover immediately and others that may seem overwhelming; don’t let this intimidate you. Remember, there’s always undo! The best advice for using Sound Forge is to jump in and start using it. Pick up the manual now and then, read through a section to learn a few new tricks, and then go back and try what you’ve learned.

What do you want to learn more about?

Working with files

Recording

Basic editing

Advanced editing

Synthesis

Sampling

MIDI synchronization

Spectrum Analysis

Acoustic Mirror


Video Save Options

This dialog is displayed when you select Video for Windows (.avi) from the Save as type list on the Save As dialog and click the Save button. Use this dialog to select which video streams you want to save and edit the title, language, and priority of the saved streams.

What do you want to do?

Modify stream information

Select a check box to save a stream. Clear a check box to exclude a stream from the .avi file. The black diamond next to each check box indicates currently opened streams.

  • Click on the Expand button [image] to display additional information about a stream.

  • Right-click a field name and choose Edit from the shortcut menu to modify a setting.

  • Click the Collapse button [image] to hide additional information.

Save audio to a new stream

Select the Save audio to new stream check box to add a new audio stream that contains the audio currently open in Sound Forge.

Reize video frames

Choose a preset from the Re-size video frames to drop-down list to adjust the size of the video, or choose Custom to specify a custom frame size in the New width and New height boxes.

Adjust compression options

This dialog is displayed when you click the OK button on the Video Save Options dialog.

To adjust compression for a stream, choose a stream from the Choose a stream drop-down list and click the Options button. The Sound Selection dialog is displayed when you choose an audio stream, and the Video Compression dialog is displayed when you choose a video stream.

Sound Selection

Item

Description

Name

Choose a preset from the drop-down list, or click the Save As button to save the current settings.

Save As

Click to save the current settings.

Remove

Click to delete the preset selected in the Name drop-down list.

Format

Choose a sample format from the drop-down list.

Sound files are most often saved in the PCM format. However, other formats are often used for compression purposes. If you have the Microsoft Audio Compression Manager (ACM) installed, you can save files in a variety of compressed formats including the Microsoft ADPCM format.

Attributes

Choose a set of file attributes from the drop-down list to specify the sample rate, bit-depth, and whether the file is stereo/mono.

When you convert from mono to stereo, the data will be stored in both channels. When converting from stereo to mono, the data from both channels will be mixed to a single channel.

Video Compression

Item

Description

Compressor

Select a compression format from any of the installed AVI compression schemes. Compression formats are available from different vendors (not from Sonic Foundry), and are also included with Windows.

If the file is already compressed, you should select No Recompression. This will be faster and will also avoid the loss of quality inherent in most recompression.

Compression quality

Compression quality determines the final output quality. Usually, higher quality (close to 100) means less compression and fewer visual artifacts.

Key frames every

Some compression formats are based on key frames (sometimes called temporal compression). A key frame is a frame that is usually less compressed. Compressed frames that follow a key frame are smaller but slower to draw. This option is only relevant to video streams.

A high number of key frames increases quality, but decreases compression. Also, if the number of key frames is very low, it will takes a long time to perform decompression when drawing the video strip or moving randomly through the file.

Data rate

Data rate determines the data rate that will be required to play the compressed stream in real time. Lower data rates are less demanding on computer systems than higher rates. If the data rate is too high for a certain computer (usually because of a bottleneck such as a slow CD-ROM, network, or hard drive) the quality begins to suffer and glitching can occur.

Configure

Click this button to set more detailed configuration parameters specific to the compression scheme being used. Not all compressors provide this option.

Preview

Click to preview the final output.

Interleave frames

Select the Interleave frames check box to interleave audio and video streams. Interleaving improves playback performance when using storage devices that are more efficient at providing data sequentially (such as CD-ROM discs). The Frames value indicates the interval between video and audio segments. The default is 1 for CD-ROMs, but can be increased for faster media.


Viewing Clipboard Contents

View Menu:
Clipboard

From the View menu, choose Clipboard and choose Contents from the submenu to display the Clipboard Contents dialog.

If no data is in the clipboard, this command is unavailable


Zoom Level Out Full

View Menu

From the View menu, choose Zoom Level, and choose Out Full from the submenu to zoom out vertically to allow viewing of the entire amplitude range. This command also centers the centerline.


Zoom Level Selection

View Menu

From the View menu, choose Zoom Level, and choose Selection from the submenu to maximize a selected area vertically and horizontally.

To zoom in and out vertically by small increments, press Shift+Up Arrow/Shift+Down Arrow or use the Zoom buttons on the lower left-hand side of the data window:

Press Ctrl+Up Arrow (when a selection is active) or double-click the Level Ruler.


Zoom Level Window

View Menu

From the View menu, choose Zoom Level, and choose Window from the submenu to zoom in or out vertically to the maximum zoom ratio that allows you to view the entire waveform. This command also moves the centerline if the maximum positive and negative peaks are different.


Zoom Time In Full

Ctrl+Up Arrow

View Menu

From the View menu, choose Zoom Time, and choose In Full from the submenu to maximize the horizontal magnification to one sample per pixel on the screen. When you zoom in fully, the entire waveform display length will span a very small amount of time, usually approximately 20 milliseconds (depending on the sample rate and window size).

To zoom in and out by small increments, press the Up Arrow or Down Arrow keys.


Zoom Time Normal

View Menu

From the View menu, choose Zoom Time, and choose Normal from the submenu to zoom out to the default zoom ratio. If the entire sound file can fit in the window at a closer magnification, zoom normal will only zoom out to that ratio.

To change the default for the Normal zoom ratio, go to the Display tab in the Preferences dialog.


Zoom Time Out Full

View Menu

From the View menu, choose Zoom Time, and choose Out Full from the submenu to zoom out to the lowest magnification so that the entire sound file will fit on the screen.


Zoom Time Selection

View Menu

From the View menu, choose Zoom Time, and choose Selection from the submenu to maximize the selected area in the data window.

The Selection command calculates the maximum zoom factor for the size of a selection area, draws the data at this zoom factor, and centers the selection in the data window.

To zoom in and out in time by small increments, press the Up Arrow/Down Arrow keys or use the Zoom buttons on the lower right-hand side of the data window: